2014-04-27  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: reserve caps for file layout/lock MDS requests

2014-04-17  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: avoid releasing caps that are being used

2014-04-14  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: clear directory's completeness when creating file

2014-04-10  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: fix non-default values check in apply_primary_affinity()

2014-04-09  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: use fpos_cmp() to compare dentry positions

2014-04-08  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: check directory's completeness before emitting directory entry

2014-04-06  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: skip invalid dentry during dcache readdir

2014-04-04  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: dump pool {read,write}_tier to debugfs

2014-04-02  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: output primary affinity values on osdmap updates

2014-04-01  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: flush cap release queue when trimming session caps

2014-04-01  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: don't grabs open file reference for aborted request

2014-04-01  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: drop extra open file reference in ceph_atomic_open()

2014-03-29  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: preallocate buffer for readdir reply

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: enable PRIMARY_AFFINITY feature bit

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: redo ceph_calc_pg_primary() in terms of ceph_calc_pg_acting()

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: add support for osd primary affinity

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: add support for primary_temp mappings

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: return primary from ceph_calc_pg_acting()

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: switch ceph_calc_pg_acting() to new helpers

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: introduce apply_temps() helper

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: introduce pg_to_raw_osds() and raw_to_up_osds() helpers

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: ceph_can_shift_osds(pool) and pool type defines

2014-03-24  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: ceph_osd_{exists,is_up,is_down}(osd) definitions

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: enable OSDMAP_ENC feature bit

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: primary_affinity decode bits

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: primary_affinity infrastructure

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: primary_temp decode bits

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: primary_temp infrastructure

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: generalize ceph_pg_mapping

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: introduce get_osdmap_client_data_v()

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: introduce decode{,_new}_pg_temp() and switch to them

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: switch osdmap_set_max_osd() to krealloc()

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: introduce decode{,_new}_pools() and switch to them

2014-03-21  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: rename __decode_pool{,_names}() to decode_pool{,_names}()

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: fix and clarify ceph_decode_need() sizes

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: nuke bogus encoding version check in osdmap_apply_incremental()

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: fixup error handling in osdmap_apply_incremental()

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: fix crush_decode() call site in osdmap_decode()

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: check length of osdmap osd arrays

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: safely decode max_osd value in osdmap_decode()

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: fixup error handling in osdmap_decode()

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: split osdmap allocation and decode steps

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: dump osdmap and enhance output on decode errors

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: dump pg_temp mappings to debugfs

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: do not prefix osd lines with \t in debugfs output

2014-03-13  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: refer to osdmap directly in osdmap_show()

2014-03-19  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* crush: support chooseleaf_vary_r tunable (tunables3) by default

2014-03-19  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* crush: add SET_CHOOSELEAF_VARY_R step

2014-03-19  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* crush: add chooseleaf_vary_r tunable

2014-03-19  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* crush: allow crush rules to set (re)tries counts to 0

2014-03-19  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* crush: fix off-by-one errors in total_tries refactor

2014-03-24  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: don't include ceph.{file,dir}.layout vxattr in listxattr()

2014-03-24  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: check buffer size in ceph_vxattrcb_layout()

2014-03-24  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: fix null pointer dereference in discard_cap_releases()

2014-03-23  Yan, Zheng  <zheng.z.yan@intel.com>

	* libceph: fix oops in ceph_msg_data_{pages,pagelist}_advance()

2014-03-21  Fabian Frederick  <fabf@skynet.be>

	* ceph: Remove get/set acl on symlinks

2014-03-18  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: set mds_wanted when MDS reply changes a cap to auth cap

2014-03-09  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: use fl->fl_file as owner identifier of flock and posix lock

2014-03-04  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: forbid mandatory file lock

2014-03-04  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: use fl->fl_type to decide flock operation

2014-03-08  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: update i_max_size even if inode version does not change

2014-03-08  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: make sure write caps are registered with auth MDS

2014-03-01  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: print inode number for LOOKUPINO request

2014-03-06  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: add get_name() NFS export callback

2014-03-01  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: fix ceph_fh_to_parent()

2014-03-01  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: add get_parent() NFS export callback

2014-03-01  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: simplify ceph_fh_to_dentry()

2013-12-26  Yunchuan Wen  <yunchuanwen@ubuntukylin.com>

	* ceph: fscache: Wait for completion of object initialization

2013-12-26  Yunchuan Wen  <yunchuanwen@ubuntukylin.com>

	* ceph: fscache: Update object store limit after file writing

2013-12-26  Yunchuan Wen  <yunchuanwen@ubuntukylin.com>

	* ceph: fscache: add an interface to synchronize object store limit

2013-02-05  Sage Weil  <sage@inktank.com>

	* ceph: do not set r_old_dentry_dir on link()

2013-02-05  Sage Weil  <sage@inktank.com>

	* ceph: do not assume r_old_dentry[_dir] always set together

2013-02-05  Sage Weil  <sage@inktank.com>

	* ceph: do not chain inode updates to parent fsync

2013-02-05  Sage Weil  <sage@inktank.com>

	* ceph: avoid useless ceph_get_dentry_parent_inode() in ceph_rename()

2014-03-03  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: let MDS adjust readdir 'frag'

2014-02-28  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: fix reset_readdir()

2014-02-27  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: fix ceph_dir_llseek()

2014-02-25  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* rbd: prefix rbd writes with CEPH_OSD_OP_SETALLOCHINT osd op

2014-02-25  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* rbd: num_ops parameter for rbd_osd_req_create()

2014-02-25  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: bump CEPH_OSD_MAX_OP to 3

2014-02-25  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: add support for CEPH_OSD_OP_SETALLOCHINT osd op

2014-02-25  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: encode CEPH_OSD_OP_FLAG_* op flags

2014-03-04  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* rbd: fix error paths in rbd_img_request_fill()

2014-03-04  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* rbd: remove out_partial label in rbd_img_request_fill()

2014-01-31  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: a per-osdc crush scratch buffer

2014-03-30  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linux 3.14

2014-03-30  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus-2' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs

2014-03-28  Randy Dunlap  <rdunlap@infradead.org>

	* MAINTAINERS: resume as Documentation maintainer

2014-03-30  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/dtor/input

2014-03-30  Eric Paris  <eparis@redhat.com>

	* AUDIT: Allow login in non-init namespaces

2014-03-30  Theodore Ts'o  <tytso@mit.edu>

	* ext4: atomically set inode->i_flags in ext4_set_inode_flags()

2014-03-20  Al Viro  <viro@zeniv.linux.org.uk>

	* switch mnt_hash to hlist

2014-03-21  Al Viro  <viro@zeniv.linux.org.uk>

	* don't bother with propagate_mnt() unless the target is shared

2014-03-20  Al Viro  <viro@zeniv.linux.org.uk>

	* keep shadowed vfsmounts together

2014-02-28  Al Viro  <viro@zeniv.linux.org.uk>

	* resizable namespace.c hashes

2014-03-29  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'timers-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-29  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/sage/ceph-client

2014-03-06  Dmitry Torokhov  <dmitry.torokhov@gmail.com>

	* Input: mousedev - fix race when creating mixed device

2014-03-29  Elias Vanderstuyft  <elias.vds@gmail.com>

	* Input: don't modify the id of ioctl-provided ff effect on upload failure

2014-03-25  Alex Elder  <elder@linaro.org>

	* rbd: drop an unsafe assertion

2014-03-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net

2014-03-28  David S. Miller  <davem@davemloft.net>

	* Merge branch 'vlan_offloads'

2014-03-27  Vlad Yasevich  <vyasevic@redhat.com>

	* vlan: Warn the user if lowerdev has bad vlan features.

2014-03-27  Vlad Yasevich  <vyasevic@redhat.com>

	* veth: Turn off vlan rx acceleration in vlan_features

2014-03-27  Vlad Yasevich  <vyasevic@redhat.com>

	* ifb: Remove vlan acceleration from vlan_features

2014-03-27  Vlad Yasevich  <vyasevic@redhat.com>

	* qlge: Do not propaged vlan tag offloads to vlans

2014-03-27  Vlad Yasevich  <vyasevic@redhat.com>

	* bridge: Fix crash with vlan filtering and tcpdump

2014-03-27  Vlad Yasevich  <vyasevic@redhat.com>

	* net: Account for all vlan headers in skb_mac_gso_segment

2014-03-27  Veaceslav Falico  <vfalico@redhat.com>

	* MAINTAINERS: bonding: change email address

2014-03-27  Jay Vosburgh  <fubar@us.ibm.com>

	* MAINTAINERS: bonding: change email address

2014-03-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'akpm' (patches from Andrew Morton)

2014-03-28  Artem Fetishev  <artem_fetishev@epam.com>

	* x86: fix boot on uniprocessor systems

2014-03-28  Sasha Levin  <sasha.levin@oracle.com>

	* ocfs2: check if cluster name exists before deref

2014-03-27  Hannes Frederic Sowa  <hannes@stressinduktion.org>

	* ipv6: move DAD and addrconf_verify processing to workqueue

2014-03-27  Eric Dumazet  <edumazet@google.com>

	* tcp: fix get_timewait4_sock() delay computation on 64bit

2014-03-27  Flavio Leitner  <fbl@redhat.com>

	* openvswitch: fix a possible deadlock and lockdep warning

2014-03-27  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Fix handling stacked vlan tags

2014-03-27  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Fix inabillity to retrieve vlan tags when tx offload is disabled

2014-03-27  Michael S. Tsirkin  <mst@redhat.com>

	* vhost: validate vhost_get_vq_desc return value

2014-03-27  Michael S. Tsirkin  <mst@redhat.com>

	* vhost: fix total length when packets are too short

2014-03-28  Sasha Levin  <sasha.levin@oracle.com>

	* random32: avoid attempt to late reseed if in the middle of seeding

2014-03-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/dtor/input

2014-03-27  Sasha Levin  <sasha.levin@oracle.com>

	* random32: assign to network folks in MAINTAINERS

2014-03-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'drm-fixes' of git://people.freedesktop.org/~airlied/linux

2014-03-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'i2c/for-current' of git://git.kernel.org/pub/scm/linux/kernel/git/wsa/linux

2014-03-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'stable/for-linus-3.14-rc8-tag' of git://git.kernel.org/pub/scm/linux/kernel/git/xen/tip

2014-03-28  Hans de Goede  <hdegoede@redhat.com>

	* Input: synaptics - add manual min/max quirk for ThinkPad X240

2014-03-28  Benjamin Tissoires  <benjamin.tissoires@redhat.com>

	* Input: synaptics - add manual min/max quirk

2014-03-27  John Stultz  <john.stultz@linaro.org>

	* time: Revert to calling clock_was_set_delayed() while in irq context

2014-03-26  Daniel Vetter  <daniel.vetter@ffwll.ch>

	* drm/i915: Undo gtt scratch pte unmapping again

2014-03-27  Dave Airlie  <airlied@redhat.com>

	* drm/radeon: fix runtime suspend breaking secondary GPUs

2014-03-27  Wei Yang  <weiyang@linux.vnet.ibm.com>

	* net/mlx4_core: pass pci_device_id.driver_data to __mlx4_init_one during reset

2014-03-26  Zoltan Kiss  <zoltan.kiss@citrix.com>

	* core, nfqueue, openvswitch: Orphan frags in skb_zerocopy and handle errors

2014-03-26  Vlad Yasevich  <vyasevic@redhat.com>

	* vlan: Set hard_header_len according to available acceleration

2014-03-26  Oliver Neukum  <oneukum@suse.de>

	* usbnet: include wait queue head in device structure

2014-03-26  Jason Wang  <jasowang@redhat.com>

	* virtio-net: correct error handling of virtqueue_kick()

2014-03-26  Jan Kara  <jack@suse.cz>

	* vfs: Allocate anon_inode_inode in anon_inode_init()

2014-03-26  Dave Airlie  <airlied@redhat.com>

	* drm/nouveau: fail runtime pm properly.

2014-03-25  Dave Airlie  <airlied@redhat.com>

	* drm/udl: take reference to device struct for dma-bufs

2014-03-25  Eric Dumazet  <edumazet@google.com>

	* net: unix: non blocking recvmsg() should not return -EINTR

2014-03-26  David S. Miller  <davem@davemloft.net>

	* Merge branch 'mvneta'

2014-03-26  Thomas Petazzoni  <thomas.petazzoni@free-electrons.com>

	* net: mvneta: use devm_ioremap_resource() instead of of_iomap()

2014-03-26  Thomas Petazzoni  <thomas.petazzoni@free-electrons.com>

	* net: mvneta: fix usage as a module on RGMII configurations

2014-03-26  Thomas Petazzoni  <thomas.petazzoni@free-electrons.com>

	* net: mvneta: rename MVNETA_GMAC2_PSC_ENABLE to MVNETA_GMAC2_PCS_ENABLE

2014-03-26  Hans de Goede  <hdegoede@redhat.com>

	* Input: cypress_ps2 - don't report as a button pads

2014-03-24  Vlad Yasevich  <vyasevic@redhat.com>

	* tg3: Do not include vlan acceleration features in vlan_features

2014-03-23  Pravin B Shelar  <pshelar@nicira.com>

	* ip_tunnel: Fix dst ref-count.

2014-03-26  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'trace-fixes-v3.14-rc7-v2' of git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace

2014-03-25  Steven Rostedt (Red Hat)  <rostedt@goodmis.org>

	* tracing: Fix traceon trigger condition to actually turn tracing on

2014-03-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* fs: remove now stale label in anon_inode_init()

2014-03-25  Jan Kara  <jack@suse.cz>

	* fs: Avoid userspace mounting anon_inodefs filesystem

2014-03-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'nfsd-next' of git://linux-nfs.org/~bfields/linux

2014-03-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs

2014-03-25  David Vrabel  <david.vrabel@citrix.com>

	* Revert "xen: properly account for _PAGE_NUMA during xen pte translations"

2014-03-15  Wei Liu  <wei.liu2@citrix.com>

	* xen/balloon: flush persistent kmaps in correct position

2014-03-24  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linux 3.14-rc8

2014-03-24  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'parisc-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/deller/parisc-linux

2014-03-24  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/sparc

2014-03-24  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net

2014-03-24  Erik Hugne  <erik.hugne@ericsson.com>

	* tipc: fix spinlock recursion bug for failed subscriptions

2014-03-24  David Stevens  <dlstevens@us.ibm.com>

	* vxlan: fix nonfunctional neigh_reduce()

2014-03-24  David S. Miller  <davem@davemloft.net>

	* Merge branch 'davinci_emac'

2014-03-24  Christian Riesch  <christian.riesch@omicron.at>

	* net: davinci_emac: Fix rollback of emac_dev_open()

2014-03-24  Christian Riesch  <christian.riesch@omicron.at>

	* net: davinci_emac: Replace devm_request_irq with request_irq

2014-03-21  Li RongQing  <roy.qing.li@gmail.com>

	* netpoll: fix the skb check in pkt_is_ns

2014-03-24  David S. Miller  <davem@davemloft.net>

	* sparc64: Make sure %pil interrupts are enabled during hypervisor yield.

2014-03-18  Scott Wood  <scottwood@freescale.com>

	* i2c: cpm: Fix build by adding of_address.h and of_irq.h

2014-03-21  Nishanth Menon  <nm@ti.com>

	* net: micrel : ks8851-ml: add vdd-supply support

2014-02-21  Will Deacon  <will.deacon@arm.com>

	* parisc: locks: remove redundant arch_*_relax operations

2014-03-23  Helge Deller  <deller@gmx.de>

	* parisc: wire up sys_utimes

2014-03-01  John David Anglin  <dave.anglin@bell.net>

	* parisc: Remove unused CONFIG_PARISC_TMPALIAS code

2014-03-23  Helge Deller  <deller@gmx.de>

	* partly revert commit 8a10bc9: parisc/sti_console: prefer Linux fonts over built-in ROM fonts

2014-03-20  Al Viro  <viro@zeniv.linux.org.uk>

	* rcuwalk: recheck mount_lock after mountpoint crossing attempts

2014-03-23  Al Viro  <viro@zeniv.linux.org.uk>

	* make prepend_name() work correctly when called with negative *buflen

2014-03-16  Eric Biggers  <ebiggers3@gmail.com>

	* vfs: Don't let __fdget_pos() get FMODE_PATH files

2014-03-16  Eric Biggers  <ebiggers3@gmail.com>

	* vfs: atomic f_pos access in llseek()

2014-03-22  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'perf-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-22  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'fixes-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc

2014-03-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'drm-fixes' of git://people.freedesktop.org/~airlied/linux

2014-03-20  Dave Jones  <davej@redhat.com>

	* block: free q->flush_rq in blk_init_allocated_queue error paths

2014-03-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* futex: revert back to the explicit waiter counting code

2014-03-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'trace-fixes-v3.14-rc7' of git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace

2014-03-20  Hugh Dickins  <hughd@google.com>

	* mm: fix swapops.h:131 bug if remap_file_pages raced migration

2014-03-20  David S. Miller  <davem@davemloft.net>

	* Merge branch 'fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/jesse/openvswitch

2014-03-19  Nicolas Dichtel  <nicolas.dichtel@6wind.com>

	* ip6mr: fix mfc notification flags

2014-03-19  Nicolas Dichtel  <nicolas.dichtel@6wind.com>

	* ipmr: fix mfc notification flags

2014-03-19  Nicolas Dichtel  <nicolas.dichtel@6wind.com>

	* rtnetlink: fix fdb notification flags

2014-03-19  Eric Dumazet  <edumazet@google.com>

	* tcp: syncookies: do not use getnstimeofday()

2014-03-19  stephen hemminger  <shemming@brocade.com>

	* netlink: fix setsockopt in mmap examples in documentation

2014-03-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'upstream' of git://git.linux-mips.org/pub/scm/ralf/upstream-linus

2014-03-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'sound-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound

2014-03-20  Ben Pfaff  <blp@nicira.com>

	* openvswitch: Correctly report flow used times for first 5 minutes after boot.

2014-02-13  Vaibhav Nagarnaik  <vnagarnaik@google.com>

	* tracing: Fix array size mismatch in format string

2013-11-27  Jim Quinlan  <jim2101024@gmail.com>

	* MIPS: Make local_irq_disable macro safe for non-Mipsr2

2014-03-20  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'exynos-drm-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/daeinki/drm-exynos into drm-fixes

2014-03-17  Daniel Kurtz  <djkurtz@chromium.org>

	* drm/exynos: Fix (more) freeing issues in exynos_drm_drv.c

2014-03-18  Hugh Dickins  <hughd@google.com>

	* mm: fix bad rss-counter if remap_file_pages raced migration

2014-03-19  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pci-v3.14-fixes-3' of git://git.kernel.org/pub/scm/linux/kernel/git/helgaas/pci

2014-03-19  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/tj/cgroup

2014-03-19  Andreas Herrmann  <andreas.herrmann@caviumnetworks.com>

	* MIPS: Octeon: Fix warning in of_device_alloc on cn3xxx

2014-03-18  Viller Hsiao  <villerhsiao@gmail.com>

	* MIPS: ftrace: Tweak safe_load()/safe_store() macros

2014-03-20  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'drm-intel-fixes-2014-03-19' of git://anongit.freedesktop.org/drm-intel into drm-fixes

2014-03-18  Roger Luethi  <rl@hellgate.ch>

	* via-rhine: Disable device in error path

2014-03-19  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'timers-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-19  Charles Keepax  <ckeepax@opensource.wolfsonmicro.com>

	* ALSA: compress: Pass through return value of open ops callback

2014-02-13  Rafał Miłecki  <zajec5@gmail.com>

	* MIPS: BCM47XX: Check all (32) GPIOs when looking for a pin

2014-03-18  Chris Wilson  <chris@chris-wilson.co.uk>

	* drm/i915: Disable stolen memory when DMAR is active

2014-03-17  Jani Nikula  <jani.nikula@intel.com>

	* Revert "drm/i915: don't touch the VDD when disabling the panel"

2014-03-18  Li Zefan  <lizefan@huawei.com>

	* cgroup: fix a failure path in create_css()

2014-03-18  Bjorn Helgaas  <bhelgaas@google.com>

	* Revert "[PATCH] Insert GART region into resource map"

2014-03-18  Peter Senna Tschudin  <peter.senna@gmail.com>

	* ATHEROS-ATL1E: Convert iounmap to pci_iounmap

2014-03-18  David Stevens  <dlstevens@us.ibm.com>

	* vxlan: fix potential NULL dereference in arp_reduce()

2014-03-18  David S. Miller  <davem@davemloft.net>

	* Merge branch 'cnic-net'

2014-03-17  Michael Chan  <mchan@broadcom.com>

	* cnic: Update version to 2.5.20 and copyright year.

2014-03-17  Michael Chan  <mchan@broadcom.com>

	* cnic,bnx2i,bnx2fc: Fix inconsistent use of page size

2014-03-17  Michael Chan  <mchan@broadcom.com>

	* cnic: Use proper ulp_ops for per device operations.

2014-03-17  Bjørn Mork  <bjorn@mork.no>

	* net: cdc_ncm: fix control message ordering

2014-03-17  lucien  <lucien.xin@gmail.com>

	* ipv6: ip6_append_data_mtu do not handle the mtu of the second fragment properly

2014-03-16  Paul Bolle  <pebolle@tiscali.nl>

	* isdn/capi: Make Middleware depend on CAPI2.0

2014-03-18  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-linus' of git://git.kernel.org/pub/scm/virt/kvm/kvm

2014-03-18  David S. Miller  <davem@davemloft.net>

	* Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/klassert/ipsec

2014-03-18  Clemens Ladisch  <clemens@ladisch.de>

	* ALSA: oxygen: Xonar DG(X): fix Stereo Upmixing regression

2014-03-18  Ingo Molnar  <mingo@kernel.org>

	* Merge tag 'perf-urgent-for-mingo' of git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux into perf/urgent

2014-01-21  Alex Smith  <alex.smith@imgtec.com>

	* MIPS: Fix possible build error with transparent hugepages enabled

2014-01-30  Daniel Vetter  <daniel.vetter@ffwll.ch>

	* drm: Fix use-after-free in the shadow-attache exit code

2014-03-18  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'drm-intel-fixes-2014-03-17' of git://anongit.freedesktop.org/drm-intel into drm-fixes

2014-03-16  Benedikt Spranger  <b.spranger@linutronix.de>

	* net: cpsw: do not register cpts twice

2014-03-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.dk/linux-block

2014-03-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'upstream' of git://git.linux-mips.org/pub/scm/ralf/upstream-linus

2014-03-16  Peter Senna Tschudin  <peter.senna@gmail.com>

	* ATHEROS-ALX: Use dma_set_mask_and_coherent and fix a bug

2014-03-07  Doug Wilson  <doug.lkml@gmail.com>

	* sparc64:tsb.c:use array size macro rather than number

2014-03-14  Dave Kleikamp  <dave.kleikamp@oracle.com>

	* sparc64: don't treat 64-bit syscall return codes as 32-bit

2014-02-14  Paul Burton  <paul.burton@imgtec.com>

	* MIPS: mark O32+FP64 experimental for now

2014-03-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/jikos/hid

2014-02-22  Viller Hsiao  <villerhsiao@gmail.com>

	* MIPS: ftrace: Fix icache flush range error

2014-03-17  Lars Persson  <lars.persson@axis.com>

	* MIPS: Fix syscall tracing interface

2014-01-22  Markos Chandras  <markos.chandras@imgtec.com>

	* MIPS: asm: syscall: Fix copying system call arguments

2014-03-16  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linux 3.14-rc7

2014-03-16  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'sched-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-16  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'perf-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-10  Michael Kerrisk  <mtk.manpages@gmail.com>

	* ipc: Fix 2 bugs in msgrcv() MSG_COPY implementation

2014-03-15  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'scsi-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/jejb/scsi

2014-03-14  David S. Miller  <davem@davemloft.net>

	* Merge branch 'for-davem' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless

2014-03-14  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* net: phy: fix uninitalized ethtool_wolinfo in phy_suspend

2014-03-13  Joe Perches  <joe@perches.com>

	* MAINTAINERS: Add linux.nics@intel.com to INTEL ETHERNET DRIVERS

2014-03-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'x86-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pm+acpi-3.14-rc7' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm

2014-03-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'dm-3.14-fixes-4' of git://git.kernel.org/pub/scm/linux/kernel/git/device-mapper/linux-dm

2014-02-10  Colin Ian King  <colin.king@canonical.com>

	* MIPS: Octeon: Fix fall through on bar type OCTEON_DMA_BAR_TYPE_SMALL

2014-03-14  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless into for-davem

2014-02-07  Huacai Chen  <chenhc@lemote.com>

	* MIPS: FPU: Fix conflict of register usage

2014-02-09  Paul Bolle  <pebolle@tiscali.nl>

	* MIPS: Replace CONFIG_MIPS64 and CONFIG_MIPS32_R2

2014-03-12  Patrick Palka  <patrick@parcs.ath.cx>

	* perf bench: Fix NULL pointer dereference in "perf bench all"

2014-03-13  Simon Wood  <simon@mungewell.org>

	* HID: hid-lg4ff: Support new version of G27

2014-03-13  Arnaldo Carvalho de Melo  <acme@redhat.com>

	* perf bench numa: Make no args mean 'run all tests'

2014-03-13  Daniel J Blueman  <daniel@numascale.com>

	* x86/amd/numa: Fix northbridge quirk to assign correct NUMA node

2014-03-13  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'drm-fixes' of git://people.freedesktop.org/~airlied/linux

2014-03-13  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'i2c/for-current' of git://git.kernel.org/pub/scm/linux/kernel/git/wsa/linux

2014-03-13  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net

2014-02-09  Richard Weinberger  <richard@nod.at>

	* i2c: Remove usage of orphaned symbol OF_I2C

2014-03-13  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'pnp', 'acpi-init', 'acpi-sleep' and 'pm-cpufreq'

2014-03-13  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / sleep: Add extra checks for HW Reduced ACPI mode sleep states

2014-03-12  Heiner Kallweit  <heiner.kallweit@web.de>

	* ipv6: Avoid unnecessary temporary addresses being generated

2014-03-12  Stefan Wahren  <stefan.wahren@i2se.com>

	* eth: fec: Fix lost promiscuous mode after reconnecting cable

2014-03-12  dingtianhong  <dingtianhong@huawei.com>

	* bonding: set correct vlan id for alb xmit path

2014-03-12  Alexander Aring  <alex.aring@gmail.com>

	* at86rf230: fix lockdep splats

2014-03-12  Stanislaw Gruszka  <sgruszka@redhat.com>

	* Revert "rt2x00: rt2800lib: Update BBP register initialization for RT53xx"

2014-03-12  Helmut Schaa  <helmut.schaa@googlemail.com>

	* ath9k: Fix sequence number assignment for non-data frames

2014-03-13  Or Gerlitz  <ogerlitz@mellanox.com>

	* net/mlx4_en: Deregister multicast vxlan steering rules when going down

2014-03-13  Arnd Bergmann  <arnd@arndb.de>

	* vmxnet3: fix building without CONFIG_PCI_MSI

2014-03-13  Daniel Borkmann  <dborkman@redhat.com>

	* MAINTAINERS: add networking selftests to NETWORKING

2014-03-13  Paul Mackerras  <paulus@samba.org>

	* KVM: PPC: Book3S HV: Fix register usage when loading/saving VRSAVE

2014-03-13  Paul Mackerras  <paulus@samba.org>

	* KVM: PPC: Book3S HV: Remove bogus duplicate code

2014-03-13  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'ttm-fixes-3.14-2014-03-12' of git://people.freedesktop.org/~thomash/linux into drm-fixes

2014-03-13  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-fixes-3.14' of git://people.freedesktop.org/~agd5f/linux into drm-fixes

2014-03-13  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'vmwgfx-fixes-3.14-2014-03-13' of git://people.freedesktop.org/~thomash/linux into drm-fixes

2014-03-12  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Fix a surface reference corner-case in legacy emulation mode

2014-03-12  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pci-v3.14-fixes-2' of git://git.kernel.org/pub/scm/linux/kernel/git/helgaas/pci

2014-03-12  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-linus' of git://git.kernel.org/pub/scm/virt/kvm/kvm

2014-03-13  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / init: Invoke early ACPI initialization later

2014-03-12  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* cpufreq: Skip current frequency initialization for ->setpolicy drivers

2014-03-12  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'sound-3.14-rc7' of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound

2014-03-11  Matthew Leach  <matthew.leach@arm.com>

	* net: socket: error on a negative msg_namelen

2014-03-12  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/cik: properly set compute ring status on disable

2014-03-11  Tobias Klauser  <tklauser@distanz.ch>

	* MAINTAINERS: Add tools/net to NETWORKING [GENERAL]

2014-03-11  Geert Uytterhoeven  <geert+renesas@linux-m68k.org>

	* packet: doc: Spelling s/than/that/

2014-03-12  David S. Miller  <davem@davemloft.net>

	* Merge branch 'mlx4'

2014-03-12  Or Gerlitz  <ogerlitz@mellanox.com>

	* net/mlx4_core: Load the IB driver when the device supports IBoE

2014-03-12  Or Gerlitz  <ogerlitz@mellanox.com>

	* net/mlx4_en: Handle vxlan steering rules for mac address changes

2014-03-12  Or Gerlitz  <ogerlitz@mellanox.com>

	* net/mlx4_core: Fix wrong dump of the vxlan offloads device capability

2014-03-12  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/cik: stop the sdma engines in the enable() function

2014-03-12  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/cik: properly set sdma ring status on disable

2014-03-11  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: fix runpm disabling on non-PX harder

2014-03-11  Wei Liu  <wei.liu2@citrix.com>

	* xen-netback: use skb_is_gso in xenvif_start_xmit

2014-03-12  Rob Clark  <rclark@redhat.com>

	* drm/ttm: don't oops if no invalidate_caches()

2014-03-12  Heinz Mauelshagen  <heinzm@redhat.com>

	* dm cache: fix access beyond end of origin device

2014-03-12  Heinz Mauelshagen  <heinzm@redhat.com>

	* dm cache: fix truncation bug when copying a block to/from >2TB fast device

2014-03-11  Radim Krčmář  <rkrcmar@redhat.com>

	* KVM: SVM: fix cr8 intercept window

2014-03-11  Bjorn Helgaas  <bhelgaas@google.com>

	* PCI: Don't check resource_size() in pci_bus_alloc_resource()

2014-03-11  Bjorn Helgaas  <bhelgaas@google.com>

	* PCI: Enable INTx in pci_reenable_device() only when MSI/MSI-X not enabled

2014-03-07  Daniel Vetter  <daniel.vetter@ffwll.ch>

	* drm/i915: Don't enable display error interrupts from the start

2014-03-11  Ville Syrjälä  <ville.syrjala@linux.intel.com>

	* drm/i915: Fix scanline counter fixup on BDW

2014-03-11  Ville Syrjälä  <ville.syrjala@linux.intel.com>

	* drm/i915: Add a workaround for HSW scanline counter weirdness

2014-03-12  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/ttm: Work around performance regression with VM_PFNMAP

2014-02-27  Ales Novak  <alnovak@suse.cz>

	* [SCSI] storvsc: NULL pointer dereference fix

2014-03-11  hayeswang  <hayeswang@realtek.com>

	* r8169: fix the incorrect tx descriptor version

2014-03-11  Markos Chandras  <markos.chandras@imgtec.com>

	* tools/net/Makefile: Define PACKAGE to fix build problems

2014-03-10  Alexei Starovoitov  <ast@plumgrid.com>

	* x86: bpf_jit: support negative offsets

2014-03-10  Linus Lüssing  <linus.luessing@web.de>

	* bridge: multicast: enable snooping on general queries only

2014-03-10  Linus Lüssing  <linus.luessing@web.de>

	* bridge: multicast: add sanity check for general query destination

2014-03-06  Deng-Cheng Zhu  <dengcheng.zhu@imgtec.com>

	* MIPS: math-emu: Fix prefx detection and COP1X function field definition

2014-03-10  Eric Dumazet  <eric.dumazet@gmail.com>

	* tcp: tcp_release_cb() should release socket ownership

2014-03-11  David S. Miller  <davem@davemloft.net>

	* Merge branch 'skb_frags'

2014-03-10  Michael S. Tsirkin  <mst@redhat.com>

	* skbuff: skb_segment: orphan frags before copying

2014-03-11  Zhang Rui  <rui.zhang@intel.com>

	* PNP / ACPI: proper handling of ACPI IO/Memory resource parsing failures

2014-03-11  David S. Miller  <davem@davemloft.net>

	* Merge branch 'stmmac'

2014-03-10  Boris BREZILLON  <b.brezillon.dev@gmail.com>

	* ARM: at91: fix network interface ordering for sama5d36

2014-03-11  Shawn Guo  <shawn.guo@linaro.org>

	* MAINTAINERS: update IMX kernel git tree

2014-02-02  Suresh Siddha  <sbsiddha@gmail.com>

	* x86, fpu: Check tsk_used_math() in kernel_fpu_end() for eager FPU

2014-03-11  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-next' of git://git.samba.org/sfrench/cifs-2.6

2014-03-11  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/ebiederm/user-namespace

2014-03-10  Dave Jones  <davej@redhat.com>

	* x86: Remove CONFIG_X86_OOSTORE

2014-03-06  Dave Jones  <davej@redhat.com>

	* perf/x86: Fix leak in uncore_type_init failure paths

2014-03-06  Fernando Luis Vazquez Cao  <fernando@oss.ntt.co.jp>

	* sched/clock: Prevent tracing recursion in sched_clock_cpu()

2014-02-28  Peter Zijlstra  <peterz@infradead.org>

	* stop_machine: Fix^2 race between stop_two_cpus() and stop_cpus()

2014-03-03  Juri Lelli  <juri.lelli@gmail.com>

	* sched/deadline: Deny unprivileged users to set/change SCHED_DEADLINE policy

2014-03-11  Ingo Molnar  <mingo@kernel.org>

	* Merge tag 'perf-urgent-for-mingo' of git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux into perf/urgent

2014-03-11  Takashi Iwai  <tiwai@suse.de>

	* Merge tag 'asoc-v3.14-rc6' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound into for-linus

2014-03-10  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'akpm' (patches from Andrew Morton)

2014-03-10  Geert Uytterhoeven  <geert@linux-m68k.org>

	* cris: convert ffs from an object-like macro to a function-like macro

2014-03-10  Sergei Antonov  <saproj@gmail.com>

	* hfsplus: add HFSX subfolder count support

2014-03-10  Colin Ian King  <colin.king@canonical.com>

	* tools/testing/selftests/ipc/msgque.c: handle msgget failure return correctly

2014-03-10  Michael Opdenacker  <michael.opdenacker@free-electrons.com>

	* MAINTAINERS: blackfin: add git repository

2014-03-10  Andrew Morton  <akpm@linux-foundation.org>

	* revert "kallsyms: fix absolute addresses for kASLR"

2014-03-10  Ben Hutchings  <ben@decadent.org.uk>

	* mm/Kconfig: fix URL for zsmalloc benchmark

2014-03-10  Artem Fetishev  <artem_fetishev@epam.com>

	* fs/proc/base.c: fix GPF in /proc/$PID/map_files

2014-03-10  Laura Abbott  <lauraa@codeaurora.org>

	* mm/compaction: break out of loop on !PageBuddy in isolate_freepages_block

2014-03-10  Johannes Weiner  <hannes@cmpxchg.org>

	* mm: fix GFP_THISNODE callers and clarify

2014-03-10  Jens Axboe  <axboe@fb.com>

	* mtip32xx: fix bad use of smp_processor_id()

2014-03-10  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs

2014-03-10  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/tj/libata

2014-03-04  Al Viro  <viro@zeniv.linux.org.uk>

	* get rid of fget_light()

2014-03-03  Al Viro  <viro@zeniv.linux.org.uk>

	* sockfd_lookup_light(): switch to fdget^W^Waway from fget_light

2014-03-03  Linus Torvalds  <torvalds@linux-foundation.org>

	* vfs: atomic f_pos accesses as per POSIX

2014-02-10  Al Viro  <viro@zeniv.linux.org.uk>

	* ocfs2 syncs the wrong range...

2014-03-10  Tejun Heo  <tj@kernel.org>

	* libata: use wider match for blacklisting Crucial M500

2014-02-25  Don Zickus  <dzickus@redhat.com>

	* perf machine: Use map as success in ip__resolve_ams

2014-03-02  Jiri Olsa  <jolsa@redhat.com>

	* perf symbols: Fix crash in elf_section_by_name

2014-02-06  Ben Hutchings  <ben@decadent.org.uk>

	* perf trace: Decode architecture-specific signal numbers

2014-03-10  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'asoc/fix/88pm860', 'asoc/fix/omap' and 'asoc/fix/si476x' into asoc-linus

2014-03-10  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branch 'asoc/fix/pcm' into asoc-linus

2014-03-04  Lars-Peter Clausen  <lars@metafoo.de>

	* ASoC: 88pm860: Fix IO setup

2014-03-04  Lars-Peter Clausen  <lars@metafoo.de>

	* ASoC: si476x: Fix IO setup

2014-02-26  Giridhar Malavali  <giridhar.malavali@qlogic.com>

	* [SCSI] qla2xxx: Poll during initialization for ISP25xx and ISP83xx

2014-02-06  Lukasz Dorau  <lukasz.dorau@intel.com>

	* [SCSI] isci: correct erroneous for_each_isci_host macro

2014-02-06  Dan Williams  <dan.j.williams@intel.com>

	* [SCSI] isci: fix reset timeout handling

2013-12-19  Mike Christie  <michaelc@cs.wisc.edu>

	* [SCSI] be2iscsi: fix bad if expression

2014-02-26  Chad Dupuis  <chad.dupuis@qlogic.com>

	* [SCSI] qla2xxx: Fix multiqueue MSI-X registration.

2014-03-07  Nikolay Aleksandrov  <nikolay@redhat.com>

	* selinux: add gfp argument to security_xfrm_policy_alloc and fix callers

2014-03-07  Nikolay Aleksandrov  <nikolay@redhat.com>

	* net: af_key: fix sleeping under rcu

2014-03-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linux 3.14-rc6

2014-03-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'fixes-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc

2014-03-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'nfs-for-3.14-5' of git://git.linux-nfs.org/projects/trondmy/linux-nfs

2014-03-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'usb-3.14-rc6' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usb

2014-03-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'staging-3.15-rc6' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging

2014-03-09  David Howells  <dhowells@redhat.com>

	* KEYS: Make the keyring cycle detector ignore other keyrings of the same name

2014-03-09  Michael Chan  <mchan@broadcom.com>

	* bnx2: Fix shutdown sequence

2014-03-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-rc6' of git://git.kernel.org/pub/scm/linux/kernel/git/rzhang/linux

2014-03-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'spi-v3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/spi

2014-03-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/nab/target-pending

2014-03-09  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Revert "ACPI / sleep: pm_power_off needs more sanity checks to be installed"

2014-03-08  Olof Johansson  <olof@lixom.net>

	* Merge tag 'omap-for-v3.14/fixes-dt-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap into fixes

2014-03-08  Olof Johansson  <olof@lixom.net>

	* Merge tag 'bcm-for-3.14-pinctrl-reduced-rename' of git://github.com/broadcom/bcm11351 into fixes

2014-03-08  Olof Johansson  <olof@lixom.net>

	* Merge tag 'sunxi-fixes-for-3.14' of https://github.com/mripard/linux into fixes

2014-03-08  Mike Snitzer  <msnitzer@redhat.com>

	* block: change flush sequence list addition back to front add

2014-03-08  Mike Snitzer  <snitzer@redhat.com>

	* block: fix q->flush_rq NULL pointer crash on dm-mpath flush

2014-03-08  Eric W. Biederman  <ebiederm@xmission.com>

	* audit: Update kdoc for audit_send_reply and audit_list_rules_send

2014-03-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/tj/cgroup

2014-03-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/tj/libata

2014-03-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/tj/wq

2014-03-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'firewire-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/ieee1394/linux1394

2014-03-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'clk-fixes-for-linus' of git://git.linaro.org/people/mike.turquette/linux

2014-03-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pm+acpi-3.14-rc6' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm

2014-03-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* x86: fix compile error due to X86_TRAP_NMI use in asm files

2014-03-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'fixes' of git://ftp.arm.linux.org.uk/~rmk/linux-arm

2014-03-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'x86-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'merge' of git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc

2014-03-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'trace-fixes-v3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace

2014-03-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'irq-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-07  Ditang Chen  <chendt.fnst@cn.fujitsu.com>

	* SUNRPC: Fix oops when trace sunrpc_task events in nfs client

2014-03-08  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branch 'pm-cpufreq'

2014-03-08  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'acpi-resources', 'acpi-ec' and 'acpi-sleep'

2014-03-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'dm-3.14-fixes-3' of git://git.kernel.org/pub/scm/linux/kernel/git/device-mapper/linux-dm

2014-03-07  H. Peter Anvin  <hpa@linux.intel.com>

	* x86: Ignore NMIs that come in during early boot

2014-02-26  Mark Rutland  <mark.rutland@arm.com>

	* ARM: 7992/1: boot: compressed: ignore bswapsdi2.S

2014-02-25  Linus Walleij  <linus.walleij@linaro.org>

	* ARM: 7991/1: sa1100: fix compile problem on Collie

2014-02-26  Russell King  <rmk+kernel@arm.linux.org.uk>

	* ARM: fix noMMU kallsyms symbol filtering

2014-03-07  Mathias Nyman  <mathias.nyman@linux.intel.com>

	* Revert "USBNET: ax88179_178a: enable tso if usb host supports sg dma"

2014-03-07  Mathias Nyman  <mathias.nyman@linux.intel.com>

	* Revert "xhci 1.0: Limit arbitrarily-aligned scatter gather."

2014-03-04  Julius Werner  <jwerner@chromium.org>

	* usb: Make DELAY_INIT quirk wait 100ms between Get Configuration requests

2014-03-04  Julius Werner  <jwerner@chromium.org>

	* usb: Add device quirk for Logitech HD Pro Webcams C920 and C930e

2014-03-07  Michele Baldessari  <michele@acksyn.org>

	* libata: add ATA_HORKAGE_BROKEN_FPDMA_AA quirk for Seagate Momentus SpinPoint M8 (2BA30001)

2014-03-07  Joe Thornber  <ejt@redhat.com>

	* dm space map metadata: fix refcount decrement below 0 which caused corruption

2014-03-07  Tejun Heo  <tj@kernel.org>

	* firewire: don't use PREPARE_DELAYED_WORK

2014-03-07  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Fix loud click noise with IdeaPad 410Y

2014-03-05  Sagi Grimberg  <sagig@mellanox.com>

	* Target/sbc: Fix sbc_copy_prot for offset scatters

2014-03-07  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'spi/fix/ath79', 'spi/fix/atmel', 'spi/fix/coldfire', 'spi/fix/fsl-dspi', 'spi/fix/imx' and 'spi/fix/topcliff-pch' into spi-linus

2014-03-04  Anton Blanchard  <anton@samba.org>

	* powerpc: Align p_dyn, p_rela and p_st symbols

2014-03-03  Michael Neuling  <mikey@neuling.org>

	* powerpc/tm: Fix crash when forking inside a transaction

2014-03-07  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-fixes-3.14' of git://people.freedesktop.org/~agd5f/linux into drm-fixes

2014-03-06  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/atom: select the proper number of lanes in transmitter setup

2014-03-03  Russell King  <rmk+kernel@arm.linux.org.uk>

	* MAINTAINERS: add maintainer entry for TDA998x driver

2014-03-06  Gerd Hoffmann  <kraxel@redhat.com>

	* drm: fix bochs kconfig dependencies

2014-03-07  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-armada-fixes' of git://ftp.arm.linux.org.uk/~rmk/linux-cubox into drm-fixes

2014-03-07  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-fixes-3.14' of git://people.freedesktop.org/~agd5f/linux into drm-fixes

2014-03-06  Sabrina Dubroca  <sd@queasysnail.net>

	* ipv6: don't set DST_NOCOUNT for remotely added routes

2014-03-06  Amir Vadai  <amirv@mellanox.com>

	* net/mlx4_core: mlx4_init_slave() shouldn't access comm channel before PF is ready

2014-03-06  Amir Vadai  <amirv@mellanox.com>

	* net/mlx4_core: Fix memory access error in mlx4_QUERY_DEV_CAP_wrapper()

2014-03-06  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/dpm: fix typo in EVERGREEN_SMC_FIRMWARE_HEADER_softRegisters

2014-03-04  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/cik: fix typo in documentation

2014-03-04  Paul Bolle  <pebolle@tiscali.nl>

	* drm/radeon: silence GCC warning on 32 bit

2014-02-25  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: resume old pm late

2014-02-28  Lauri Kasanen  <cand@gmx.com>

	* drm/radeon: TTM must be init with cpu-visible VRAM, v2

2014-03-04  David Miller  <davem@davemloft.net>

	* sparc: serial: Clean up the locking for -rt

2014-03-06  Stefan Richter  <stefanr@s5r6.in-berlin.de>

	* firewire: ohci: fix probe failure with Agere/LSI controllers

2014-02-28  Deng-Cheng Zhu  <dengcheng.zhu@imgtec.com>

	* MIPS: APRP: Choose the correct VPE loader by fixing the linking

2014-02-28  Deng-Cheng Zhu  <dengcheng.zhu@imgtec.com>

	* MIPS: APRP: Unregister rtlx interrupt hook at module exit

2014-03-06  Mike Snitzer  <snitzer@redhat.com>

	* dm thin: fix Documentation for held metadata root feature

2014-03-05  Peter Zijlstra  <peterz@infradead.org>

	* x86, trace: Further robustify CR2 handling vs tracing

2014-03-01  Kieran Clancy  <clancy.kieran@gmail.com>

	* ACPI / EC: Clear stale EC events on Samsung systems

2014-03-04  Viresh Kumar  <viresh.kumar@linaro.org>

	* cpufreq: Initialize governor for a new policy under policy->rwsem

2014-03-04  Viresh Kumar  <viresh.kumar@linaro.org>

	* cpufreq: Initialize policy before making it available for others to use

2014-03-04  Aaron Plattner  <aplattner@nvidia.com>

	* cpufreq: use cpufreq_cpu_get() to avoid cpufreq_get() race conditions

2014-03-04  Ben Widawsky  <benjamin.widawsky@intel.com>

	* drm/i915: Fix PSR programming

2014-03-05  Stefan Agner  <stefan@agner.ch>

	* clocksource: vf_pit_timer: use complement for sched_clock reading

2014-03-06  Marc Zyngier  <marc.zyngier@arm.com>

	* ARM: KVM: fix non-VGIC compilation

2014-02-28  Benoit Cousson  <bcousson@baylibre.com>

	* clk: shmobile: rcar-gen2: Use kick bit to allow Z clock frequency change

2014-03-03  Joe Thornber  <ejt@redhat.com>

	* dm thin: fix noflush suspend IO queueing

2014-03-03  Joe Thornber  <ejt@redhat.com>

	* dm thin: fix deadlock in __requeue_bio_list

2014-03-03  Joe Thornber  <ejt@redhat.com>

	* dm thin: fix out of data space handling

2014-02-14  Mike Snitzer  <snitzer@redhat.com>

	* dm thin: ensure user takes action to validate data and metadata consistency

2014-03-04  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFSv4: Fail the truncate() if the lock/open stateid is invalid

2014-03-04  Andy Adamson  <andros@netapp.com>

	* NFSv4.1 Fail data server I/O if stateid represents a lost lock

2014-03-04  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFSv4: Fix the return value of nfs4_select_rw_stateid

2014-03-05  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFSv4: nfs4_stateid_is_current should return 'true' for an invalid stateid

2014-03-05  Takashi Iwai  <tiwai@suse.de>

	* ALSA: usb-audio: Add quirk for Logitech Webcam C500

2014-03-05  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Use analog beep for Thinkpads with AD1984 codecs

2014-03-05  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Add missing loopback merge path for AD1884/1984 codecs

2014-03-05  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'drm-intel-fixes-2014-03-04' of ssh://git.freedesktop.org/git/drm-intel into drm-fixes

2014-03-05  Wenyou Yang  <wenyou.yang@atmel.com>

	* spi: atmel: add missing spi_master_{resume,suspend} calls to PM callbacks

2014-02-14  Axel Lin  <axel.lin@ingics.com>

	* spi: coldfire-qspi: Fix getting correct address for *mcfqspi

2014-02-14  Axel Lin  <axel.lin@ingics.com>

	* spi: fsl-dspi: Fix getting correct address for master

2014-03-02  Patrick Lai  <plai@codeaurora.org>

	* ASoC: pcm: free path list before exiting from error conditions

2014-03-02  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iser-target: Fix command leak for tx_desc->comp_llnode_batch

2014-02-27  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iser-target: Ignore completions for FRWRs in isert_cq_tx_work

2014-02-27  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iser-target: Fix post_send_buf_count for RDMA READ/WRITE

2014-02-03  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iscsi/iser-target: Fix isert_conn->state hung shutdown issues

2014-02-03  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iscsi/iser-target: Use list_del_init for ->i_conn_node

2014-02-26  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iscsi-target: Fix iscsit_get_tpg_from_np tpg_state bug

2014-03-03  Salva Peiró  <speiro@ai2.upv.es>

	* staging/cxt1e1/linux.c: Correct arbitrary memory write in c4_ioctl()

2014-02-28  Jiri Olsa  <jolsa@redhat.com>

	* x86, trace: Fix CR2 corruption when tracing page faults

2014-03-04  H. Peter Anvin  <hpa@linux.intel.com>

	* Merge tag 'efi-urgent' into x86/urgent

2014-03-04  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net

2014-03-04  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'regulator-v3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/regulator

2014-03-04  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'akpm' (patches from Andrew Morton)

2014-02-14  Mike Snitzer  <snitzer@redhat.com>

	* dm thin: synchronize the pool mode during suspend

2014-03-03  Johannes Weiner  <hannes@cmpxchg.org>

	* mm: page_alloc: exempt GFP_THISNODE allocations from zone fairness

2014-03-03  Liu Ping Fan  <pingfank@linux.vnet.ibm.com>

	* mm: numa: bugfix for LAST_CPUPID_NOT_IN_PAGE_FLAGS

2014-03-03  Joe Perches  <joe@perches.com>

	* MAINTAINERS: add and correct types of some "T:" entries

2014-03-03  Joe Perches  <joe@perches.com>

	* MAINTAINERS: use tab for separator

2014-03-03  Alexandre Bounine  <alexandre.bounine@idt.com>

	* rapidio/tsi721: fix tasklet termination in dma channel release

2014-03-03  Vyacheslav Dubeyko  <slava@dubeyko.com>

	* hfsplus: fix remount issue

2014-03-03  Minchan Kim  <minchan@kernel.org>

	* zram: avoid null access when fail to alloc meta

2014-03-03  Geert Uytterhoeven  <geert@linux-m68k.org>

	* sh: prefix sh-specific "CCR" and "CCR2" by "SH_"

2014-03-03  Jan Kara  <jack@suse.cz>

	* ocfs2: fix quota file corruption

2014-03-03  Vikas Sajjan  <vikas.sajjan@linaro.org>

	* drivers/rtc/rtc-s3c.c: fix incorrect way of save/restore of S3C2410_TICNT for TYPE_S3C64XX

2014-03-03  Andy Honig  <ahonig@google.com>

	* kallsyms: fix absolute addresses for kASLR

2014-03-03  Daniel M. Weeks  <dan@danweeks.net>

	* scripts/gen_initramfs_list.sh: fix flags for initramfs LZ4 compression

2014-03-03  Vlastimil Babka  <vbabka@suse.cz>

	* mm: include VM_MIXEDMAP flag in the VM_SPECIAL list to avoid m(un)locking

2014-03-03  Filipe Brandenburger  <filbranden@google.com>

	* memcg: reparent charges of children before processing parent

2014-03-03  Hugh Dickins  <hughd@google.com>

	* memcg: fix endless loop in __mem_cgroup_iter_next()

2014-03-03  Hugh Dickins  <hughd@google.com>

	* lib/radix-tree.c: swapoff tmpfs radix_tree: remember to rcu_read_unlock

2014-03-03  Dan Williams  <dan.j.williams@intel.com>

	* dma debug: account for cachelines and read-only mappings in overlap tracking

2014-03-03  David Rientjes  <rientjes@google.com>

	* mm: close PageTail race

2014-03-03  Borislav Petkov  <bp@suse.de>

	* MAINTAINERS: EDAC: add Mauro and Borislav as interim patch collectors

2014-03-04  Hui Wang  <hui.wang@canonical.com>

	* ALSA: hda - add automute fix for another dell AIO model

2014-03-04  Aaro Koskinen  <aaro.koskinen@iki.fi>

	* ASoC: n810: fix init with DT boot

2014-02-26  Steven Rostedt (Red Hat)  <rostedt@goodmis.org>

	* tracing: Do not add event files for modules that fail tracepoints

2014-03-03  Mikulas Patocka  <mpatocka@redhat.com>

	* dm snapshot: fix metadata corruption

2014-03-03  Marios Andreopoulos  <opensource@andmarios.com>

	* libata: disable queued TRIM for Crucial M500 mSATA SSDs

2014-03-03  Mike Snitzer  <snitzer@redhat.com>

	* dm: fix Kconfig indentation

2014-03-03  Vlad Yasevich  <vyasevic@redhat.com>

	* macvlan: Add support for 'always_on' offload features

2014-03-03  David S. Miller  <davem@davemloft.net>

	* Merge branch 'for-davem' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless

2014-03-03  Daniel Borkmann  <dborkman@redhat.com>

	* net: sctp: fix sctp_sf_do_5_1D_ce to verify if we/peer is AUTH capable

2014-03-03  David S. Miller  <davem@davemloft.net>

	* Merge tag 'linux-can-fixes-for-3.14-20140303' of git://gitorious.org/linux-can/linux-can

2014-03-03  Xin Long  <lucien.xin@gmail.com>

	* ip_tunnel:multicast process cause panic due to skb->_skb_refdst NULL pointer

2014-03-03  Schuyler Patton  <spatton@ti.com>

	* net: cpsw: fix cpdma rx descriptor leak on down interface

2014-03-03  Vasundhara Volam  <vasundhara.volam@emulex.com>

	* be2net: isolate TX workarounds not applicable to Skyhawk-R

2014-03-03  Vasundhara Volam  <vasundhara.volam@emulex.com>

	* be2net: Fix skb double free in be_xmit_wrokarounds() failure path

2014-03-03  Somnath kotur  <somnath.kotur@emulex.com>

	* be2net: clear promiscuous bits in adapter->flags while disabling promiscuous mode

2014-03-03  Somnath Kotur  <somnath.kotur@emulex.com>

	* be2net: Fix to reset transparent vlan tagging

2014-03-01  Dan Carpenter  <dan.carpenter@oracle.com>

	* qlcnic: dcb: a couple off by one bugs

2014-02-28  Yuchung Cheng  <ycheng@google.com>

	* tcp: fix bogus RTT on special retransmission

2014-03-01  Dan Carpenter  <dan.carpenter@oracle.com>

	* hsr: off by one sanity check in hsr_register_frame_in()

2014-03-03  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless into for-davem

2014-03-03  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'sched-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-03  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'core-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-03  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'clk-fixes-for-linus' of git://git.linaro.org/people/mike.turquette/linux

2014-03-03  Russell King  <rmk+kernel@arm.linux.org.uk>

	* DRM: armada: fix use of kfifo_put()

2014-03-03  Ville Syrjälä  <ville.syrjala@linux.intel.com>

	* drm/i915: Reject >165MHz modes w/ DVI monitors

2014-02-27  Paulo Zanoni  <paulo.r.zanoni@intel.com>

	* drm/i915: fix assert_cursor on BDW

2014-02-11  Imre Deak  <imre.deak@intel.com>

	* drm/i915: vlv: reserve GT power context early

2014-01-24  Zhang Rui  <rui.zhang@intel.com>

	* Thermal: thermal zone governor fix

2014-02-17  Ni Wade  <wni@nvidia.com>

	* Thermal: Allow first update of cooling device state

2014-01-27  Richard Weinberger  <richard@nod.at>

	* thermal,rcar_thermal: Add dependency on HAS_IOMEM

2014-03-02  Jean Delvare  <jdelvare@suse.de>

	* x86_pkg_temp_thermal: Fix the thermal zone type

2014-03-02  Jean Delvare  <jdelvare@suse.de>

	* x86_pkg_temp_thermal: Do not expose as a hwmon device

2014-03-03  Zhang Rui  <rui.zhang@intel.com>

	* Thermal: update INT3404 thermal driver help text

2014-03-01  Oliver Hartkopp  <socketcan@hartkopp.net>

	* can: remove CAN FD compatibility for CAN 2.0 sockets

2014-02-28  Marc Kleine-Budde  <mkl@pengutronix.de>

	* can: flexcan: factor out soft reset into seperate funtion

2014-02-28  Marc Kleine-Budde  <mkl@pengutronix.de>

	* can: flexcan: flexcan_remove(): add missing netif_napi_del()

2014-02-28  Marc Kleine-Budde  <mkl@pengutronix.de>

	* can: flexcan: fix transition from and to freeze mode in chip_{,un}freeze

2014-02-28  Marc Kleine-Budde  <mkl@pengutronix.de>

	* can: flexcan: factor out transceiver {en,dis}able into seperate functions

2014-02-28  Marc Kleine-Budde  <mkl@pengutronix.de>

	* can: flexcan: fix transition from and to low power mode in chip_{en,dis}able

2014-02-28  Marc Kleine-Budde  <mkl@pengutronix.de>

	* can: flexcan: flexcan_open(): fix error path if flexcan_chip_start() fails

2014-02-19  Marc Kleine-Budde  <mkl@pengutronix.de>

	* can: flexcan: fix shutdown: first disable chip, then all interrupts

2014-02-14  Imre Deak  <imre.deak@intel.com>

	* drm/i915: fix pch pci device enumeration

2014-01-13  Akash Goel  <akash.goel@intel.com>

	* drm/i915: Resolving the memory region conflict for Stolen area

2014-02-25  Jani Nikula  <jani.nikula@intel.com>

	* drm/i915: use backlight legacy combination mode also for i915gm/i945gm

2014-03-03  Marius Knaust  <marius.knaust@gmail.com>

	* ALSA: hda - Added inverted digital-mic handling for Acer TravelMate 8371

2014-03-02  Gabor Juhos  <juhosg@openwrt.org>

	* spi: spi-ath79: fix initial GPIO CS line setup

2014-02-27  Dave Airlie  <airlied@redhat.com>

	* MAINTAINERS: update AGP tree to point at drm tree

2014-03-02  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFS: Fix a delegation callback race

2014-03-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linux 3.14-rc5

2014-02-28  Gerry Demaret  <gerry@tigron.be>

	* USB AX88179/178A: Support D-Link DUB-1312

2014-03-02  Hauke Mehrtens  <hauke@hauke-m.de>

	* b44: always set duplex mode why phy changes

2014-03-02  Hauke Mehrtens  <hauke@hauke-m.de>

	* b44: add calls to phy_{start,stop}

2014-03-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'drm-fixes' of git://people.freedesktop.org/~airlied/linux

2014-03-02  Li, Aubrey  <aubrey.li@linux.intel.com>

	* ACPI / sleep: pm_power_off needs more sanity checks to be installed

2014-03-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'usb-3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usb

2014-03-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'driver-core-3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/driver-core

2014-03-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'staging-3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging

2014-03-03  Dave Airlie  <airlied@gmail.com>

	* Merge branch 'drm-fixes-3.14' of git://people.freedesktop.org/~agd5f/linux into drm-fixes

2014-03-02  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge iio fixes into staging-linus

2014-03-01  Marek Belisko  <marek@goldelico.com>

	* ARM: dts: omap3-gta04: Add ti,omap36xx to compatible property to avoid problems with booting

2014-03-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'perf-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-02  Dave Airlie  <airlied@gmail.com>

	* Merge tag 'vmwgfx-fixes-3.14-2014-03-02' of git://people.freedesktop.org/~thomash/linux into drm-fixes

2014-03-01  Alexey Khoroshilov  <khoroshilov@ispras.ru>

	* drm/vmwgfx: avoid null pointer dereference at failure paths

2014-02-28  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Make sure backing mobs are cleared when allocated. Update driver date.

2014-02-28  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Remove some unused surface formats

2014-03-01  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'x86-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-03-01  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/nab/target-pending

2014-03-01  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'fixes' of git://git.infradead.org/users/vkoul/slave-dma

2014-03-01  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pm+acpi-3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm

2014-02-27  Zhang Rui  <rui.zhang@intel.com>

	* ACPI / resources: ignore invalid ACPI device resources

2014-02-26  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFSv4: Fix another nfs4_sequence corruptor

2014-03-01  Ingo Molnar  <mingo@kernel.org>

	* Merge tag 'perf-urgent-for-mingo' of git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux into perf/urgent

2014-02-28  Eric W. Biederman  <ebiederm@xmission.com>

	* audit: Send replies in the proper network namespace.

2014-02-28  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge tag 'fixes-for-3.14d' of git://git.kernel.org/pub/scm/linux/kernel/git/jic23/iio into staging-linus

2014-02-28  Russell King  <rmk+kernel@arm.linux.org.uk>

	* MAINTAINERS: add maintainer entry for Armada DRM driver

2014-02-28  Ivan Vecera  <ivecera@redhat.com>

	* bna: fix vlan tag stripping and implement its toggling

2014-02-28  Michael Chan  <mchan@broadcom.com>

	* tg3: Don't check undefined error bits in RXBD

2014-02-20  Stephen Warren  <swarren@nvidia.com>

	* ARM: tegra: add LED options back into tegra_defconfig

2014-02-22  Jeff Layton  <jlayton@redhat.com>

	* cifs: mask off top byte in get_rfc1002_length()

2014-02-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'dm-3.14-fixes-1' of git://git.kernel.org/pub/scm/linux/kernel/git/device-mapper/linux-dm

2014-02-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'sound-3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound

2014-02-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'edac_fixes_for_3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/bp/bp

2014-02-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-linus' of git://git.kernel.org/pub/scm/virt/kvm/kvm

2014-02-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'arm64-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/arm64/linux

2014-02-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'merge' of git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc

2014-02-22  Javier Martinez Canillas  <javier.martinez@collabora.co.uk>

	* ARM: dts: omap3-igep: fix boot fail due wrong compatible match

2014-02-26  Bing Zhao  <bzhao@marvell.com>

	* mwifiex: do not advertise usb autosuspend support

2014-02-28  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'for-john' of git://git.kernel.org/pub/scm/linux/kernel/git/jberg/mac80211

2014-02-28  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/iwlwifi/iwlwifi-fixes

2014-02-28  Heinz Mauelshagen  <heinzm@redhat.com>

	* dm cache mq: fix memory allocation failure for large cache devices

2014-02-28  Catalin Marinas  <catalin.marinas@arm.com>

	* arm64: Fix !CONFIG_SMP kernel build

2014-02-25  Steve Capper  <steve.capper@linaro.org>

	* arm64: mm: Add double logical invert to pte accessors

2014-02-28  Arnd Bergmann  <arnd@arndb.de>

	* Merge tag 'omap-for-v3.14/fixes-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap into fixes

2014-02-27  Heinz Mauelshagen  <heinzm@redhat.com>

	* dm cache: fix truncation bug when mapping I/O to >2TB fast device

2014-02-26  Jiri Olsa  <jolsa@redhat.com>

	* perf tools: Fix strict alias issue for find_first_bit

2014-02-03  Eric W. Biederman  <ebiederm@xmission.com>

	* audit: Use struct net not pid_t to remember the network namespce to reply in

2014-02-18  Stefan Richter  <stefanr@s5r6.in-berlin.de>

	* firewire: net: fix use after free

2014-02-28  Benjamin Herrenschmidt  <benh@kernel.crashing.org>

	* powerpc/powernv: Fix indirect XSCOM unmangling

2014-02-28  Benjamin Herrenschmidt  <benh@kernel.crashing.org>

	* powerpc/powernv: Fix opal_xscom_{read,write} prototype

2014-02-25  Gavin Shan  <shangw@linux.vnet.ibm.com>

	* powerpc/powernv: Refactor PHB diag-data dump

2014-02-25  Gavin Shan  <shangw@linux.vnet.ibm.com>

	* powerpc/powernv: Dump PHB diag-data immediately

2014-02-26  Paul Mackerras  <paulus@samba.org>

	* powerpc: Increase stack redzone for 64-bit userspace to 512 bytes

2014-02-26  Liu Ping Fan  <kernelfans@gmail.com>

	* powerpc/ftrace: bugfix for test_24bit_addr

2014-02-24  Laurent Dufour  <ldufour@linux.vnet.ibm.com>

	* powerpc/crashdump : Fix page frame number check in copy_oldmem_page

2014-02-20  Tony Breeds  <tony@bakeyournoodle.com>

	* powerpc/le: Ensure that the 'stop-self' RTAS token is handled correctly

2014-02-27  Philippe De Muyter  <phdm@macqel.be>

	* spi: spi-imx: spi_imx_remove: do not disable disabled clocks

2014-02-27  Tony Lindgren  <tony@atomide.com>

	* ARM: OMAP3: Fix pinctrl interrupts for core2

2014-02-27  Hans Schillstrom  <hans@schillstrom.com>

	* ipv6: ipv6_find_hdr restore prev functionality

2014-02-27  Duan Jiong  <duanj.fnst@cn.fujitsu.com>

	* neigh: recompute reachabletime before returning from neigh_periodic_work()

2014-02-28  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'pm-cpufreq', 'pm-hibernate' and 'acpi-processor'

2014-02-27  David S. Miller  <davem@davemloft.net>

	* Merge branch 'for-davem' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless

2014-02-27  Yuval Mintz  <yuvalmin@broadcom.com>

	* bnx2x: Add missing bit in default Tx switching

2014-02-27  Paolo Bonzini  <pbonzini@redhat.com>

	* kvm, vmx: Really fix lazy FPU on nested guest

2014-01-11  Andi Kleen  <ak@linux.intel.com>

	* perf tools: fix BFD detection on opensuse

2014-02-27  David S. Miller  <davem@davemloft.net>

	* Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/klassert/ipsec

2014-02-27  Lorenzo Colitti  <lorenzo@google.com>

	* net: ipv6: ping: Use socket mark in routing lookup

2014-02-27  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless into for-davem

2014-02-27  Johannes Berg  <johannes.berg@intel.com>

	* mac80211: fix association to 20/40 MHz VHT networks

2014-02-18  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: enable speaker allocation setup on dce3.2

2014-02-18  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: change audio enable logic

2014-02-18  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: fix audio disable on dce6+

2014-02-26  Jerome Glisse  <jglisse@redhat.com>

	* drm/radeon: free uvd ring on unload

2014-02-25  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: disable pll sharing for DP on DCE4.1

2014-02-20  Christian König  <christian.koenig@amd.com>

	* drm/radeon: fix missing bo reservation

2014-02-20  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: print the supported atpx function mask

2014-02-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'metag-fixes-v3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/jhogan/metag

2014-02-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pwm/for-3.14-rc5' of git://git.kernel.org/pub/scm/linux/kernel/git/thierry.reding/linux-pwm

2014-02-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for_linus' of git://git.kernel.org/pub/scm/linux/kernel/git/jack/linux-fs

2014-02-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'upstream-3.14-rc5' of git://git.infradead.org/linux-ubifs

2014-02-27  Andrew Honig  <ahonig@google.com>

	* kvm: x86: fix emulator buffer overflow (CVE-2014-0049)

2014-02-26  Marc Zyngier  <marc.zyngier@arm.com>

	* arm/arm64: KVM: detect CPU reset on CPU_PM_EXIT

2014-02-26  Hiroaki SHIMODA  <shimoda.hiroaki@gmail.com>

	* sch_tbf: Fix potential memory leak in tbf_change().

2014-02-12  Mike Snitzer  <snitzer@redhat.com>

	* dm thin: allow metadata space larger than supported to go unused

2014-02-27  Li Zefan  <lizefan@huawei.com>

	* cpuset: fix a race condition in __cpuset_node_allowed_softwall()

2014-02-27  Li Zefan  <lizefan@huawei.com>

	* cpuset: fix a locking issue in cpuset_migrate_mm()

2014-02-27  Rashika Kheria  <rashika.kheria@gmail.com>

	* genirq: Include missing header file in irqdomain.c

2014-02-27  Ingo Molnar  <mingo@kernel.org>

	* Merge branch 'liblockdep-fixes' of https://github.com/sashalevin/liblockdep into core/urgent

2014-02-27  Ingo Molnar  <mingo@kernel.org>

	* Merge tag 'perf-urgent-for-mingo' of git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux into perf/urgent

2014-02-27  Takashi Iwai  <tiwai@suse.de>

	* Merge tag 'asoc-v3.14-rc4-2' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound into for-linus

2014-02-24  Peter Zijlstra  <peterz@infradead.org>

	* perf: Fix hotplug splat

2014-02-21  Peter Zijlstra  <peterz@infradead.org>

	* perf/x86: Fix event scheduling

2014-02-21  Juri Lelli  <juri.lelli@gmail.com>

	* sched/deadline: Prevent rt_time growth to infinity

2014-02-24  Juri Lelli  <juri.lelli@gmail.com>

	* sched/deadline: Switch CPU's presence test order

2014-02-25  Kirill Tkhai  <ktkhai@parallels.com>

	* sched/deadline: Cleanup RT leftovers from {inc/dec}_dl_migration

2014-02-18  George McCollister  <george.mccollister@gmail.com>

	* sched: Fix double normalization of vruntime

2014-02-27  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branch 'asoc/fix/wm8958' into asoc-linus

2014-02-27  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'asoc/fix/da732x' and 'asoc/fix/sta32x' into asoc-linus

2014-02-27  Mark Brown  <broonie@linaro.org>

	* Merge tag 'asoc-v3.14-rc4' into asoc-linus

2014-02-27  Mark Brown  <broonie@linaro.org>

	* Merge tag 'asoc-v3.14-rc3' into asoc-linus

2014-02-25  Johannes Berg  <johannes.berg@intel.com>

	* iwlwifi: fix TX status for aggregated packets

2014-02-27  Takashi Iwai  <tiwai@suse.de>

	* ASoC: sta32x: Fix wrong enum for limiter2 release rate

2014-02-16  Max Stepanov  <Max.Stepanov@intel.com>

	* iwlwifi: mvm: change of listen interval from 70 to 10

2014-02-27  Takashi Iwai  <tiwai@suse.de>

	* Merge tag 'asoc-v3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound into for-linus

2014-02-18  Alex Deucher  <alexdeucher@gmail.com>

	* MAINTAINERS: update drm git tree entry

2014-02-18  Alex Deucher  <alexdeucher@gmail.com>

	* MAINTAINERS: add entry for drm radeon driver

2014-02-26  Alexander Stein  <alexander.stein@systec-electronic.com>

	* spi-topcliff-pch: Fix probing when DMA mode is used

2014-02-26  Jiri Bohac  <jbohac@suse.cz>

	* bonding: disallow enslaving a bond to itself

2014-02-08  Wang Nan  <wangnan0@huawei.com>

	* tools/liblockdep: Use realpath for srctree and objtree

2014-02-05  Sasha Levin  <sasha.levin@oracle.com>

	* tools/liblockdep: Add a stub for new rcu_is_watching

2014-02-05  Sasha Levin  <sasha.levin@oracle.com>

	* tools/liblockdep: Mark runtests.sh as executable

2014-01-31  Ira W. Snyder  <iws@ovro.caltech.edu>

	* tools/liblockdep: Add include directory to allow tests to compile

2014-01-31  Ira W. Snyder  <iws@ovro.caltech.edu>

	* tools/liblockdep: Fix include of asm/hash.h

2014-01-31  Ira W. Snyder  <iws@ovro.caltech.edu>

	* tools/liblockdep: Fix initialization code path

2014-02-11  Masanari Iida  <standby24x7@gmail.com>

	* clk:at91: Fix memory leak in of_at91_clk_master_setup()

2014-02-19  Stanislaw Gruszka  <sgruszka@redhat.com>

	* usb: ehci: fix deadlock when threadirqs option is used

2014-02-21  Joerg Dorchain  <joerg@dorchain.net>

	* USB: ftdi_sio: add Cressi Leonardo PID

2014-02-26  Lan Tianyu  <tianyu.lan@intel.com>

	* ACPI / processor: Rework processor throttling with work_on_cpu()

2014-02-26  Nikolay Aleksandrov  <nikolay@redhat.com>

	* bonding: fix a div error caused by the slave release path

2014-02-26  Freddy Xin  <freddy@asix.com.tw>

	* AX88179_178A: Add VID:DID for Lenovo OneLinkDock Gigabit LAN

2014-02-26  David S. Miller  <davem@davemloft.net>

	* Merge branch 'bonding_rtnl'

2014-02-26  dingtianhong  <dingtianhong@huawei.com>

	* bonding: Fix RTNL: assertion failed at net/core/rtnetlink.c for ab arp monitor

2014-02-26  dingtianhong  <dingtianhong@huawei.com>

	* bonding: Fix RTNL: assertion failed at net/core/rtnetlink.c for 802.3ad mode

2014-02-25  Joe Perches  <joe@perches.com>

	* MAINTAINERS: Intel nic drivers

2014-02-25  Edward Cree  <ecree@solarflare.com>

	* sfc: check for NULL efx->ptp_data in efx_ptp_event

2014-02-25  Eric Dumazet  <edumazet@google.com>

	* net: tcp: use NET_INC_STATS()

2014-01-21  Linus Walleij  <linus.walleij@linaro.org>

	* clk: nomadik: fix multiplatform problem

2014-02-24  Marcelo Tosatti  <mtosatti@redhat.com>

	* KVM: MMU: drop read-only large sptes when creating lower level sptes

2014-01-23  Christian Engelmayer  <cengelma@gmx.at>

	* pwm: lp3943: Fix potential memory leak during request

2014-02-26  Hannes Reinecke  <hare@suse.de>

	* dm mpath: fix stalls when handling invalid ioctls

2014-02-24  Mark Brown  <broonie@linaro.org>

	* ASoC: da732x: Mark DC offset control registers volatile

2014-02-26  Fernando Luis Vázquez Cao  <fernando_b1@lab.ntt.co.jp>

	* HID: hidraw: fix warning destroying hidraw device files after parent

2014-02-26  Kailang Yang  <kailang@realtek.com>

	* ALSA: hda/realtek - Add more entry for enable HP mute led

2014-02-19  Steffen Klassert  <steffen.klassert@secunet.com>

	* xfrm: Fix unlink race when policies are deleted.

2014-02-09  Kees Cook  <keescook@chromium.org>

	* x86, kaslr: add missed "static" declarations

2014-01-23  Eugene Surovegin  <surovegin@google.com>

	* x86, kaslr: export offset in VMCOREINFO ELF notes

2014-02-18  Sebastian Capella  <sebastian.capella@linaro.org>

	* PM / hibernate: Fix restore hang in freeze_processes()

2014-02-25  Dirk Brandewie  <dirk.j.brandewie@intel.com>

	* intel_pstate: Change busy calculation to use fixed point math.

2014-02-25  Cristian Bercaru  <cristian.bercaru@freescale.com>

	* phy: unmask link partner capabilities

2014-02-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'akpm' (patches from Andrew Morton)

2014-02-25  Tobias Klauser  <tklauser@distanz.ch>

	* MAINTAINERS: change mailing list address for Altera UART drivers

2014-02-25  Jan Beulich  <JBeulich@suse.com>

	* Makefile: fix build with make 3.80 again

2014-02-25  Joe Perches  <joe@perches.com>

	* MAINTAINERS: update L: misuses

2014-02-25  Fathi Boudra  <fathi.boudra@linaro.org>

	* Makefile: fix extra parenthesis typo when CC_STACKPROTECTOR_REGULAR is enabled

2014-02-25  Davidlohr Bueso  <davidlohr@hp.com>

	* ipc,mqueue: remove limits for the amount of system-wide queues

2014-02-25  Michal Hocko  <mhocko@suse.cz>

	* memcg: change oom_info_lock to mutex

2014-02-25  Kirill A. Shutemov  <kirill.shutemov@linux.intel.com>

	* mm, thp: fix infinite loop on memcg OOM

2014-02-25  Joe Perches  <joe@perches.com>

	* drivers/fmc/fmc-write-eeprom.c: fix decimal permissions

2014-02-25  Joe Perches  <joe@perches.com>

	* drivers/iommu/omap-iommu-debug.c: fix decimal permissions

2014-02-25  Kirill A. Shutemov  <kirill.shutemov@linux.intel.com>

	* mm, hwpoison: release page on PageHWPoison() in __do_fault()

2014-02-25  James Hogan  <james.hogan@imgtec.com>

	* irq-metag*: stop set_affinity vectoring to offline cpus

2014-02-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'dmaengine-fixes-3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/djbw/dmaengine

2014-02-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-linus-20140225' of git://git.infradead.org/linux-mtd

2014-02-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/geert/linux-m68k

2014-02-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'xtensa-next-20140224' of git://github.com/czankel/xtensa-linux

2014-02-24  Felix Fietkau  <nbd@openwrt.org>

	* ath9k: fix invalid descriptor discarding

2014-02-24  Felix Fietkau  <nbd@openwrt.org>

	* ath9k: reduce baseband hang detection false positive rate

2014-02-19  Dan Williams  <dan.j.williams@intel.com>

	* ioat: fix tasklet tear down

2014-02-25  Li Zefan  <lizefan@huawei.com>

	* sysfs: fix namespace refcnt leak

2014-02-14  Janusz Dziedzic  <janusz.dziedzic@tieto.com>

	* cfg80211: regulatory: reset regdomain in case of error

2014-02-21  Jan Kara  <jack@suse.cz>

	* fsnotify: Allocate overflow events with proper type

2014-02-21  Jan Kara  <jack@suse.cz>

	* fanotify: Handle overflow in case of permission events

2014-02-21  Jan Kara  <jack@suse.cz>

	* fsnotify: Fix detection whether overflow event is queued

2014-02-25  Jean Delvare  <jdelvare@suse.de>

	* i7300_edac: Fix device reference count

2014-02-24  Jean Delvare  <jdelvare@suse.de>

	* i7core_edac: Fix PCI device reference count

2014-02-24  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Add a fixup for HP Folio 13 mute LED

2014-02-24  Mike Turquette  <mturquette@linaro.org>

	* Merge branch 'clocks/fixes/drivers' of git://linuxtv.org/pinchartl/fbdev into clk-fixes

2014-01-07  Sylwester Nawrocki  <s.nawrocki@samsung.com>

	* clk: Correct handling of NULL clk in __clk_{get, put}

2014-02-22  Lars-Peter Clausen  <lars@metafoo.de>

	* ASoC: wm8958-dsp: Fix firmware block loading

2014-01-23  Sherman Yin  <syin@broadcom.com>

	* pinctrl: Rename Broadcom Capri pinctrl binding

2014-02-24  Christian Daudt  <bcm@fixthebug.org>

	* pinctrl: refer to updated dt binding string.

2014-01-23  Sherman Yin  <syin@broadcom.com>

	* Update dtsi with new pinctrl compatible string

2014-02-20  Markus Pargmann  <mpa@pengutronix.de>

	* regulator: core: Replace direct ops->disable usage

2014-02-20  Markus Pargmann  <mpa@pengutronix.de>

	* regulator: core: Replace direct ops->enable usage

2014-02-24  Manu Gupta  <manugupt1@gmail.com>

	* staging: r8188eu: Add new device ID

2014-02-24  Venkatesh Srinivas  <venkateshs@google.com>

	* vhost/scsi: Check LUN structure byte 0 is set to 1, per spec

2014-02-24  Mike Turquette  <mturquette@linaro.org>

	* Merge branch 'clk-tegra-more-fixes-3.14' of git://nv-tegra.nvidia.com/user/pdeschrijver/linux into clk-fixes

2014-02-24  Juergen Beisert  <jbe@pengutronix.de>

	* staging:iio:adc:MXS:LRADC: fix touchscreen statemachine

2014-02-24  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge 3.14-rc4 into char-misc-linus

2014-02-24  Dr. Greg Wettstein  <greg@enjellic.com>

	* qla2xxx: Fix kernel panic on selective retransmission request

2014-02-22  Felix Fietkau  <nbd@openwrt.org>

	* ath9k: fix ps-poll responses under a-mpdu sessions

2014-02-21  Bing Zhao  <bzhao@marvell.com>

	* mwifiex: rename usb driver name registerring to usb core

2014-02-24  John W. Linville  <linville@tuxdriver.com>

	* Merge tag 'nfc-fixes-3.14-1' of git://git.kernel.org/pub/scm/linux/kernel/git/sameo/nfc-fixes

2014-02-24  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/iwlwifi/iwlwifi-fixes

2014-02-19  Mike Snitzer  <snitzer@redhat.com>

	* dm thin: fix the error path for the thin device constructor

2014-02-24  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/jmorris/linux-security

2014-02-24  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/s390/linux

2014-02-20  Namhyung Kim  <namhyung@kernel.org>

	* perf symbols: Destroy unused symsrcs

2014-02-20  Namhyung Kim  <namhyung@kernel.org>

	* perf annotate: Check availability of annotate when processing samples

2014-02-19  Laurent Pinchart  <laurent.pinchart+renesas@ideasonboard.com>

	* clk: shmobile: Fix typo in MSTP clock DT bindings

2014-01-07  Laurent Pinchart  <laurent.pinchart+renesas@ideasonboard.com>

	* clk: shmobile: rcar-gen2: Fix qspi divisor

2014-01-07  Laurent Pinchart  <laurent.pinchart+renesas@ideasonboard.com>

	* clk: shmobile: rcar-gen2: Fix clock parent for all non-PLL clocks

2014-02-03  James Hogan  <james.hogan@imgtec.com>

	* asm-generic: add sched_setattr/sched_getattr syscalls

2014-02-21  Johannes Berg  <johannes.berg@intel.com>

	* mac80211: don't validate unchanged AP bandwidth while tracking

2014-02-24  Chris Zankel  <chris@zankel.net>

	* Merge tag 'xtensa-for-next-20140221-1' into for_next

2014-02-24  James Morris  <james.l.morris@oracle.com>

	* Merge branch 'stable-3.14' of git://git.infradead.org/users/pcmoore/selinux into for-linus

2014-02-14  Jeff Layton  <jlayton@redhat.com>

	* cifs: sanity check length of data to send before sending

2014-02-14  Pavel Shilovsky  <piastry@etersoft.ru>

	* CIFS: Fix wrong pos argument of cifs_find_lock_conflict

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linux 3.14-rc4

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'fixes-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'regulator-v3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/regulator

2014-02-23  Sagi Grimberg  <sagig@mellanox.com>

	* Target/sbc: Don't use sg as iterator in sbc_verify_read

2014-02-23  Nicholas Bellinger  <nab@linux-iscsi.org>

	* target: Add DIF sense codes in transport_generic_request_failure

2014-02-23  Nicholas Bellinger  <nab@linux-iscsi.org>

	* target/sbc: Fix sbc_dif_copy_prot addr offset bug

2014-02-17  Pekon Gupta  <pekon@ti.com>

	* mtd: nand: omap: fix ecclayout->oobfree->length

2014-02-17  Pekon Gupta  <pekon@ti.com>

	* mtd: nand: omap: fix ecclayout->oobfree->offset

2014-02-17  Pekon Gupta  <pekon@ti.com>

	* mtd: nand: omap: fix ecclayout to be in sync with u-boot NAND driver

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'timers-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'x86-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'irq-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-06  Amitkumar Karwar  <akarwar@marvell.com>

	* NFC: NCI: Fix NULL pointer dereference

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'usb-3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usb

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'tty-3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/tty

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'staging-3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging

2014-02-23  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'char-misc-3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/char-misc

2014-02-14  Matt Porter  <mporter@linaro.org>

	* MAINTAINERS: add additional ARM BCM281xx/BCM11xxx maintainer

2014-02-23  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'regulator/fix/da9063', 'regulator/fix/max14577' and 'regulator/fix/s5m8767' into regulator-linus

2014-02-23  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branch 'regulator/fix/core' into regulator-linus

2014-02-23  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'asoc/fix/sta32x', 'asoc/fix/wm8400', 'asoc/fix/wm8770', 'asoc/fix/wm8900' and 'asoc/fix/wm8994' into asoc-linus

2014-02-23  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'asoc/fix/ad1980' and 'asoc/fix/isabelle' into asoc-linus

2014-02-23  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branch 'asoc/fix/dapm' into asoc-linus

2014-02-23  Mark Brown  <broonie@linaro.org>

	* Merge tag 'asoc-v3.14-rc3' into asoc-linus

2014-02-22  Lars-Peter Clausen  <lars@metafoo.de>

	* ASoC: sta32x: Fix cache sync

2014-02-22  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Revert "tty: Set correct tty name in 'active' sysfs attribute"

2014-02-22  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'sched-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-22  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'perf-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-22  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'hwmon-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/groeck/linux-staging

2014-02-22  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'xfs-fixes-for-3.14-rc4' of git://oss.sgi.com/xfs/xfs

2014-02-22  Ingo Molnar  <mingo@kernel.org>

	* Merge tag 'perf-urgent-for-mingo' of git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux into perf/urgent

2014-02-21  Krzysztof Kozlowski  <k.kozlowski@samsung.com>

	* regulator: max14577: Fix invalid return value on DT parse success

2014-02-21  Jan Kara  <jack@suse.cz>

	* Revert "writeback: do not sync data dirtied after sync start"

2014-02-17  Santosh Shilimkar  <santosh.shilimkar@ti.com>

	* ARM: OMAP: Kill warning in CPUIDLE code with !CONFIG_SMP

2014-02-17  Sebastian Reichel  <sre@debian.org>

	* ARM: OMAP2+: Add support for thumb mode on DT booted N900

2014-02-21  Tony Lindgren  <tony@atomide.com>

	* Merge tag 'for-v3.14-rc/omap-fixes-a' of git://git.kernel.org/pub/scm/linux/kernel/git/pjw/omap-pending into omap-for-v3.14/fixes

2014-02-21  Thomas Gleixner  <tglx@linutronix.de>

	* Merge tag 'irqchip-mvebu-fixes-3.14' of git://git.infradead.org/linux-mvebu into irq/urgent

2014-02-21  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'dt-for-linus' of git://git.secretlab.ca/git/linux

2014-02-21  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://www.linux-watchdog.org/linux-watchdog

2014-02-07  Andrew Lunn  <andrew@lunn.ch>

	* irqchip: orion: Fix getting generic chip pointer.

2014-02-19  Stephane Eranian  <eranian@google.com>

	* perf/x86/uncore: Fix IVT/SNB-EP uncore CBOX NID filter table

2014-02-03  Peter Zijlstra  <peterz@infradead.org>

	* perf/x86: Correctly use FEATURE_PDCM

2014-02-14  Markus Metzger  <markus.t.metzger@intel.com>

	* perf, nmi: Fix unknown NMI warning

2014-02-19  Matthieu CASTET  <matthieu.castet@parrot.com>

	* usb: chipidea: need to mask when writting endptflush and endptprime

2014-02-17  Arve Hjønnevåg  <arve@android.com>

	* staging: binder: Fix death notifications

2014-02-18  Kirill Tkhai  <tkhai@yandex.ru>

	* sched/deadline: Remove useless dl_nr_total

2014-02-17  Boris Ostrovsky  <boris.ostrovsky@oracle.com>

	* sched/deadline: Test for CPU's presence explicitly

2014-02-14  Peter Zijlstra  <peterz@infradead.org>

	* sched: Add 'flags' argument to sched_{set,get}attr() syscalls

2014-02-16  Vegard Nossum  <vegard.nossum@oracle.com>

	* sched: Fix information leak in sys_sched_getattr()

2014-02-18  Rik van Riel  <riel@redhat.com>

	* sched,numa: add cond_resched to task_numa_work

2014-02-11  Juri Lelli  <juri.lelli@gmail.com>

	* sched/core: Make dl_b->lock IRQ safe

2014-02-11  Juri Lelli  <juri.lelli@gmail.com>

	* sched/core: Fix sched_rt_global_validate

2014-02-19  Steven Rostedt  <rostedt@goodmis.org>

	* sched/deadline: Fix overflow to handle period==0 and deadline!=0

2014-02-20  Juri Lelli  <juri.lelli@gmail.com>

	* sched/deadline: Fix bad accounting of nr_running

2014-01-27  Stanislav Kholmanskikh  <stanislav.kholmanskikh@oracle.com>

	* watchdog: w83697hf_wdt: return ENODEV if no device was found

2014-02-18  Max Filippov  <jcmvbkbc@gmail.com>

	* xtensa: wire up sched_setattr and sched_getattr syscalls

2014-02-21  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/sparc

2014-02-21  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pm+acpi-3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm

2014-02-21  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'iommu-fixes-v3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/joro/iommu

2014-02-21  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'sound-3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound

2014-01-29  Max Filippov  <jcmvbkbc@gmail.com>

	* xtensa: xtfpga: set ethoc clock frequency

2014-01-29  Max Filippov  <jcmvbkbc@gmail.com>

	* xtensa: xtfpga: use common clock framework

2014-01-29  Max Filippov  <jcmvbkbc@gmail.com>

	* xtensa: support common clock framework

2014-02-09  Paul Bolle  <pebolle@tiscali.nl>

	* xtensa: no need to select USE_GENERIC_SMP_HELPERS

2014-02-07  Max Filippov  <jcmvbkbc@gmail.com>

	* xtensa: fsf: drop nonexistent GPIO32 support

2014-01-31  Max Filippov  <jcmvbkbc@gmail.com>

	* xtensa: don't pass high memory to bootmem allocator

2014-02-18  Thomas Petazzoni  <thomas.petazzoni@free-electrons.com>

	* ARM: 7980/1: kernel: improve error message when LPAE config doesn't match CPU

2014-02-21  Kailang Yang  <kailang@realtek.com>

	* ALSA: hda/realtek - Add more entry for enable HP mute led

2014-02-19  Peter Oberparleiter  <oberpar@linux.vnet.ibm.com>

	* s390/cio: Fix missing subchannels after CHPID configure on

2014-02-18  Gerald Schaefer  <gerald.schaefer@de.ibm.com>

	* s390/pci/dma: use correct segment boundary size

2014-02-10  Heiko Carstens  <heiko.carstens@de.ibm.com>

	* s390/compat: fix sys_sched_getattr compat wrapper

2014-02-21  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branch 'pm-cpufreq'

2014-02-21  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'acpi-pm' and 'acpi-video'

2014-02-21  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'acpi-cleanup', 'acpi-dock', 'acpi-pci' and 'acpi-dsm'

2014-02-12  Dirk Brandewie  <dirk.j.brandewie@intel.com>

	* intel_pstate: Add support for Baytrail turbo P states

2014-02-12  Dirk Brandewie  <dirk.j.brandewie@intel.com>

	* intel_pstate: Use LFM bus ratio as min ratio/P state

2014-02-20  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge tag 'iio-fixes-for-3.14c' of git://git.kernel.org/pub/scm/linux/kernel/git/jic23/iio into char-misc-linus

2014-02-20  Shuah Khan  <shuah.kh@samsung.com>

	* regulator: core: Change dummy supplies error message to a warning

2014-02-20  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge tag 'fixes-for-v3.14-rc4' of git://git.kernel.org/pub/scm/linux/kernel/git/balbi/usb into usb-linus

2014-01-30  Nicholas Bellinger  <nab@linux-iscsi.org>

	* tcm_qla2xxx: Fix NAA formatted name for NPIV WWPNs

2014-02-19  Nicholas Bellinger  <nab@linux-iscsi.org>

	* tcm_qla2xxx: Perform configfs depend/undepend for base_tpg

2014-02-19  Nicholas Bellinger  <nab@linux-iscsi.org>

	* tcm_qla2xxx: Add NPIV specific enable/disable attribute logic

2014-02-19  Nicholas Bellinger  <nab@linux-iscsi.org>

	* qla2xxx: Check + fail when npiv_vports_inuse exists in shutdown

2014-02-19  Nicholas Bellinger  <nab@linux-iscsi.org>

	* qla2xxx: Fix qlt_lport_register base_vha callback race

2014-02-20  Jan Kara  <jack@suse.cz>

	* quota: Fix race between dqput() and dquot_scan_active()

2014-02-18  Jan Kara  <jack@suse.cz>

	* udf: Fix data corruption on file type conversion

2014-02-14  Sujith Manoharan  <c_manoha@qca.qualcomm.com>

	* ath9k: Fix ETSI compliance for AR9462 2.0

2014-02-20  Arend van Spriel  <arend@broadcom.com>

	* brcmfmac: fix txglomming scatter-gather packet transfers

2014-02-19  Stanislaw Gruszka  <sgruszka@redhat.com>

	* ath9k: protect tid->sched check

2014-02-18  Amitkumar Karwar  <akarwar@marvell.com>

	* mwifiex: fix cmd and Tx data timeout issue for PCIe cards

2014-02-18  Amitkumar Karwar  <akarwar@marvell.com>

	* mwifiex: add NULL check for PCIe Rx skb

2014-02-18  Avinash Patil  <patila@marvell.com>

	* mwifiex: clean pcie ring only when device is present

2014-02-17  James Cameron  <quozl@laptop.org>

	* libertas: fix scan result loss if SSID IE len 0

2014-02-14  Kirill Tkhai  <ktkhai@parallels.com>

	* hostap: Do not free priv until timer handler has actually stopped using it

2014-02-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pci-v3.14-fixes-1' of git://git.kernel.org/pub/scm/linux/kernel/git/helgaas/pci

2014-02-20  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'for-john' of git://git.kernel.org/pub/scm/linux/kernel/git/jberg/mac80211

2014-02-20  Jiang Liu  <jiang.liu@linux.intel.com>

	* ACPI / nouveau: fix probing regression related to _DSM

2014-02-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/tj/libata

2014-02-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/tj/cgroup

2014-02-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/tj/wq

2014-02-20  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'fixes-for-v3.14' of git://git.linaro.org/people/mszyprowski/linux-dma-mapping

2014-02-16  Brian Campbell  <brian.campbell@editshare.com>

	* user_namespace.c: Remove duplicated word in comment

2014-02-20  David Howells  <dhowells@redhat.com>

	* Sparc: sparc_cpu_model isn't in asm/system.h any more [ver #2]

2014-02-18  Emmanuel Grumbach  <emmanuel.grumbach@intel.com>

	* iwlwifi: dvm: clear IWL_STA_UCODE_INPROGRESS when assoc fails

2014-02-20  Peter De Schrijver  <pdeschrijver@nvidia.com>

	* clk: tegra124: remove gr2d and gr3d clocks

2014-02-20  Eric Paris  <eparis@redhat.com>

	* SELinux: bigendian problems with filename trans rules

2014-02-05  Daniel Mack  <zonque@gmail.com>

	* usb: musb: correct use of schedule_delayed_work()

2014-02-18  Josh Cartwright  <joshc@codeaurora.org>

	* usb: phy: msm: fix compilation errors when !CONFIG_PM_SLEEP

2014-01-20  Andrzej Pietrasiewicz  <andrzej.p@samsung.com>

	* usb: gadget: fix NULL pointer dereference

2014-01-03  Peter Chen  <peter.chen@freescale.com>

	* usb: gadget: printer: using gadget_is_otg to check otg support at runtime

2014-02-19  Steffen Klassert  <steffen.klassert@secunet.com>

	* xfrm: Clone states properly on migration

2014-02-19  Steffen Klassert  <steffen.klassert@secunet.com>

	* xfrm: Take xfrm_state_lock in xfrm_migrate_state_find

2014-02-19  Steffen Klassert  <steffen.klassert@secunet.com>

	* xfrm: Fix NULL pointer dereference on sub policy usage

2014-02-19  Steffen Klassert  <steffen.klassert@secunet.com>

	* ip6_vti: Fix build when NET_IP_TUNNEL is not set.

2014-02-19  Frank Praznik  <frank.praznik@oh.rr.com>

	* HID: sony: Fix work queue issues.

2014-02-20  Joerg Roedel  <joro@8bytes.org>

	* arm/smmu: Use irqsafe spinlock for domain lock

2014-02-18  Grant Likely  <grant.likely@linaro.org>

	* of: Add self test for of_match_node()

2014-02-18  Grant Likely  <grant.likely@linaro.org>

	* of: Move testcase FDT data into drivers/of

2014-02-19  Kevin Hao  <haokexin@gmail.com>

	* of: reimplement the matching method for __of_match_node()

2014-02-20  Johannes Berg  <johannes.berg@intel.com>

	* mac80211: fix station wakeup powersave race

2014-02-18  Charles Keepax  <ckeepax@opensource.wolfsonmicro.com>

	* ASoC: dapm: Add locking to snd_soc_dapm_xxxx_pin functions

2014-02-18  Charles Keepax  <ckeepax@opensource.wolfsonmicro.com>

	* Input - arizona-haptics: Fix double lock of dapm_mutex

2014-02-17  Johannes Berg  <johannes.berg@intel.com>

	* mac80211: insert stations before adding to driver

2014-02-20  Emmanuel Grumbach  <emmanuel.grumbach@intel.com>

	* mac80211: fix AP powersave TX vs. wakeup race

2014-02-19  Peter De Schrijver  <pdeschrijver@nvidia.com>

	* clk: tegra: Fix vic03 mux index

2014-02-20  Hui Wang  <hui.wang@canonical.com>

	* ALSA: hda - Enable front audio jacks on one HP desktop model

2014-02-20  Takashi Iwai  <tiwai@suse.de>

	* Merge tag 'asoc-v3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound into for-linus

2014-02-20  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'drm/for-3.14-rc3' of git://anongit.freedesktop.org/tegra/linux into drm-fixes

2014-02-18  Takashi Iwai  <tiwai@suse.de>

	* ASoC: wm8400: Fix the wrong number of enum items

2014-02-18  Takashi Iwai  <tiwai@suse.de>

	* ASoC: isabelle: Fix the wrong number of items in enum ctls

2014-02-18  Takashi Iwai  <tiwai@suse.de>

	* ASoC: ad1980: Fix wrong number of items for capture source

2014-02-18  Takashi Iwai  <tiwai@suse.de>

	* ASoC: wm8994: Fix the wrong number of enum items

2014-02-18  Takashi Iwai  <tiwai@suse.de>

	* ASoC: wm8900: Fix the wrong number of enum items

2014-02-18  Takashi Iwai  <tiwai@suse.de>

	* ASoC: wm8770: Fix wrong number of enum items

2014-02-13  Paul Gortmaker  <paul.gortmaker@windriver.com>

	* sparc32: make copy_to/from_user_page() usable from modular code

2014-02-13  Paul Gortmaker  <paul.gortmaker@windriver.com>

	* sparc32: fix build failure for arch_jump_label_transform

2014-02-18  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Revert "ACPI: Blacklist Win8 OSI for some HP laptop 2013 models"

2014-02-18  Aaron Lu  <aaron.lu@intel.com>

	* ACPI / video: Add systems that should favour native backlight interface

2014-02-13  Hans de Goede  <hdegoede@redhat.com>

	* ACPI / video: Filter the _BCL table for duplicate brightness values

2014-02-19  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'nfs-for-3.14-4' of git://git.linux-nfs.org/projects/trondmy/linux-nfs

2014-02-19  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'mfd-fixes-3.14-1' of git://git.linaro.org/people/lee.jones/mfd

2014-01-30  Tomi Valkeinen  <tomi.valkeinen@ti.com>

	* ARM: OMAP2+: clock: fix clkoutx2 with CLK_SET_RATE_PARENT

2014-02-05  Illia Smyrnov  <illia.smyrnov@globallogic.com>

	* ARM: OMAP4: hwmod: Fix SOFTRESET logic for OMAP4

2014-01-10  Suman Anna  <s-anna@ti.com>

	* ARM: DRA7: hwmod data: correct the sysc data for spinlock

2014-02-16  Vaibhav Bedia  <vaibhav.bedia@gmail.com>

	* ARM: OMAP5: PRM: Fix reboot handling

2014-02-18  Takashi Iwai  <tiwai@suse.de>

	* ASoC: sta32x: Fix array access overflow

2014-02-19  Mika Westerberg  <mika.westerberg@linux.intel.com>

	* x86: tsc: Add missing Baytrail frequency to the table

2014-02-19  Thomas Gleixner  <tglx@linutronix.de>

	* x86, tsc: Fallback to normal calibration if fast MSR calibration fails

2014-02-17  Stephen Boyd  <sboyd@codeaurora.org>

	* sched_clock: Prevent callers from seeing half-updated data

2014-02-18  Andy Adamson  <andros@netapp.com>

	* NFS fix error return in nfs4_select_rw_stateid

2014-01-26  Geert Uytterhoeven  <geert@linux-m68k.org>

	* mfd: sec-core: sec_pmic_{suspend,resume}() should depend on CONFIG_PM_SLEEP

2014-01-26  Geert Uytterhoeven  <geert@linux-m68k.org>

	* mfd: max14577: max14577_{suspend,resume}() should depend on CONFIG_PM_SLEEP

2014-02-03  Lee Jones  <lee.jones@linaro.org>

	* mfd: tps65217: Naturalise cross-architecture discrepancies

2014-01-23  Lee Jones  <lee.jones@linaro.org>

	* mfd: wm8994-core: Naturalise cross-architecture discrepancies

2014-02-03  Lee Jones  <lee.jones@linaro.org>

	* mfd: max8998: Naturalise cross-architecture discrepancies

2014-01-23  Lee Jones  <lee.jones@linaro.org>

	* mfd: max8997: Naturalise cross-architecture discrepancies

2014-02-19  Alexander Stein  <alexander.stein@systec-electronic.com>

	* spi/topcliff-pch: Fix DMA channel

2014-02-12  Inbal Hacohen  <Inbal.Hacohen@intel.com>

	* cfg80211: bugfix in regulatory user hint process

2014-02-19  Hsin-Yu Chao  <hychao@chromium.org>

	* ALSA: hda/ca0132 - Fix recording from mode id 0x8

2014-02-19  Hsin-Yu Chao  <hychao@chromium.org>

	* ALSA: hda/ca0132 - setup/cleanup streams

2014-02-18  Mike Turquette  <mturquette@linaro.org>

	* Merge branch 'for_3.14-rcx/clk-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/ssantosh/linux-keystone into clk-fixes

2014-02-18  Mike Turquette  <mturquette@linaro.org>

	* Merge tag 'mvebu-clk-fixes-3.14' of git://git.infradead.org/linux-mvebu into clk-fixes

2014-01-07  Laurent Pinchart  <laurent.pinchart+renesas@ideasonboard.com>

	* clk: shmobile: rcar-gen2: Fix qspi divisor

2014-01-07  Laurent Pinchart  <laurent.pinchart+renesas@ideasonboard.com>

	* clk: shmobile: rcar-gen2: Fix clock parent all non-PLL clocks

2014-02-19  Eric Sandeen  <sandeen@redhat.com>

	* xfs: limit superblock corruption errors to actual corruption

2014-02-19  Eric Sandeen  <sandeen@redhat.com>

	* xfs: skip verification on initial "guess" superblock read

2014-02-19  Ben Myers  <bpm@sgi.com>

	* MAINTAINERS: SGI no longer maintaining XFS

2014-02-19  Eric Sandeen  <sandeen@redhat.com>

	* xfs: xfs_sb_read_verify() doesn't flag bad crcs on primary sb

2014-02-18  Stephen Warren  <swarren@nvidia.com>

	* ARM: tegra: only run PL310 init on systems with one

2014-02-18  Charles Keepax  <ckeepax@opensource.wolfsonmicro.com>

	* ASoC: dapm: Correct regulator bypass error messages

2014-02-19  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branch 'asoc/fix/wm8993' into asoc-linus

2014-02-19  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'asoc/fix/blackfin', 'asoc/fix/da9055', 'asoc/fix/davinci', 'asoc/fix/fsl', 'asoc/fix/fsl-esai', 'asoc/fix/max98090', 'asoc/fix/rt5640', 'asoc/fix/samsung' and 'asoc/fix/txx9aclc-ac97' into asoc-linus

2014-02-18  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'drm-fixes' of git://people.freedesktop.org/~airlied/linux

2014-02-18  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/jikos/hid

2014-02-18  Thierry Reding  <treding@nvidia.com>

	* ARM: tegra: Add head numbers to display controllers

2014-02-18  Olof Johansson  <olof@lixom.net>

	* Merge tag 'mvebu-dt-fixes-3.14' of git://git.infradead.org/linux-mvebu into fixes

2014-02-17  Srivatsa S. Bhat  <srivatsa.bhat@linux.vnet.ibm.com>

	* cpufreq: powernow-k8: Initialize per-cpu data-structures properly

2014-02-17  viresh kumar  <viresh.kumar@linaro.org>

	* cpufreq: remove sysfs link when a cpu != policy->cpu, is removed

2014-02-18  Shawn Guo  <shawn.guo@linaro.org>

	* ARM: imx6: build pm-imx6q.c independently of CONFIG_PM

2014-02-18  Olof Johansson  <olof@lixom.net>

	* Merge tag 'omap-for-v3.14/fixes-against-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap into fixes

2014-02-13  Stephen Warren  <swarren@nvidia.com>

	* ARM: tegra: fix RTC0 alias for Cardhu

2014-02-15  Guenter Roeck  <linux@roeck-us.net>

	* hwmon: (max1668) Fix writing the minimum temperature

2014-02-18  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net

2014-02-18  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'fixes' of git://ftp.arm.linux.org.uk/~rmk/linux-arm

2014-02-18  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'jfs-3.14-rc4' of git://github.com/kleikamp/linux-shaggy

2014-02-18  Olof Johansson  <olof@lixom.net>

	* Merge tag 'pwm_pxa_for_v3.14' of https://git.kernel.org/pub/scm/linux/kernel/git/hzhuang1/linux into fixes

2014-02-13  Tejun Heo  <tj@kernel.org>

	* cgroup: update cgroup_enable_task_cg_lists() to grab siglock

2014-02-18  Florian Fainelli  <f.fainelli@gmail.com>

	* MAINTAINERS: add entry for the PHY library

2014-02-18  Ben Dooks  <ben.dooks@codethink.co.uk>

	* of_mdio: fix phy interrupt passing

2014-02-18  Thomas Petazzoni  <thomas.petazzoni@free-electrons.com>

	* net: ethernet: update dependency and help text of mvneta

2014-02-18  Russell King  <rmk+kernel@arm.linux.org.uk>

	* NET: fec: only enable napi if we are successful

2014-02-18  Dan Carpenter  <dan.carpenter@oracle.com>

	* af_packet: remove a stray tab in packet_set_ring()

2014-02-18  Kevin Hao  <haokexin@gmail.com>

	* Revert "of: search the best compatible match first in __of_match_node()"

2014-02-19  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'ttm-fixes-3.14-2014-02-18' of git://people.freedesktop.org/~thomash/linux into drm-fixes

2014-02-19  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'vmwgfx-fixes-3.14-2014-02-18' of git://people.freedesktop.org/~thomash/linux into drm-fixes

2014-02-19  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-fixes-3.14' of git://people.freedesktop.org/~agd5f/linux into drm-fixes

2014-02-18  David S. Miller  <davem@davemloft.net>

	* Merge branch 'for-davem' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless

2014-02-15  Lai Jiangshan  <laijs@cn.fujitsu.com>

	* workqueue: ensure @task is valid across kthread_stop()

2014-02-17  Daniel Borkmann  <dborkman@redhat.com>

	* net: sctp: fix sctp_connectx abi for ia32 emulation/compat mode

2014-02-18  David S. Miller  <davem@davemloft.net>

	* Merge tag 'batman-adv-fix-for-davem' of git://git.open-mesh.org/linux-merge

2014-02-17  Kishon Vijay Abraham I  <kishon@ti.com>

	* phy: let phy_provider_register be the last step in registering PHY

2014-02-17  Hans de Goede  <hdegoede@redhat.com>

	* phy-core: Don't allow building phy-core as a module

2014-02-17  Hans de Goede  <hdegoede@redhat.com>

	* phy-core: Don't propagate -ENOSUPP from phy_pm_runtime_get_sync to caller

2014-02-17  Hans de Goede  <hdegoede@redhat.com>

	* phy-core: phy_get: Leave error logging to the caller

2014-02-17  Richard Weinberger  <richard@nod.at>

	* phy,phy-bcm-kona-usb2.c: Add dependency on HAS_IOMEM

2014-02-14  Daniel Mack  <zonque@gmail.com>

	* usb: musb: correct use of schedule_delayed_work()

2014-02-14  Daniel Mack  <zonque@gmail.com>

	* usb: musb: do not sleep in atomic context

2014-02-12  Aleksander Morgado  <aleksander@aleksander.es>

	* USB: serial: option: blacklist interface 4 for Cinterion PHS8 and PXS8

2014-02-13  Alan Stern  <stern@rowland.harvard.edu>

	* USB: EHCI: add delay during suspend to prevent erroneous wakeups

2014-02-14  David A. Long  <dave.long@linaro.org>

	* ARM: 7964/1: Detect section mismatches in thumb relocations

2014-02-18  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/ni: fix typo in dpm sq ramping setup

2014-02-18  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/si: fix typo in dpm sq ramping setup

2014-02-18  Christian König  <christian.koenig@amd.com>

	* drm/radeon: fix CP semaphores on CIK

2014-02-17  Dan Carpenter  <dan.carpenter@oracle.com>

	* drm/radeon: delete a stray tab

2014-02-17  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: fix display tiling setup on SI

2014-02-17  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/dpm: reduce r7xx vblank mclk threshold to 200

2014-02-12  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: fill in DRM_CAPs for cursor size

2014-02-12  Alex Deucher  <alexander.deucher@amd.com>

	* drm: add DRM_CAPs for cursor size

2014-02-03  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: unify bpc handling

2014-02-12  Chao Bi  <chao.bi@intel.com>

	* mei: set client's read_cb to NULL when flow control fails

2014-02-18  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'ext4_for_linus_stable' of git://git.kernel.org/pub/scm/linux/kernel/git/tytso/ext4

2014-02-19  J. R. Okajima  <hooanon05g@gmail.com>

	* nfsd: fix lost nfserrno() call in nfsd_setattr()

2014-01-14  Florian Fainelli  <florian@openwrt.org>

	* usb: gadget: bcm63xx_udc: fix build failure on DMA channel code

2014-01-15  Daniel Mack  <zonque@gmail.com>

	* usb: musb: do not sleep in atomic context

2014-02-03  Sachin Kamat  <sachin.kamat@linaro.org>

	* usb: gadget: s3c2410_udc: Fix build error

2014-02-04  Roger Quadros  <rogerq@ti.com>

	* usb: musb: core: Fix remote-wakeup resume

2014-02-04  Ajay Kumar Gupta  <ajay.gupta@ti.com>

	* usb: musb: host: Fix SuperSpeed hub enumeration

2014-02-17  Jason Cooper  <jason@lakedaemon.net>

	* ARM: dove: dt: revert PMU interrupt controller node

2014-02-18  Mikulas Patocka  <mpatocka@redhat.com>

	* dm raid1: fix immutable biovec related BUG when retrying read bio

2014-02-06  Felipe Balbi  <balbi@ti.com>

	* usb: musb: fix obex in g_nokia.ko causing kernel panic

2014-02-18  Levente Kurusa  <levex@linux.com>

	* ahci: disable NCQ on Samsung pci-e SSDs on macbooks

2014-02-10  Tomasz Nowicki  <tomasz.nowicki@linaro.org>

	* ACPI / PCI: Fix memory leak in acpi_pci_irq_enable()

2014-02-12  Masanari Iida  <standby24x7@gmail.com>

	* drm/ttm: Fix memory leak in ttm_agp_backend.c

2014-02-09  Alexandre Courbot  <acourbot@nvidia.com>

	* drm/ttm: declare 'struct device' in ttm_page_alloc.h

2014-02-16  Markus Pargmann  <mpa@pengutronix.de>

	* dma: sdma: Add imx25 compatible

2014-02-18  Joerg Roedel  <joro@8bytes.org>

	* Merge branch 'for-joerg/arm-smmu/fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/will/linux into iommu/fixes

2014-02-14  Denis CIOCCA  <denis.ciocca@st.com>

	* iio:gyro: bug on L3GD20H gyroscope support

2014-02-14  Beomho Seo  <beomho.seo@samsung.com>

	* iio: cm32181: Change cm32181 ambient light sensor driver

2014-02-14  Beomho Seo  <beomho.seo@samsung.com>

	* iio: cm36651: Fix read/write integration time function.

2014-02-17  Jan Kara  <jack@suse.cz>

	* inotify: Fix reporting of cookies for inotify events

2014-02-18  Hui Wang  <hui.wang@canonical.com>

	* ALSA: hda - add headset mic detect quirks for two Dell laptops

2014-02-18  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-nouveau-next' of git://anongit.freedesktop.org/git/nouveau/linux-2.6 into drm-fixes

2014-02-18  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'drm-intel-fixes-2014-02-14' of ssh://git.freedesktop.org/git/drm-intel into drm-fixes

2014-02-18  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'tda998x-fixes' of git://ftp.arm.linux.org.uk/~rmk/linux-cubox into drm-fixes

2014-02-17  Dan Carpenter  <dan.carpenter@oracle.com>

	* jbd2: fix use after free in jbd2_journal_start_reserved()

2014-02-15  Ilia Mirkin  <imirkin@alum.mit.edu>

	* drm/nouveau: fix TTM_PL_TT memtype on pre-nv50

2014-02-13  Ilia Mirkin  <imirkin@alum.mit.edu>

	* drm/nv50/disp: use correct register to determine DP display bpp

2014-02-12  Emil Velikov  <emil.l.velikov@gmail.com>

	* drm/nouveau/fb: use correct ram oclass for nv1a hardware

2014-02-08  Ilia Mirkin  <imirkin@alum.mit.edu>

	* drm/nv50/gr: add missing nv_error parameter priv

2014-02-07  Alexandre Courbot  <acourbot@nvidia.com>

	* drm/nouveau: fix ENG_RUNLIST register address

2014-02-05  Ilia Mirkin  <imirkin@alum.mit.edu>

	* drm/nv4c/bios: disallow retrieving from prom on nv4x igp's

2014-02-05  Ilia Mirkin  <imirkin@alum.mit.edu>

	* drm/nv4c/vga: decode register is in a different place on nv4x igp's

2014-02-05  Ilia Mirkin  <imirkin@alum.mit.edu>

	* drm/nv4c/mc: nv4x igp's have a different msi rearm register

2014-01-29  Ilia Mirkin  <imirkin@alum.mit.edu>

	* drm/nouveau: set irq_enabled manually

2014-02-12  Vinayak Kale  <vkale@apm.com>

	* ARM: 7957/1: add DSB after icache flush in __flush_icache_all()

2014-02-11  Russell King  <rmk+kernel@arm.linux.org.uk>

	* Fix uses of dma_max_pfn() when converting to a limiting address

2014-02-17  Duan Jiong  <duanj.fnst@cn.fujitsu.com>

	* ipv4: fix counter in_slow_tot

2014-02-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/sage/ceph-client

2014-02-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.samba.org/sfrench/cifs-2.6

2014-02-17  David Howells  <dhowells@redhat.com>

	* FS-Cache: Handle removal of unadded object to the fscache_object_list rb tree

2014-02-17  Dave Jones  <davej@redhat.com>

	* reiserfs: fix utterly brain-damaged indentation.

2014-02-17  Tommie Gannert  <tommie@gannert.se>

	* irtty-sir.c: Do not set_termios() on irtty_close()

2014-02-17  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'master' of git://git.kernel.org/pub/scm/linux/kernel/git/linville/wireless into for-davem

2014-02-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'dma-buf-for-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/sumits/dma-buf

2014-02-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/egtvedt/linux-avr32

2014-02-13  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: fix __dcache_readdir()

2014-02-16  Sage Weil  <sage@inktank.com>

	* ceph: add acl, noacl options for cephfs mount

2014-02-16  Guangliang Zhao  <lucienchao@gmail.com>

	* ceph: make ceph_forget_all_cached_acls() static inline

2014-02-11  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: add missing init_acl() for mkdir() and atomic_open()

2014-02-11  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: fix ceph_set_acl()

2014-02-11  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: fix ceph_removexattr()

2014-02-11  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: remove xattr when null value is given to setxattr()

2014-02-11  Yan, Zheng  <zheng.z.yan@intel.com>

	* ceph: properly handle XATTR_CREATE and XATTR_REPLACE

2014-02-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'merge' of git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc

2014-02-17  Linus Torvalds  <torvalds@linux-foundation.org>

	* printk: fix syslog() overflowing user buffer

2013-12-19  David Herrmann  <dh.herrmann@gmail.com>

	* HID: hyperv: make sure input buffer is big enough

2013-12-19  David Herrmann  <dh.herrmann@gmail.com>

	* HID: Bluetooth: hidp: make sure input buffers are big enough

2014-02-14  Jiri Bohac  <jiri@boha.cz>

	* bonding: 802.3ad: make aggregator_identifier bond-private

2014-02-13  Emil Goode  <emilgoode@gmail.com>

	* usbnet: remove generic hard_header_len check

2014-02-17  Anthony Olech  <anthony.olech.opensource@diasemi.com>

	* Input: da9052_onkey - use correct register bit for key status

2014-02-16  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFSv4: Use the correct net namespace in nfs4_update_server

2014-02-17  Nicolas Dichtel  <nicolas.dichtel@6wind.com>

	* gre: add link local route when local addr is any

2014-02-15  Antonio Quartulli  <antonio@meshcoding.com>

	* batman-adv: fix potential kernel paging error for unicast transmissions

2014-02-15  Antonio Quartulli  <antonio@meshcoding.com>

	* batman-adv: avoid double free when orig_node initialization fails

2014-02-11  Antonio Quartulli  <antonio@open-mesh.com>

	* batman-adv: free skb on TVLV parsing success

2014-02-11  Antonio Quartulli  <antonio@open-mesh.com>

	* batman-adv: fix TT CRC computation by ensuring byte order

2014-02-08  Simon Wunderlich  <sw@simonwunderlich.de>

	* batman-adv: fix potential orig_node reference leak

2014-01-29  Antonio Quartulli  <antonio@open-mesh.com>

	* batman-adv: avoid potential race condition when adding a new neighbour

2014-01-30  Antonio Quartulli  <antonio@meshcoding.com>

	* batman-adv: properly check pskb_may_pull return value

2014-01-28  Antonio Quartulli  <antonio@meshcoding.com>

	* batman-adv: release vlan object after checking the CRC

2014-01-27  Antonio Quartulli  <antonio@meshcoding.com>

	* batman-adv: fix TT-TVLV parsing on OGM reception

2014-02-12  Mikulas Patocka  <mpatocka@redhat.com>

	* dm io: fix I/O to multiple destinations

2014-02-06  Mike Snitzer  <snitzer@redhat.com>

	* dm thin: avoid metadata commit if a pool's thin devices haven't changed

2014-01-31  Mike Snitzer  <snitzer@redhat.com>

	* dm cache: do not add migration to completed list before unhooking bio

2014-01-31  Mike Snitzer  <snitzer@redhat.com>

	* dm cache: move hook_info into common portion of per_bio_data structure

2013-12-26  Andrew Bresticker  <abrestic@chromium.org>

	* clk: tegra: use max divider if divider overflows

2013-12-26  Andrew Bresticker  <abrestic@chromium.org>

	* clk: tegra: cclk_lp has a pllx/2 divider

2013-12-26  Andrew Bresticker  <abrestic@chromium.org>

	* clk: tegra: fix sdmmc clks on Tegra1x4

2013-12-26  Mark Zhang  <markz@nvidia.com>

	* clk: tegra: fix host1x clock on Tegra124

2013-12-26  David Ung  <davidu@nvidia.com>

	* clk: tegra: PLLD2 fixes for hdmi

2013-12-26  Rhyland Klein  <rklein@nvidia.com>

	* clk: tegra: Fix PLLD mnp table

2013-12-26  Gabe Black  <gabeblack@chromium.org>

	* clk: tegra: Fix PLLP rate table

2013-12-02  Thierry Reding  <thierry.reding@gmail.com>

	* clk: tegra: Correct clock number for UARTE

2013-12-19  Peter De Schrijver  <pdeschrijver@nvidia.com>

	* clk: tegra: Add missing Tegra20 fuse clks

2014-02-03  Archana Patni  <archana.patni@linux.intel.com>

	* HID: hid-sensor-hub: quirk for STM Sensor hub

2014-02-16  Chen Gang  <gang.chen.5i5j@gmail.com>

	* avr32: add generic vga.h to Kbuild

2014-02-16  Chen Gang  <gang.chen.5i5j@gmail.com>

	* avr32: add generic ioremap_wc() definition in io.h

2014-02-01  Chen Gang  <gang.chen.5i5j@gmail.com>

	* avr32: Makefile: add '-D__linux__' flag for gcc-4.4.7 use

2014-01-10  Paul Gortmaker  <paul.gortmaker@windriver.com>

	* avr32: fix missing module.h causing build failure in mimc200/fram.c

2014-02-14  Olof Johansson  <olof@lixom.net>

	* ARM64: unwind: Fix PC calculation

2014-02-16  Clemens Ladisch  <clemens@ladisch.de>

	* ALSA: usb-audio: work around KEF X300A firmware bug

2014-02-13  Linus Walleij  <linus.walleij@linaro.org>

	* dma: ste_dma40: don't dereference free:d descriptor

2014-02-16  Daniel Borkmann  <dborkman@redhat.com>

	* packet: check for ndo_select_queue during queue selection

2014-02-16  Daniel Borkmann  <dborkman@redhat.com>

	* netdevice: move netdev_cap_txqueue for shared usage to header

2014-02-16  Daniel Borkmann  <dborkman@redhat.com>

	* netdevice: add queue selection fallback handler for ndo_select_queue

2014-02-14  Ingo Molnar  <mingo@elte.hu>

	* drivers/net: tulip_remove_one needs to call pci_disable_device()

2014-02-14  Matija Glavinic Pecotic  <matija.glavinic-pecotic.ext@nsn.com>

	* net: sctp: Fix a_rwnd/rwnd management to reflect real state of the receiver's buffer

2014-02-14  Duan Jiong  <duanj.fnst@cn.fujitsu.com>

	* ipv4: distinguish EHOSTUNREACH from the ENETUNREACH

2014-02-12  Haiyang Zhang  <haiyangz@microsoft.com>

	* hyperv: Fix the carrier status setting

2014-02-13  Gerrit Renker  <gerrit@erg.abdn.ac.uk>

	* dccp: re-enable debug macro

2014-02-16  Theodore Ts'o  <tytso@mit.edu>

	* ext4: don't leave i_crtime.tv_sec uninitialized

2014-02-12  Gavin Shan  <shangw@linux.vnet.ibm.com>

	* powerpc/eeh: Disable EEH on reboot

2014-02-12  Gavin Shan  <shangw@linux.vnet.ibm.com>

	* powerpc/eeh: Cleanup on eeh_subsystem_enabled

2014-02-12  Gavin Shan  <shangw@linux.vnet.ibm.com>

	* powerpc/powernv: Rework EEH reset

2014-02-12  Anton Blanchard  <anton@au1.ibm.com>

	* powerpc: Use unstripped VDSO image for more accurate profiling data

2014-02-12  Anton Blanchard  <anton@au1.ibm.com>

	* powerpc: Link VDSOs at 0x0

2014-02-12  Aneesh Kumar K.V  <aneesh.kumar@linux.vnet.ibm.com>

	* mm: Use ptep/pmdp_set_numa() for updating _PAGE_NUMA bit

2014-02-12  Aneesh Kumar K.V  <aneesh.kumar@linux.vnet.ibm.com>

	* mm: Dirty accountable change only apply to non prot numa case

2014-02-12  Aneesh Kumar K.V  <aneesh.kumar@linux.vnet.ibm.com>

	* powerpc/mm: Add new "set" flag argument to pte/pmd update function

2014-01-17  Kleber Sacilotto de Souza  <klebers@linux.vnet.ibm.com>

	* powerpc/pseries: Add Gen3 definitions for PCIE link speed

2014-01-17  Kleber Sacilotto de Souza  <klebers@linux.vnet.ibm.com>

	* powerpc/pseries: Fix regression on PCI link speed

2014-01-17  Kevin Hao  <haokexin@gmail.com>

	* powerpc: Set the correct ksp_limit on ppc32 when switching to irq stack

2014-02-16  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linux 3.14-rc3

2014-02-16  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mason/linux-btrfs

2014-02-16  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'dt-fixes-for-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/robh/linux

2014-02-16  Trond Myklebust  <trond.myklebust@primarydata.com>

	* SUNRPC: Fix a pipe_version reference leak

2014-02-16  Trond Myklebust  <trond.myklebust@primarydata.com>

	* SUNRPC: Ensure that gss_auth isn't freed before its upcall messages

2014-02-16  Ezequiel Garcia  <ezequiel.garcia@free-electrons.com>

	* ata: sata_mv: Cleanup only the initialized ports

2014-02-15  Theodore Ts'o  <tytso@mit.edu>

	* ext4: fix online resize with a non-standard blocks per group setting

2014-02-15  Theodore Ts'o  <tytso@mit.edu>

	* ext4: fix online resize with very large inode tables

2014-02-15  Jarno Rajahalme  <jrajahalme@nicira.com>

	* openvswitch: Fix race.

2014-02-15  Jarno Rajahalme  <jrajahalme@nicira.com>

	* openvswitch: Read tcp flags only then the tranport header is present.

2014-02-14  Jiri Pirko  <jiri@resnulli.us>

	* ovs: fix dp check in ovs_dp_reset_user_features

2014-02-13  Stephen Warren  <swarren@nvidia.com>

	* ASoC: max98090: make REVISION_ID readable

2014-02-14  Kevin Hao  <haokexin@gmail.com>

	* of: search the best compatible match first in __of_match_node()

2014-02-15  Alexander Shiyan  <shc_work@mail.ru>

	* ASoC: txx9aclc_ac97: Fix kernel crash on probe

2014-02-15  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/nab/target-pending

2014-02-15  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'i2c/for-current' of git://git.kernel.org/pub/scm/linux/kernel/git/wsa/linux

2014-02-15  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branches 'irq-urgent-for-linus' and 'irq-core-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-15  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'timers-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-15  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'trace-fixes-v3.14-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace

2014-02-15  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'x86-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-15  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'fixes-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc

2014-02-12  Jean-Francois Dagenais  <jeff.dagenais@gmail.com>

	* Input: adp5588-keys - get value from data out when dir is out

2014-02-15  Wolfram Sang  <wsa@the-dreams.de>

	* Documentation: i2c: mention ACPI method for instantiating devices

2014-02-10  Wolfram Sang  <wsa@the-dreams.de>

	* Documentation: i2c: describe devicetree method for instantiating devices

2014-02-15  Filipe David Borba Manana  <fdmanana@gmail.com>

	* Btrfs: use right clone root offset for compressed extents

2014-01-15  Anand Jain  <Anand.Jain@oracle.com>

	* btrfs: fix null pointer deference at btrfs_sysfs_add_one+0x105

2014-02-13  Wolfram Sang  <wsa@the-dreams.de>

	* i2c: mv64xxx: refactor message start to ensure proper initialization

2014-02-15  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / dock: Make 'docked' sysfs attribute work as documented

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'usb-3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/usb

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'tty-3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/tty

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'staging-3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'driver-core-3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/driver-core

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'char-misc-3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/char-misc

2014-02-14  Pavel Shilovsky  <piastry@etersoft.ru>

	* CIFS: Fix too big maxBuf size for SMB3 mounts

2014-02-14  Jeff Layton  <jlayton@redhat.com>

	* cifs: ensure that uncached writes handle unmapped areas correctly

2014-02-14  Josef Bacik  <jbacik@fb.com>

	* Btrfs: unset DCACHE_DISCONNECTED when mounting default subvol

2014-02-13  Mitch Harder  <mitch.harder@sabayonlinux.org>

	* Btrfs: fix max_inline mount option

2014-02-08  Liu Bo  <bo.li.liu@oracle.com>

	* Btrfs: fix a lockdep warning when cleaning up aborted transaction

2014-02-14  Chris Mason  <clm@fb.com>

	* Revert "btrfs: add ioctl to export size of global metadata reservation"

2014-02-14  Alexander Gordeev  <agordeev@redhat.com>

	* ahci: Fix broken fallback to single MSI mode

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-3.14' of git://linux-nfs.org/~bfields/linux

2014-02-14  Bjorn Helgaas  <bhelgaas@google.com>

	* PCI: Enable INTx if BIOS left them disabled

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'md/3.14-fixes' of git://neil.brown.name/md

2014-02-12  Brian Norris  <computersforpeace@gmail.com>

	* mtd: nand: fix off-by-one read retry mode counting

2014-02-14  Kevin Hao  <haokexin@gmail.com>

	* Revert "OF: base: match each node compatible against all given matches first"

2014-02-14  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Revert "misc: eeprom: sunxi: Add new compatibles"

2014-02-14  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Revert "ARM: sunxi: dt: Convert to the new SID compatibles"

2014-02-14  H. Peter Anvin  <hpa@linux.intel.com>

	* Merge remote-tracking branch 'efi/urgent' into x86/urgent

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-linus' of git://git.kernel.org/pub/scm/virt/kvm/kvm

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'x86-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pm+acpi-3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'edac_for_3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/bp/bp

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'fbdev-fixes-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/tomba/linux

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.dk/linux-block

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'sound-3.14-rc3' of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'rdma-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/roland/infiniband

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'hwmon-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/groeck/linux-staging

2014-02-14  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-v3.14-fixes' of git://git.infradead.org/battery-2.6

2014-02-14  Roland Dreier  <roland@purestorage.com>

	* Merge branches 'cma', 'cxgb4', 'iser', 'misc', 'mlx4', 'mlx5', 'nes', 'ocrdma', 'qib' and 'usnic' into for-next

2014-02-04  Devesh Sharma  <devesh.sharma@emulex.com>

	* RDMA/ocrdma: Fix load time panic during GID table init

2014-02-10  Devesh Sharma  <devesh.sharma@emulex.com>

	* RDMA/ocrdma: Fix traffic class shift

2014-01-29  Dan Carpenter  <dan.carpenter@oracle.com>

	* IB/iser: Fix use after free in iser_snd_completion()

2014-02-04  Roi Dayan  <roid@mellanox.com>

	* IB/iser: Avoid dereferencing iscsi_iser conn object when not bound to iser connection

2014-01-23  Upinder Malhi  <umalhi@cisco.com>

	* IB/usnic: Fix smatch endianness error

2014-02-13  Florian Vaussard  <florian.vaussard@epfl.ch>

	* Documentation: dt: OMAP: Update Overo/Tobi

2014-02-14  Li Zhong  <zhong@linux.vnet.ibm.com>

	* workqueue: add args to workqueue lockdep name

2014-02-02  Christoffer Dall  <christoffer.dall@linaro.org>

	* arm64: KVM: Add VGIC device control for arm64

2014-02-13  Matt Fleming  <matt.fleming@intel.com>

	* x86/efi: Check status field to validate BGRT header

2014-02-12  Borislav Petkov  <bp@suse.de>

	* EDAC: Correct workqueue setup path

2014-02-03  Borislav Petkov  <bp@suse.de>

	* EDAC: Poll timeout cannot be zero, p2

2014-02-14  Borislav Petkov  <bp@suse.de>

	* x86/efi: Fix 32-bit fallout

2014-01-22  Denis Carikli  <denis@eukrea.com>

	* video: Kconfig: Allow more broad selection of the imxfb framebuffer driver.

2014-02-12  Sachin Kamat  <sachin.kamat@linaro.org>

	* video: exynos: Fix S6E8AX0 LCD driver build error

2014-02-14  Eli Cohen  <eli@mellanox.com>

	* IB/mlx5: Remove dependency on X86

2014-02-13  Roland Dreier  <roland@purestorage.com>

	* mlx5: Add include of <linux/slab.h> because of kzalloc()/kfree() use

2014-02-13  Doug Anderson  <dianders@chromium.org>

	* hwmon: (ntc_thermistor) Avoid math overflow

2014-02-13  Florian Vaussard  <florian.vaussard@epfl.ch>

	* ARM: dts: Add support for both OMAP35xx and OMAP36xx Overo/Tobi

2014-02-13  Florian Vaussard  <florian.vaussard@epfl.ch>

	* ARM: dts: omap3-tobi: Use the correct vendor prefix

2014-02-13  Florian Vaussard  <florian.vaussard@epfl.ch>

	* ARM: dts: omap3-tobi: Fix boot with OMAP36xx-based Overo

2014-02-12  Paul Bolle  <pebolle@tiscali.nl>

	* ARM: OMAP2+: Remove legacy macros for zoom platforms

2014-02-09  Paul Bolle  <pebolle@tiscali.nl>

	* ARM: OMAP2+: Remove MACH_NOKIA_N800

2014-02-09  Aaro Koskinen  <aaro.koskinen@iki.fi>

	* ARM: dts: N900: add missing compatible property

2014-02-09  Aaro Koskinen  <aaro.koskinen@iki.fi>

	* ARM: dts: N9/N950: fix boot hang with 3.14-rc1

2014-02-08  Aaro Koskinen  <aaro.koskinen@iki.fi>

	* ARM: OMAP1: nokia770: enable tahvo-usb

2014-01-28  Pekon Gupta  <pekon@ti.com>

	* ARM: OMAP2+: gpmc: fix: DT ONENAND child nodes not probed when MTD_ONENAND is built as module

2014-01-28  Pekon Gupta  <pekon@ti.com>

	* ARM: OMAP2+: gpmc: fix: DT NAND child nodes not probed when MTD_NAND is built as module

2014-01-25  Marek Belisko  <marek@goldelico.com>

	* ARM: dts: omap3-gta04: Fix mmc1 properties.

2014-01-25  NeilBrown  <neilb@suse.de>

	* ARM: dts: omap3-gta04: Fix 'aux' gpio key flags.

2014-01-15  Nishanth Menon  <nm@ti.com>

	* ARM: OMAP2+: add missing ARCH_HAS_OPP

2014-02-12  Mike Marciniszyn  <mike.marciniszyn@intel.com>

	* IB/qib: Add missing serdes init sequence

2014-02-06  Kumar Sanghvi  <kumaras@chelsio.com>

	* RDMA/cxgb4: Add missing neigh_release in LE-Workaround path

2014-02-09  Moni Shoua  <monis@mellanox.co.il>

	* IB: Report using RoCE IP based gids in port caps

2013-12-23  Peter Ujfalusi  <peter.ujfalusi@ti.com>

	* ARM: dts: am335x-evmsk: Fix mmc1 support

2013-12-23  Peter Ujfalusi  <peter.ujfalusi@ti.com>

	* ARM: DTS: am335x-evmsk: Correct audio clock frequency

2013-12-21  Marek Belisko  <marek@goldelico.com>

	* ARM: dts: omap3-gta04: Add EOC irq gpio line handling.

2014-02-05  Moni Shoua  <monis@mellanox.co.il>

	* IB/mlx4: Build the port IBoE GID table properly under bonding

2014-02-05  Moni Shoua  <monis@mellanox.co.il>

	* IB/mlx4: Do IBoE GID table resets per-port

2014-02-05  Moni Shoua  <monis@mellanox.co.il>

	* IB/mlx4: Do IBoE locking earlier when initializing the GID table

2014-02-13  Dave Kleikamp  <dave.kleikamp@oracle.com>

	* jfs: set i_ctime when setting ACL

2014-02-11  Thomas Gleixner  <tglx@linutronix.de>

	* tick: Clear broadcast pending bit when switching to oneshot

2014-02-10  Arnaldo Carvalho de Melo  <acme@redhat.com>

	* perf trace: Fix ioctl 'request' beautifier build problems on !(i386 || x86_64) arches

2014-02-12  Russell King - ARM Linux  <linux@arm.linux.org.uk>

	* hostap: fix "hostap: proc: Use remove_proc_subtree()"

2014-02-10  Stanislaw Gruszka  <stf_xl@wp.pl>

	* rtl8187: fix regression on MIPS without coherent DMA

2014-02-07  Dan Carpenter  <dan.carpenter@oracle.com>

	* ath5k: shifting the wrong variable for AR5K_AR5210

2014-02-01  Olivier Langlois  <olivier@trillion01.com>

	* rtlwifi: Fix incorrect return from rtl_ps_enable_nic()

2014-02-01  Olivier Langlois  <olivier@trillion01.com>

	* rtlwifi: rtl8192ce: Fix too long disable of IRQs

2014-02-13  John W. Linville  <linville@tuxdriver.com>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/iwlwifi/iwlwifi-fixes

2014-02-07  NeilBrown  <neilb@suse.de>

	* lockd: send correct lock when granting a delayed lock.

2014-02-12  Dave Jones  <davej@redhat.com>

	* drm/i2c: tda998x: Fix memory leak in tda998x_encoder_init error path.

2014-02-06  Petr Písař  <petr.pisar@atlas.cz>

	* vt: Fix secure clear screen

2014-02-13  Sachin Kamat  <sachin.kamat@linaro.org>

	* regulator: s5m8767: Add missing of_node_put

2014-02-13  Sachin Kamat  <sachin.kamat@linaro.org>

	* regulator: s5m8767: Use of_get_child_by_name

2014-02-11  Joe Schultz  <jschultz@xes-inc.com>

	* serial: 8250: Support XR17V35x fraction divisor

2014-02-11  Peter Hurley  <peter@hurleysoftware.com>

	* n_tty: Fix stale echo output

2014-01-27  Qipan Li  <Qipan.Li@csr.com>

	* serial: sirf: fix kernel panic caused by unpaired spinlock

2014-02-11  Dmitry Eremin-Solenikov  <dbaryshkov@gmail.com>

	* serial: 8250_pci: unbreak last serial ports on NetMos 9865 cards

2014-02-11  Peter Hurley  <peter@hurleysoftware.com>

	* n_tty: Fix poll() when TIME_CHAR and MIN_CHAR == 0

2014-02-13  Michael Grzeschik  <m.grzeschik@pengutronix.de>

	* serial: omap: fix rs485 probe on defered pinctrl

2014-01-16  Mika Westerberg  <mika.westerberg@linux.intel.com>

	* serial: 8250_dw: fix compilation warning when !CONFIG_PM_SLEEP

2014-01-24  Markus Pargmann  <mpa@pengutronix.de>

	* serial: omap-serial: Move info message to probe function

2014-02-13  Alexander Gordeev  <agordeev@redhat.com>

	* PCI/MSI: Add pci_enable_msi_exact() and pci_enable_msix_exact()

2014-02-13  Alexander Gordeev  <agordeev@redhat.com>

	* PCI/MSI: Fix cut-and-paste errors in documentation

2014-02-13  Alexander Gordeev  <agordeev@redhat.com>

	* PCI/MSI: Add pci_enable_msi() documentation back

2014-02-13  Masanari Iida  <standby24x7@gmail.com>

	* PCI/MSI: Fix pci_msix_vec_count() htmldocs failure

2014-02-13  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* PCI/MSI: Fix leak of msi_attrs

2014-02-13  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* PCI/MSI: Check kmalloc() return value, fix leak of name

2014-02-13  H. Peter Anvin  <hpa@linux.intel.com>

	* x86, smap: smap_violation() is bogus if CONFIG_X86_SMAP is off

2014-02-13  H. Peter Anvin  <hpa@linux.intel.com>

	* x86, smap: Don't enable SMAP if CONFIG_X86_SMAP is disabled

2014-02-11  Jani Nikula  <jani.nikula@intel.com>

	* drm/i915/dp: add native aux defer retry limit

2014-02-11  Jani Nikula  <jani.nikula@intel.com>

	* drm/i915/dp: increase native aux defer retry timeout

2014-02-10  Luis G.F  <luisgf@luisgf.es>

	* ACPI / SBS: Fix incorrect sscanf() string

2014-02-12  Shuah Khan  <shuah.kh@samsung.com>

	* ACPI / thermal: fix thermal driver compile error when CONFIG_PM_SLEEP is undefined

2014-02-12  Shuah Khan  <shuah.kh@samsung.com>

	* ACPI / SBS: fix SBS driver compile error when CONFIG_PM_SLEEP is undefined

2014-02-12  Shuah Khan  <shuah.kh@samsung.com>

	* ACPI / fan: fix fan driver compile error when CONFIG_PM_SLEEP is undefined

2014-02-12  Shuah Khan  <shuah.kh@samsung.com>

	* ACPI / button: fix button driver compile error when CONFIG_PM_SLEEP is undefined

2014-02-12  Shuah Khan  <shuah.kh@samsung.com>

	* ACPI / battery: fix battery driver compile error when CONFIG_PM_SLEEP is undefined

2014-02-12  Shuah Khan  <shuah.kh@samsung.com>

	* ACPI / AC: fix AC driver compile error when CONFIG_PM_SLEEP is undefined

2014-02-12  Emmanuel Grumbach  <emmanuel.grumbach@intel.com>

	* iwlwifi: disable TX AMPDU by default for iwldvm

2014-02-12  Steven Noonan  <steven@uplinklabs.net>

	* compiler/gcc4: Make quirk for asm_volatile_goto() unconditional

2014-02-03  Sumit Semwal  <sumit.semwal@linaro.org>

	* dma-buf: update debugfs output

2014-02-06  Oleg Nesterov  <oleg@redhat.com>

	* md/raid5: Fix CPU hotplug callback registration

2014-02-13  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branch 'pm-cpufreq'

2014-02-11  Sudeep Holla  <sudeep.holla@arm.com>

	* MAINTAINERS / cpufreq: update Sudeep's email address

2014-02-12  Dirk Brandewie  <dirk.j.brandewie@intel.com>

	* intel_pstate: Remove energy reporting from pstate_sample tracepoint

2014-02-03  Olof Johansson  <olof@lixom.net>

	* dma: mv_xor: Silence a bunch of LPAE-related warnings

2014-02-12  Tejun Heo  <tj@kernel.org>

	* Revert "cgroup: use an ordered workqueue for cgroup destruction"

2014-02-12  Sagi Grimberg  <sagig@mellanox.com>

	* Target/sbc: Fix protection copy routine

2014-02-05  Jingoo Han  <jg1.han@samsung.com>

	* IB/srpt: replace strict_strtoul() with kstrtoul()

2014-02-03  Roland Dreier  <roland@purestorage.com>

	* target: Simplify command completion by removing CMD_T_FAILED flag

2014-02-03  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iser-target: Fix leak on failure in isert_conn_create_fastreg_pool

2014-02-03  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iscsi-target: Fix SNACK Type 1 + BegRun=0 handling

2014-02-03  Roland Dreier  <roland@purestorage.com>

	* target: Fix missing length check in spc_emulate_evpd_83()

2014-01-31  Roland Dreier  <roland@purestorage.com>

	* qla2xxx: Remove last vestiges of qla_tgt_cmd.cmd_list

2014-01-30  Nicholas Bellinger  <nab@linux-iscsi.org>

	* target: Fix 32-bit + CONFIG_LBDAF=n link error w/ sector_div

2014-01-30  Nicholas Bellinger  <nab@linux-iscsi.org>

	* target: Fix free-after-use regression in PR unregister

2014-02-05  Andrew Lunn  <andrew@lunn.ch>

	* PCI: mvebu: Use Device ID and revision from underlying endpoint

2014-02-12  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'stable/for-linus-3.14-rc2-tag' of git://git.kernel.org/pub/scm/linux/kernel/git/xen/tip

2014-02-12  Dylan Reid  <dgreid@chromium.org>

	* ASoC: max98090: sync regcache on entering STANDBY

2013-12-29  Julia Lawall  <Julia.Lawall@lip6.fr>

	* RDMA/amso1100: Fix error return code

2013-12-29  Julia Lawall  <Julia.Lawall@lip6.fr>

	* RDMA/nes: Fix error return code

2014-02-12  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Fix command defines and checks

2014-02-12  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Fix possible integer overflow

2014-02-12  Theodore Ts'o  <tytso@mit.edu>

	* ext4: don't try to modify s_flags if the the file system is read-only

2014-02-12  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'regulator-v3.14-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/regulator

2014-02-12  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'gpio-v3.14-2' of git://git.kernel.org/pub/scm/linux/kernel/git/linusw/linux-gpio

2014-02-12  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'spi-v3.14-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/spi

2014-02-12  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'drm-fixes' of git://people.freedesktop.org/~airlied/linux

2014-02-12  Zheng Liu  <wenqing.lz@taobao.com>

	* ext4: fix error paths in swap_inode_boot_loader()

2014-02-12  Martin Kepplinger  <martink@posteo.de>

	* ALSA: Revert "ALSA: hda/realtek - Avoid invalid COEFs for ALC271X"

2014-02-12  Jens Axboe  <axboe@fb.com>

	* block: add cond_resched() to potentially long running ioctl discard loop

2014-02-12  Lars-Peter Clausen  <lars@metafoo.de>

	* ASoC: blackfin: Fix machine driver Kconfig dependencies

2014-02-12  Eric Whitney  <enwlinux@gmail.com>

	* ext4: fix xfstest generic/299 block validity failures

2014-02-12  Steve Twiss  <stwiss.opensource@diasemi.com>

	* regulator: da9063: Bug fix when setting max voltage on LDOs 5-11

2014-02-12  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'acpi-dock', 'acpi-scan' and 'acpi-pci-hotplug'

2014-02-12  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / container: Fix error code path in container_device_attach()

2014-02-12  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Remove stray const

2014-02-12  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'regulator/fix/da9055' and 'regulator/fix/max14577' into regulator-linus

2014-02-11  Mika Westerberg  <mika.westerberg@linux.intel.com>

	* ACPI / hotplug / PCI: Relax the checking of _STA return values

2014-02-11  Dan Carpenter  <dan.carpenter@oracle.com>

	* drm/vmwgfx: unlock on error path in vmw_execbuf_process()

2014-02-12  Charmaine Lee  <charmainel@vmware.com>

	* drm/vmwgfx: Get maximum mob size from register SVGA_REG_MOB_MAX_SIZE

2014-02-06  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Fix a couple of sparse warnings and errors

2014-02-11  Felix Fietkau  <nbd@openwrt.org>

	* mac80211: send control port protocol frames to the VO queue

2014-02-05  Ingo Tuchscherer  <ingo.tuchscherer@linux.vnet.ibm.com>

	* s390/zcrypt: additional check to avoid overflow in msg-type 6 requests

2014-02-11  Dmitry Osipenko  <digetx@gmail.com>

	* drm/tegra: Add guard to avoid double disable/enable of RGB outputs

2014-01-07  Erik Faye-Lund  <kusmabite@gmail.com>

	* gpu: host1x: do not check previously handled gathers

2014-02-09  Paul Bolle  <pebolle@tiscali.nl>

	* drm/tegra: fix typo 'CONFIG_TEGRA_DRM_FBDEV'

2014-02-11  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'merge' of git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc

2014-02-11  Roger Pau Monne  <roger.pau@citrix.com>

	* xen-blkback: init persistent_purge_work work_struct

2014-02-11  Steven Rostedt (Red Hat)  <rostedt@goodmis.org>

	* ftrace/x86: Use breakpoints for converting function graph caller

2014-02-11  Randy Dunlap  <rdunlap@infradead.org>

	* staging/rtl8821ae: fix build, depends on MAC80211

2014-02-12  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'tda998x-fixes' of git://ftp.arm.linux.org.uk/~rmk/linux-cubox into drm-next

2014-02-09  Raymond Wanyoike  <raymond.wanyoike@gmail.com>

	* usb: option: blacklist ZTE MF667 net interface

2014-02-11  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge tag 'for-usb-linus-2014-02-11' of git://git.kernel.org/pub/scm/linux/kernel/git/sarah/xhci into usb-linus

2014-02-11  Ville Syrjälä  <ville.syrjala@linux.intel.com>

	* drm/i915: Prevent MI_DISPLAY_FLIP straddling two cachelines on IVB

2014-02-11  Ville Syrjälä  <ville.syrjala@linux.intel.com>

	* drm/i915: Add intel_ring_cachline_align()

2014-02-11  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'dt-fixes-for-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/robh/linux

2014-02-11  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'microblaze-3.14-rc3' of git://git.monstr.eu/linux-2.6-microblaze

2014-02-11  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/s390/linux

2014-02-11  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net

2014-02-11  Trond Myklebust  <trond.myklebust@primarydata.com>

	* SUNRPC: Fix potential memory scribble in xprt_free_bc_request()

2014-02-11  J. Bruce Fields  <bfields@redhat.com>

	* nfsd4: fix acl buffer overrun

2014-02-11  Steven Rostedt (Red Hat)  <rostedt@goodmis.org>

	* ring-buffer: Fix first commit on sub-buffer having non-zero delta

2014-02-11  Linus Walleij  <linus.walleij@linaro.org>

	* ARM: ux500: disable msp2 device tree node

2014-02-11  Christoph Hellwig  <hch@infradead.org>

	* blk-mq: pair blk_mq_start_request / blk_mq_requeue_request

2014-02-11  Christoph Hellwig  <hch@infradead.org>

	* blk-mq: dont assume rq->errors is set when returning an error from ->queue_rq

2014-02-10  Kent Overstreet  <kmo@daterainc.com>

	* block: Fix cloning of discard/write same bios

2014-02-11  Li Zefan  <lizefan@huawei.com>

	* cgroup: protect modifications to cgroup_idr with cgroup_mutex

2014-02-08  Paul Bolle  <pebolle@tiscali.nl>

	* ia64/xen: Remove Xen support for ia64 even more

2014-02-10  David Vrabel  <david.vrabel@citrix.com>

	* xen: install xen/gntdev.h and xen/gntalloc.h

2014-02-05  David Vrabel  <david.vrabel@citrix.com>

	* xen/events: bind all new interdomain events to VCPU0

2014-02-11  Trond Myklebust  <trond.myklebust@primarydata.com>

	* SUNRPC: Fix races in xs_nospace()

2014-01-28  Tomi Valkeinen  <tomi.valkeinen@ti.com>

	* OMAPDSS: fix fck field types

2014-01-27  Tomi Valkeinen  <tomi.valkeinen@ti.com>

	* OMAPDSS: DISPC: decimation rounding fix

2014-02-11  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'spi/fix/doc', 'spi/fix/nuc900' and 'spi/fix/rspi' into spi-linus

2014-02-11  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branch 'spi/fix/core' into spi-linus

2014-02-06  Eytan Lifshitz  <eytan.lifshitz@intel.com>

	* mac80211: fix memory leak

2014-02-11  Arik Nemtsov  <arik@wizery.com>

	* mac80211: fix sched_scan restart on recovery

2014-02-07  Mika Kuoppala  <mika.kuoppala@linux.intel.com>

	* drm/i915: Pair va_copy with va_end in i915_error_vprintf

2014-02-07  Daniel Vetter  <daniel.vetter@ffwll.ch>

	* drm/i915: Fix intel_pipe_to_cpu_transcoder for UMS

2014-02-10  Paul Gortmaker  <paul.gortmaker@windriver.com>

	* genirq: Add missing irq_to_desc export for CONFIG_SPARSE_IRQ=n

2014-01-24  Marek Szyprowski  <m.szyprowski@samsung.com>

	* x86: dma-mapping: fix GFP_ATOMIC macro usage

2014-01-16  Marek Szyprowski  <m.szyprowski@samsung.com>

	* ARM: dma-mapping: fix GFP_ATOMIC macro usage

2014-02-11  Benjamin Herrenschmidt  <benh@kernel.crashing.org>

	* powerpc/powernv: Add iommu DMA bypass support for IODA2

2013-12-20  Thierry Reding  <thierry.reding@gmail.com>

	* ARM: pxa: Add dummy backlight power supply on Mitac Mio A701

2014-02-10  Eric Dumazet  <edumazet@google.com>

	* 6lowpan: fix lockdep splats

2014-02-10  John Greene  <jogreene@redhat.com>

	* alx: add missing stats_lock spinlock init

2014-02-08  Richard Yao  <ryao@gentoo.org>

	* 9p/trans_virtio.c: Fix broken zero-copy on vmalloc() buffers

2014-02-10  dingtianhong  <dingtianhong@huawei.com>

	* bonding: remove unwanted bond lock for enslave processing

2014-02-10  Liu Junliang  <liujunliang_ljl@163.com>

	* USB2NET : SR9800 : One chip USB2.0 USB2NET SR9800 Device Driver Support

2014-01-22  Anton Blanchard  <anton@samba.org>

	* powerpc: Fix endian issues in kexec and crash dump code

2014-01-29  Kevin Hao  <haokexin@gmail.com>

	* powerpc/ppc32: Fix the bug in the init of non-base exception stack for UP

2013-12-23  Michael Ellerman  <mpe@ellerman.id.au>

	* powerpc/xmon: Don't signal we've entered until we're finished printing

2013-12-23  Michael Ellerman  <mpe@ellerman.id.au>

	* powerpc/xmon: Fix timeout loop in get_output_lock()

2013-12-23  Michael Ellerman  <michael@ellerman.id.au>

	* powerpc/xmon: Don't loop forever in get_output_lock()

2013-12-18  Anshuman Khandual  <khandual@linux.vnet.ibm.com>

	* powerpc/perf: Configure BHRB filter before enabling PMU interrupts

2014-01-29  Nathan Fontenot  <nfont@linux.vnet.ibm.com>

	* crypto/nx/nx-842: Fix handling of vmalloc addresses

2013-12-10  Michael Ellerman  <mpe@ellerman.id.au>

	* powerpc/pseries: Select ARCH_RANDOM on pseries

2014-01-24  Michael Ellerman  <mpe@ellerman.id.au>

	* powerpc/perf: Add Power8 cache & TLB events

2014-01-30  Laurent Dufour  <ldufour@linux.vnet.ibm.com>

	* powerpc/relocate fix relocate processing in LE mode

2014-01-31  Mahesh Salgaonkar  <mahesh@linux.vnet.ibm.com>

	* powerpc: Fix kdump hang issue on p8 with relocation on exception enabled.

2014-01-31  Mahesh Salgaonkar  <mahesh@linux.vnet.ibm.com>

	* powerpc/pseries: Disable relocation on exception while going down during crash.

2014-02-05  Thadeu Lima de Souza Cascardo  <cascardo@linux.vnet.ibm.com>

	* powerpc/eeh: Drop taken reference to driver on eeh_rmv_device

2014-02-07  Paul Gortmaker  <paul.gortmaker@windriver.com>

	* powerpc: Fix build failure in sysdev/mpic.c for MPIC_WEIRD=y

2014-02-10  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'akpm' (patches from Andrew Morton)

2014-02-10  Xue jiufei  <xuejiufei@huawei.com>

	* ocfs2: check existence of old dentry in ocfs2_link()

2014-02-10  Junxiao Bi  <junxiao.bi@oracle.com>

	* ocfs2: update inode size after zeroing the hole

2014-02-10  Younger Liu  <younger.liu@huawei.com>

	* ocfs2: fix issue that ocfs2_setattr() does not deal with new_i_size==i_size

2014-02-10  Naoya Horiguchi  <n-horiguchi@ah.jp.nec.com>

	* mm/memory-failure.c: move refcount only in !MF_COUNT_INCREASED

2014-02-10  Paul Gortmaker  <paul.gortmaker@windriver.com>

	* smp.h: fix x86+cpu.c sparse warnings about arch nonboot CPU calls

2014-02-10  Rafael Aquini  <aquini@redhat.com>

	* mm: fix page leak at nfs_symlink()

2014-02-10  Steven Rostedt  <rostedt@goodmis.org>

	* slub: do not assert not having lock in removing freed partial

2014-02-10  Borislav Petkov  <bp@suse.de>

	* gitignore: add all.config

2014-02-10  Younger Liu  <younger.liucn@gmail.com>

	* ocfs2: fix ocfs2_sync_file() if filesystem is readonly

2014-02-10  Prarit Bhargava  <prarit@redhat.com>

	* drivers/edac/edac_mc_sysfs.c: poll timeout cannot be zero

2014-02-10  Eric W. Biederman  <ebiederm@xmission.com>

	* fs/file.c:fdtable: avoid triggering OOMs from alloc_fdmem

2014-02-10  Mel Gorman  <mgorman@suse.de>

	* xen: properly account for _PAGE_NUMA during xen pte translations

2014-02-10  David Rientjes  <rientjes@google.com>

	* mm/slub.c: list_lock may not be held in some circumstances

2014-02-09  John Ogness  <john.ogness@linutronix.de>

	* tcp: tsq: fix nonagle handling

2014-02-10  David S. Miller  <davem@davemloft.net>

	* Merge branch 'bridge'

2014-02-07  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Prevent possible race condition in br_fdb_change_mac_address

2014-02-07  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Properly check if local fdb entry can be deleted when deleting vlan

2014-02-07  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Properly check if local fdb entry can be deleted in br_fdb_delete_by_port

2014-02-07  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Properly check if local fdb entry can be deleted in br_fdb_change_mac_address

2014-02-07  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Fix the way to check if a local fdb entry can be deleted

2014-02-07  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Change local fdb entries whenever mac address of bridge device changes

2014-02-07  Toshiaki Makita  <makita.toshiaki@lab.ntt.co.jp>

	* bridge: Fix the way to find old local fdb entries in br_fdb_change_mac_address

2014-02-10  Trond Myklebust  <trond.myklebust@primarydata.com>

	* SUNRPC: Don't create a gss auth cache unless rpc.gssd is running

2014-02-10  Ivan Khoronzhuk  <ivan.khoronzhuk@ti.com>

	* ARM: keystone: dts: fix clkvcp3 control register address

2014-01-28  Ivan Khoronzhuk  <ivan.khoronzhuk@ti.com>

	* clk: keystone: gate: fix clk_init_data initialization

2014-02-10  Steve French  <smfrench@gmail.com>

	* [CIFS] Fix cifsacl mounts over smb2 to not call cifs

2014-02-10  Jens Axboe  <axboe@fb.com>

	* Merge branch 'stable/for-jens-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/xen/tip into for-linus

2014-02-03  Geert Uytterhoeven  <geert@linux-m68k.org>

	* m68k: Wire up sched_setattr and sched_getattr

2014-02-03  Geert Uytterhoeven  <geert@linux-m68k.org>

	* m68k: Switch to asm-generic/barrier.h

2014-02-03  Geert Uytterhoeven  <geert@linux-m68k.org>

	* m68k: Sort arch/m68k/include/asm/Kbuild

2014-01-31  Michal Simek  <michal.simek@xilinx.com>

	* ARM: zynq: Reserve not DMAable space in front of the kernel

2014-02-10  Kevin Hilman  <khilman@linaro.org>

	* Merge tag 'at91-fixes' of git://github.com/at91linux/linux-at91 into fixes

2014-02-06  Nishanth Menon  <nm@ti.com>

	* ARM: multi_v7_defconfig: Select CONFIG_SOC_DRA7XX

2014-01-29  Philipp Zabel  <p.zabel@pengutronix.de>

	* ARM: imx6: Initialize low-power mode early again

2014-02-10  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-next' of git://git.samba.org/sfrench/cifs-2.6

2014-02-04  Linus Walleij  <linus.walleij@linaro.org>

	* ARM: pxa: fix various compilation problems

2014-02-04  Linus Walleij  <linus.walleij@linaro.org>

	* ARM: pxa: fix compilation problem on AM300EPD board

2014-02-10  Kevin Hilman  <khilman@linaro.org>

	* Merge tag 'mvebu-phy_ata-fixes-3.14' of git://git.infradead.org/linux-mvebu into fixes

2014-02-04  Will Deacon  <will.deacon@arm.com>

	* iommu/arm-smmu: fix compilation issue when !CONFIG_ARM_AMBA

2014-02-06  Will Deacon  <will.deacon@arm.com>

	* iommu/arm-smmu: set CBARn.BPSHCFG to NSH for s1-s2-bypass contexts

2014-02-05  Will Deacon  <will.deacon@arm.com>

	* iommu/arm-smmu: fix table flushing during initial allocations

2014-02-04  Will Deacon  <will.deacon@arm.com>

	* iommu/arm-smmu: really fix page table locking

2014-01-03  Yifan Zhang  <zhangyf@marvell.com>

	* iommu/arm-smmu: fix pud/pmd entry fill sequence

2014-02-06  Ben Hutchings  <ben@decadent.org.uk>

	* perf trace: Add fallback definition of EFD_SEMAPHORE

2013-12-30  Vince Weaver  <vincent.weaver@maine.edu>

	* perf list: Fix checking for supported events on older kernels

2014-02-04  Jiri Olsa  <jolsa@redhat.com>

	* perf tools: Handle PERF_RECORD_HEADER_EVENT_TYPE properly

2014-02-05  Masami Hiramatsu  <masami.hiramatsu.pt@hitachi.com>

	* perf probe: Do not add offset twice to uprobe address

2014-02-06  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFS: Do not set NFS_INO_INVALID_LABEL unless server supports labeled NFS

2014-02-06  Adam Thomson  <Adam.Thomson.Opensource@diasemi.com>

	* ASoC: da9055: Fix device registration of PMIC and CODEC devices

2014-02-10  Xiubo Li  <Li.Xiubo@freescale.com>

	* ASoC: fsl-esai: fix ESAI TDM slot setting

2014-02-08  Shawn Guo  <shawn.guo@linaro.org>

	* ASoC: fsl: fix pm support of machine drivers

2014-02-10  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / dock: Use acpi_device_enumerated() to check if dock is present

2014-02-07  Will Deacon  <will.deacon@arm.com>

	* ARM: 7955/1: spinlock: ensure we have a compiler barrier before sev

2014-02-07  Will Deacon  <will.deacon@arm.com>

	* ARM: 7953/1: mm: ensure TLB invalidation is complete before enabling MMU

2014-02-06  Santosh Shilimkar  <santosh.shilimkar@ti.com>

	* ARM: 7952/1: mm: Fix the memblock allocation for LPAE machines

2014-02-02  Christoffer Dall  <christoffer.dall@linaro.org>

	* ARM: 7950/1: mm: Fix stage-2 device memory attributes

2014-02-10  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Fix undefined symbol due to builtin/module mixup

2014-02-08  Edgar E. Iglesias  <edgar.iglesias@gmail.com>

	* microblaze: Fix a typo when disabling stack protection

2014-01-30  Michal Simek  <michal.simek@xilinx.com>

	* microblaze: Define readq and writeq IO helper function

2014-01-30  Michal Simek  <michal.simek@xilinx.com>

	* microblaze: Fix missing HZ macro

2014-02-09  Jesper Juhl  <jj@chaosbits.net>

	* tcp: correct code comment stating 3 min timeout for FIN_WAIT2, we only do 1 min

2014-02-09  Christian Engelmayer  <cengelma@gmx.at>

	* net: vxge: Remove unused device pointer

2014-02-09  Raymond Wanyoike  <raymond.wanyoike@gmail.com>

	* net: qmi_wwan: add ZTE MF667

2014-02-08  Christian Engelmayer  <cengelma@gmx.at>

	* 3c59x: Remove unused pointer in vortex_eisa_cleanup()

2014-02-07  Maciej Żenczykowski  <maze@google.com>

	* net: fix 'ip rule' iif/oif device rename

2014-02-08  Christian Engelmayer  <cengelma@gmx.at>

	* wan: dlci: Remove unused netdev_priv pointer

2014-02-07  Christian Engelmayer  <cengelma@gmx.at>

	* 6lowpan: Remove unused pointer in lowpan_header_create()

2014-02-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linux 3.14-rc2

2014-02-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/jmorris/linux-security

2014-02-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs

2014-02-10  James Morris  <james.l.morris@oracle.com>

	* Merge branch 'stable-3.14' of git://git.infradead.org/users/pcmoore/selinux into for-linus

2014-02-10  Dave Chinner  <dchinner@redhat.com>

	* xfs: ensure correct log item buffer alignment

2014-02-10  Christoph Hellwig  <hch@infradead.org>

	* xfs: ensure correct timestamp updates from truncate

2014-02-02  Al Viro  <viro@zeniv.linux.org.uk>

	* fix a kmap leak in virtio_console

2014-02-09  Al Viro  <viro@zeniv.linux.org.uk>

	* fix O_SYNC|O_APPEND syncing the wrong range on write()

2014-02-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mason/linux-btrfs

2014-02-09  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'perf-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-01-02  Stephen Boyd  <sboyd@codeaurora.org>

	* genirq: Add devm_request_any_context_irq()

2014-02-04  Steven Rostedt  <rostedt@goodmis.org>

	* x86: Use preempt_disable_notrace() in cycles_2_ns()

2014-02-05  Peter Zijlstra  <peterz@infradead.org>

	* perf/x86: Fix Userspace RDPMC switch

2014-02-05  Peter Zijlstra  <peterz@infradead.org>

	* perf/x86/intel/p6: Add userspace RDPMC quirk for PPro

2014-02-08  Filipe David Borba Manana  <fdmanana@gmail.com>

	* Btrfs: fix data corruption when reading/updating compressed extents

2014-02-07  Josef Bacik  <jbacik@fb.com>

	* Btrfs: don't loop forever if we can't run because of the tree mod log

2014-02-07  David Sterba  <dsterba@suse.cz>

	* btrfs: reserve no transaction units in btrfs_ioctl_set_features

2014-02-07  Jeff Mahoney  <jeffm@suse.com>

	* btrfs: commit transaction after setting label and features

2014-02-05  Josef Bacik  <jbacik@fb.com>

	* Btrfs: fix assert screwup for the pending move stuff

2014-02-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pinctrl-v3.14-2' of git://git.kernel.org/pub/scm/linux/kernel/git/linusw/linux-pinctrl

2014-02-08  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge tag 'iio-fixes-for-3.14b' of git://git.kernel.org/pub/scm/linux/kernel/git/jic23/iio into staging-linus

2014-02-08  Russell King  <rmk+kernel@arm.linux.org.uk>

	* ARM: dts: fix spdif pinmux configuration

2014-02-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'irq-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'x86-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-08  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'jfs-3.14-rc2' of git://github.com/kleikamp/linux-shaggy

2014-02-07  Dave Kleikamp  <dave.kleikamp@oracle.com>

	* jfs: fix generic posix ACL regression

2014-02-08  Tejun Heo  <tj@kernel.org>

	* cgroup: fix locking in cgroup_cfts_commit()

2014-02-08  Tejun Heo  <tj@kernel.org>

	* cgroup: fix error return from cgroup_create()

2014-02-08  Tejun Heo  <tj@kernel.org>

	* cgroup: fix error return value in cgroup_mount()

2014-01-27  Guenter Roeck  <linux@roeck-us.net>

	* iio: max1363: Use devm_regulator_get_optional for optional regulator

2014-10-01  Peter Meerwald  <pmeerw@pmeerw.net>

	* iio:accel:bma180: Use modifier instead of index in channel specification

2014-01-24  Marcus Folkesson  <marcus.folkesson@gmail.com>

	* iio: adis16400: Set timestamp as the last element in chan_spec

2014-04-02  Beomho Seo  <beomho.seo@samsung.com>

	* iio: ak8975: Fix calculation formula for convert micro tesla to gauss unit

2014-08-02  Hartmut Knaack  <knaack.h@gmx.de>

	* staging:iio:ad799x fix typo in ad799x_events[]

2014-01-13  Alexandre Belloni  <alexandre.belloni@free-electrons.com>

	* iio: mxs-lradc: remove useless scale_available files

2014-01-13  Alexandre Belloni  <alexandre.belloni@free-electrons.com>

	* iio: mxs-lradc: fix buffer overflow

2014-10-01  Peter Meerwald  <pmeerw@pmeerw.net>

	* iio:magnetometer:mag3110: Fix output of decimal digits in show_int_plus_micros()

2014-10-01  Peter Meerwald  <pmeerw@pmeerw.net>

	* iio:magnetometer:mag3110: Report busy in _read_raw() / write_raw() when buffer is enabled

2014-01-31  Richard Weinberger  <richard@nod.at>

	* watchdog: dw_wdt: Add dependency on HAS_IOMEM

2014-02-07  Steve French  <smfrench@gmail.com>

	* [CIFS] clean up page array when uncached write send fails

2014-02-07  Jeff Layton  <jlayton@redhat.com>

	* cifs: use a flexarray in cifs_writedata

2014-02-07  Russell King  <rmk+kernel@arm.linux.org.uk>

	* drivers/base: fix devres handling for master device

2014-02-03  Sudeep Dutt  <sudeep.dutt@intel.com>

	* misc: mic: fix possible signed underflow (undefined behavior) in userspace API

2014-02-02  Maxime Ripard  <maxime.ripard@free-electrons.com>

	* ARM: sunxi: dt: Convert to the new SID compatibles

2014-02-02  Maxime Ripard  <maxime.ripard@free-electrons.com>

	* misc: eeprom: sunxi: Add new compatibles

2014-01-25  Christian Engelmayer  <cengelma@gmx.at>

	* misc: genwqe: Fix potential memory leak when pinning memory

2014-01-28  Fu Wei  <wefu@redhat.com>

	* Documentation:Update Documentation/zh_CN/arm64/memory.txt

2014-01-28  Fu Wei  <wefu@redhat.com>

	* Documentation:Update Documentation/zh_CN/arm64/booting.txt

2014-01-28  Fu Wei  <wefu@redhat.com>

	* Documentation:Chinese translation of Documentation/arm64/tagged-pointers.txt

2014-01-31  Sarah Sharp  <sarah.a.sharp@linux.intel.com>

	* Revert "usb: xhci: Link TRB must not occur within a USB payload burst"

2014-01-31  Sarah Sharp  <sarah.a.sharp@linux.intel.com>

	* Revert "xhci: Avoid infinite loop when sg urb requires too many trbs"

2014-01-31  Sarah Sharp  <sarah.a.sharp@linux.intel.com>

	* Revert "xhci: Set scatter-gather limit to avoid failed block writes."

2014-01-31  Sarah Sharp  <sarah.a.sharp@linux.intel.com>

	* xhci 1.0: Limit arbitrarily-aligned scatter gather.

2014-02-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'driver-core-3.14-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/driver-core

2014-02-02  Maxime Ripard  <maxime.ripard@free-electrons.com>

	* ARM: sunxi: dt: Change the touchscreen compatibles

2014-02-01  Maxime Ripard  <maxime.ripard@free-electrons.com>

	* ARM: sun7i: dt: Fix interrupt trigger types

2014-02-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/sage/ceph-client

2014-02-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'arm64-fixes' of git://git.kernel.org/pub/scm/linux/kernel/git/arm64/linux

2014-02-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'upstream' of git://git.linux-mips.org/pub/scm/ralf/upstream-linus

2014-02-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'v4l_for_linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mchehab/linux-media

2014-02-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'hwmon-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/groeck/linux-staging

2014-02-07  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pm+acpi-3.14-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm

2014-02-05  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: do not dereference a NULL bio pointer

2014-02-07  H. Peter Anvin  <hpa@linux.intel.com>

	* Merge tag 'efi-urgent' into x86/urgent

2014-02-07  Jan Moskyto Matejka  <mq@suse.cz>

	* Modpost: fixed USB alias generation for ranges including 0x9 and 0xA

2014-02-05  Maurizio Lombardi  <mlombard@redhat.com>

	* wlags49_h2: Fix overflow in wireless_set_essid()

2014-02-05  Alan Cox  <alan@linux.intel.com>

	* xlr_net: Fix missing trivial allocation check

2014-02-04  Dan Carpenter  <dan.carpenter@oracle.com>

	* staging: r8188eu: overflow in rtw_p2p_get_go_device_address()

2014-02-04  Dan Carpenter  <dan.carpenter@oracle.com>

	* staging: r8188eu: array overflow in rtw_mp_ioctl_hdl()

2014-02-02  Larry Finger  <Larry.Finger@lwfinger.net>

	* staging: r8188eu: Fix typo in USB_DEVICE list

2014-01-28  Heinrich Schuchardt  <xypron.glpk@gmx.de>

	* usbip/userspace/libsrc/names.c: memory leak

2014-01-22  Dan Carpenter  <dan.carpenter@oracle.com>

	* gpu: ion: dereferencing an ERR_PTR

2014-01-21  Ian Abbott  <abbotti@mev.co.uk>

	* staging: comedi: usbduxsigma: fix unaligned dereferences

2014-01-21  Ian Abbott  <abbotti@mev.co.uk>

	* staging: comedi: fix too early cleanup in comedi_auto_config()

2014-01-20  Dan Carpenter  <dan.carpenter@oracle.com>

	* staging: android: ion: dummy: fix an error code

2014-02-03  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: take map_sem for read in handle_reply()

2014-01-31  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: factor out logic from ceph_osdc_start_request()

2014-01-24  Cédric Dufour - Idiap Research Institute  <cedric.dufour@idiap.ch>

	* staging: lustre: fix quotactl permission denied (LU-4530)

2014-02-04  Prakash Kamliya  <pkamliya@codeaurora.org>

	* staging: android: sync: Signal pt before sync_timeline object gets destroyed

2014-02-05  H Hartley Sweeten  <hsweeten@visionengravers.com>

	* staging: comedi: adv_pci1710: fix analog output readback value

2014-02-06  Dan Carpenter  <dan.carpenter@oracle.com>

	* staging: r8188eu: memory corruption handling long ssids

2014-02-07  Mark Rutland  <mark.rutland@arm.com>

	* arm64: defconfig: Expand default enabled features

2014-02-02  Steve French  <smfrench@gmail.com>

	* retrieving CIFS ACLs when mounted with SMB2 fails dropping session

2014-02-01  Steve French  <smfrench@gmail.com>

	* Add protocol specific operation for CIFS xattrs

2014-02-04  Will Deacon  <will.deacon@arm.com>

	* arm64: asm: remove redundant "cc" clobbers

2014-02-04  Will Deacon  <will.deacon@arm.com>

	* arm64: atomics: fix use of acquire + release for full barrier semantics

2014-02-07  Hannes Reinecke  <hare@suse.de>

	* tty: Set correct tty name in 'active' sysfs attribute

2014-01-07  Lars Poeschel  <poeschel@lemonage.de>

	* tty: n_gsm: Fix for modems with brk in modem status control

2014-01-15  Paul Gortmaker  <paul.gortmaker@windriver.com>

	* drivers/tty/hvc: don't use module_init in non-modular hyp. console code

2014-02-04  Paul Bolle  <pebolle@tiscali.nl>

	* raw: set range for MAX_RAW_DEVS

2014-02-04  Paul Bolle  <pebolle@tiscali.nl>

	* raw: test against runtime value of max_raw_minors

2014-02-06  Adam Thomson  <Adam.Thomson.Opensource@diasemi.com>

	* regulator: da9055: Remove use of regmap_irq_get_virq()

2014-01-16  K. Y. Srinivasan  <kys@microsoft.com>

	* Drivers: hv: vmbus: Don't timeout during the initial connection with host

2014-01-15  K. Y. Srinivasan  <kys@microsoft.com>

	* Drivers: hv: vmbus: Specify the target CPU that should receive notification

2014-02-04  Nicolas Ferre  <nicolas.ferre@atmel.com>

	* ARM: at91: add Atmel's SAMA5D3 Xplained board

2013-12-17  Boris BREZILLON  <b.brezillon@overkiz.com>

	* spi/atmel: document clock properties

2013-12-17  Boris BREZILLON  <b.brezillon@overkiz.com>

	* mmc: atmel-mci: document clock properties

2014-01-14  Bo Shen  <voice.shen@atmel.com>

	* ARM: at91: enable USB host on at91sam9n12ek board

2014-01-16  Boris BREZILLON  <b.brezillon@overkiz.com>

	* ARM: at91/dt: fix sama5d3 ohci hclk clock reference

2014-01-15  Jean-Jacques Hiblot  <jjhiblot@traphandler.com>

	* ARM: at91/dt: sam9263: fix compatibility string for the I2C

2014-02-07  Martyn Welch  <martyn.welch@ge.com>

	* VME: Correct read/write alignment algorithm

2014-02-07  Daniel Vetter  <daniel.vetter@ffwll.ch>

	* drm/i915: Disable dp aux irq on g4x

2014-02-06  Hugh Dickins  <hughd@google.com>

	* cgroup: use an ordered workqueue for cgroup destruction

2014-02-07  Jarkko Nikula  <jarkko.nikula@linux.intel.com>

	* ASoC: rt5640: Add ACPI ID for Intel Baytrail

2014-02-07  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Fix mic capture on Sony VAIO Pro 11

2014-02-07  David Henningsson  <david.henningsson@canonical.com>

	* ALSA: hda - Add a headset quirk for Dell XPS 13

2014-01-30  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Fix inconsistent Mic mute LED

2014-02-06  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Fix leftover ifdef checks after modularization

2014-02-06  Eli Cohen  <eli@dev.mellanox.co.il>

	* IB/mlx5: Don't set "block multicast loopback" capability

2014-02-06  Adam Thomson  <Adam.Thomson.Opensource@diasemi.com>

	* hwmon: (da9055) Remove use of regmap_irq_get_virq()

2014-02-06  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'acpi-cleanup' and 'acpi-video'

2014-02-06  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branch 'pm-cpufreq'

2014-02-06  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'acpi-pci-hotplug' and 'acpi-hotplug'

2014-02-06  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'akpm' (patches from Andrew Morton)

2014-02-06  KOSAKI Motohiro  <kosaki.motohiro@jp.fujitsu.com>

	* mm: __set_page_dirty uses spin_lock_irqsave instead of spin_lock_irq

2014-02-06  Tang Chen  <tangchen@cn.fujitsu.com>

	* arch/x86/mm/numa.c: fix array index overflow when synchronizing nid to memblock.reserved.

2014-02-06  Tang Chen  <tangchen@cn.fujitsu.com>

	* arch/x86/mm/numa.c: initialize numa_kernel_nodes in numa_clear_kernel_node_hotplug()

2014-02-06  KOSAKI Motohiro  <kosaki.motohiro@jp.fujitsu.com>

	* mm: __set_page_dirty_nobuffers() uses spin_lock_irqsave() instead of spin_lock_irq()

2014-02-06  Weijie Yang  <weijie.yang@samsung.com>

	* mm/swap: fix race on swap_info reuse between swapoff and swapon

2014-02-06  Shaohua Li  <shli@kernel.org>

	* swap: add a simple detector for inappropriate swapin readahead

2014-02-06  Zongxun Wang  <wangzongxun@huawei.com>

	* ocfs2: free allocated clusters if error occurs after ocfs2_claim_clusters

2014-02-06  Randy Dunlap  <rdunlap@infradead.org>

	* Documentation/kernel-parameters.txt: fix memmap= language

2014-02-06  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'sound-3.14-rc2' of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound

2014-02-06  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'drm-fixes' of git://people.freedesktop.org/~airlied/linux

2014-02-05  andrea.merello  <andrea.merello@gmail.com>

	* rtl8180: Add error check for pci_map_single return value in TX path

2014-02-05  andrea.merello  <andrea.merello@gmail.com>

	* rtl8180: Add error check for pci_map_single return value in RX path

2014-02-06  John W. Linville  <linville@tuxdriver.com>

	* Merge branch 'for-john' of git://git.kernel.org/pub/scm/linux/kernel/git/jberg/mac80211

2014-02-03  Borislav Petkov  <bp@suse.de>

	* x86, microcode, AMD: Unify valid container checks

2014-01-25  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* clk: mvebu: kirkwood: maintain clock init order

2014-01-25  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* clk: mvebu: dove: maintain clock init order

2014-01-25  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* clk: mvebu: armada-xp: maintain clock init order

2014-01-25  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* clk: mvebu: armada-370: maintain clock init order

2014-01-24  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* irqchip: orion: clear stale interrupts in irq_startup

2014-01-23  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* irqchip: orion: use handle_edge_irq on bridge irqs

2014-01-23  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* irqchip: orion: clear bridge cause register on init

2014-02-06  Peter Oberparleiter  <oberpar@linux.vnet.ibm.com>

	* x86, hweight: Fix BUG when booting with CONFIG_GCOV_PROFILE_ALL=y

2014-02-04  Tim Kryger  <tim.kryger@linaro.org>

	* clocksource: Kona: Print warning rather than panic

2014-01-24  Mikulas Patocka  <mpatocka@redhat.com>

	* time: Fix overflow when HZ is smaller than 60

2014-02-06  Huei-Horng Yo  <hiroshi@ghostsinthelab.org>

	* HID: apple: add Apple wireless keyboard 2011 JIS model support

2014-02-05  Laxman Dewangan  <ldewangan@nvidia.com>

	* pinctrl: tegra: return correct error type

2014-02-05  Florian Vaussard  <florian.vaussard@epfl.ch>

	* pinctrl: do not init debugfs entries for unimplemented functionalities

2014-02-05  Aaro Koskinen  <aaro.koskinen@iki.fi>

	* MIPS: fpu.h: Fix build when CONFIG_BUG is not set

2014-02-06  Will Deacon  <will.deacon@arm.com>

	* arm64: barriers: allow dsb macro to take option parameter

2014-02-05  Sebastian Ott  <sebott@linux.vnet.ibm.com>

	* s390/cio: improve cio_commit_config

2014-02-04  Lars-Peter Clausen  <lars@metafoo.de>

	* gpio: consumer.h: Move forward declarations outside #ifdef

2014-01-29  Johannes Berg  <johannes.berg@intel.com>

	* mac80211: fix virtual monitor interface iteration

2014-02-01  Johannes Berg  <johannes.berg@intel.com>

	* mac80211: fix fragmentation code, particularly for encryption

2014-01-30  Sujith Manoharan  <c_manoha@qca.qualcomm.com>

	* mac80211: Fix IBSS disconnect

2014-01-27  Emmanuel Grumbach  <emmanuel.grumbach@intel.com>

	* mac80211: release the channel in error path in start_ap

2014-01-22  Johannes Berg  <johannes.berg@intel.com>

	* cfg80211: send scan results from work queue

2014-01-22  Johannes Berg  <johannes.berg@intel.com>

	* cfg80211: fix scan done race

2014-01-30  Dave Airlie  <airlied@redhat.com>

	* drm/radeon: allow geom rings to be setup on r600/r700 (v2)

2014-02-06  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'vmwgfx-fixes-3.14-2014-02-05' of git://people.freedesktop.org/~thomash/linux into drm-next

2014-02-06  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'ttm-fixes-3.14-2014-02-05' of git://people.freedesktop.org/~thomash/linux into drm-next

2014-02-05  Dave Airlie  <airlied@redhat.com>

	* drm/mgag200,ast,cirrus: fix regression with drm_can_sleep conversion

2014-02-05  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'irq-core-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-02-05  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'stable/for-linus-3.14-rc1-tag' of git://git.kernel.org/pub/scm/linux/kernel/git/xen/tip

2014-02-05  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'please-pull-ia64-syscalls' of git://git.kernel.org/pub/scm/linux/kernel/git/aegl/linux

2014-02-05  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.infradead.org/users/willy/linux-nvme

2014-02-05  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'regulator-v3.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/regulator

2014-02-05  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/herbert/crypto-2.6

2014-01-14  Matt Fleming  <matt.fleming@intel.com>

	* x86/efi: Allow mapping BGRT on x86-32

2014-02-05  Ingo Molnar  <mingo@kernel.org>

	* x86: Disable CONFIG_X86_DECODER_SELFTEST in allmod/allyesconfigs

2014-02-05  Linus Torvalds  <torvalds@linux-foundation.org>

	* execve: use 'struct filename *' for executable name passing

2014-01-29  Tejun Heo  <tj@kernel.org>

	* kernfs: make kernfs_deactivate() honor KERNFS_LOCKDEP flag

2014-01-28  Christian Engelmayer  <cengelma@gmx.at>

	* usb: core: Fix potential memory leak adding dyn USBdevice IDs

2014-02-02  Ulrich Hahn  <uhahn@eanco.de>

	* USB: ftdi_sio: add Tagsys RFID Reader IDs

2014-02-04  Bjørn Mork  <bjorn@mork.no>

	* usb: qcserial: add Netgear Aircard 340U

2014-01-30  Stephen Smalley  <sds@tycho.nsa.gov>

	* SELinux:  Fix kernel BUG on empty security contexts.

2014-01-28  Paul Moore  <pmoore@redhat.com>

	* selinux: add SOCK_DIAG_BY_FAMILY to the list of netlink message types

2014-02-05  Krzysztof Kozlowski  <k.kozlowski@samsung.com>

	* regulator: max14577: Add missing of_node_put

2014-02-04  Geert Uytterhoeven  <geert+renesas@linux-m68k.org>

	* DT: Add vendor prefix for Spansion Inc.

2014-02-03  Geert Uytterhoeven  <geert+renesas@linux-m68k.org>

	* of/device: Nullify match table in of_match_device() for CONFIG_OF=n

2014-01-30  Heiko Stuebner  <heiko.stuebner@bqreaders.com>

	* dt-bindings: add vendor-prefix for neonode

2014-02-03  Kleber Sacilotto de Souza  <klebers@linux.vnet.ibm.com>

	* of: fix PCI bus match for PCIe slots

2014-02-03  Rob Herring  <robh@kernel.org>

	* of: restructure for_each macros to fix compile warnings

2014-01-28  Paul Moore  <pmoore@redhat.com>

	* Merge tag 'v3.13' into stable-3.14

2014-02-05  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/ttm: Don't clear page metadata of imported sg pages

2014-02-04  Colin Cross  <ccross@android.com>

	* security: select correct default LSM_MMAP_MIN_ADDR on arm on arm64

2014-02-05  Catalin Marinas  <catalin.marinas@arm.com>

	* arm64: compat: Wire up new AArch32 syscalls

2014-02-03  Nathan Lynch  <nathan_lynch@mentor.com>

	* arm64: vdso: update wtm fields for CLOCK_MONOTONIC_COARSE

2014-02-05  Nathan Lynch  <nathan_lynch@mentor.com>

	* arm64: vdso: fix coarse clock handling

2014-02-04  Toshi Kani  <toshi.kani@hp.com>

	* ACPI / hotplug: Fix panic on eject to ejected device

2014-02-05  Mark Rutland  <mark.rutland@arm.com>

	* arm64: simplify pgd_alloc

2014-02-05  Mark Rutland  <mark.rutland@arm.com>

	* arm64: fix typo: s/SERRROR/SERROR/

2014-02-04  Catalin Marinas  <catalin.marinas@arm.com>

	* arm64: Invalidate the TLB when replacing pmd entries during boot

2014-02-04  Laura Abbott  <lauraa@codeaurora.org>

	* arm64: Align CMA sizes to PAGE_SIZE

2014-02-05  Vinayak Kale  <vkale@apm.com>

	* arm64: add DSB after icache flush in __flush_icache_all()

2014-02-04  Axel Lin  <axel.lin@ingics.com>

	* gpio: tb10x: GPIO_TB10X needs to select GENERIC_IRQ_CHIP

2014-02-04  Axel Lin  <axel.lin@ingics.com>

	* gpio: clps711x: Add module alias to support module auto loading

2014-02-03  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* s390: fix kernel crash due to linkage stack instructions

2014-01-30  Nitin A Kamble  <nitin.a.kamble@intel.com>

	* genirq: Generic irq chip requires IRQ_DOMAIN

2014-01-24  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/ttm: Fix TTM object open regression

2014-01-30  Dave Jones  <davej@redhat.com>

	* vmwgfx: Fix unitialized stack read in vmw_setup_otable_base

2014-02-05  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Improve loopback path lookups for AD1983

2014-02-05  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Reemit context bindings when necessary v2

2014-01-31  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Detect old user-space drivers and set up legacy emulation v2

2014-01-31  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Emulate legacy shaders on guest-backed devices v2

2014-01-30  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Fix legacy surface reference size copyback

2014-01-30  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Fix SET_SHADER_CONST emulation on guest-backed devices

2014-01-30  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Fix regression caused by "drm/ttm: make ttm reservation calls behave like reservation calls"

2014-01-30  Thomas Hellstrom  <thellstrom@vmware.com>

	* drm/vmwgfx: Don't commit staged bindings if execbuf fails

2014-02-03  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Fix missing VREF setup for Mac Pro 1,1

2014-02-02  Andy Zhou  <azhou@nicira.com>

	* openvswitch: Suppress error messages on megaflow updates

2014-02-05  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Add missing mixer widget for AD1983

2014-01-31  Pravin B Shelar  <pshelar@nicira.com>

	* openvswitch: Fix ovs_flow_free() ovs-lock assert.

2014-01-23  Daniele Di Proietto  <daniele.di.proietto@gmail.com>

	* openvswitch: Fix ovs_dp_cmd_msg_size()

2014-01-21  Andy Zhou  <azhou@nicira.com>

	* openvswitch: Fix kernel panic on ovs_flow_free

2014-01-14  Thomas Graf  <tgraf@suug.ch>

	* openvswitch: Pad OVS_PACKET_ATTR_PACKET if linear copy was performed

2014-02-03  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda/realtek - Avoid invalid COEFs for ALC271X

2014-02-04  Andrew Lunn  <andrew@lunn.ch>

	* ata: sata_mv: Fix probe failures with optional phys

2014-02-04  Andrew Lunn  <andrew@lunn.ch>

	* drivers: phy: Add support for optional phys

2014-02-04  Andrew Lunn  <andrew@lunn.ch>

	* drivers: phy: Make NULL a valid phy reference

2014-02-04  David Vrabel  <david.vrabel@citrix.com>

	* xen-netfront: handle backend CLOSED without CLOSING

2014-02-04  Dmitry Kravkov  <dmitry@broadcom.com>

	* bnx2x: fix L2-GRE TCP issues

2014-02-04  Bjørn Mork  <bjorn@mork.no>

	* net: qmi_wwan: add Netgear Aircard 340U

2014-02-05  Dave Airlie  <airlied@redhat.com>

	* drm/mgag200: fix typo causing bw limits to be ignored on some chips

2014-02-04  Fernando Luis Vazquez Cao  <fernando_b1@lab.ntt.co.jp>

	* rtnetlink: fix oops in rtnl_link_get_slave_info_data_size

2014-02-04  Stefan Sørensen  <stefan.sorensen@spectralink.com>

	* ptp: Allow selecting trigger/event index in testptp

2014-02-04  Max Filippov  <jcmvbkbc@gmail.com>

	* net: ethoc: set up MII management bus clock

2014-02-04  Max Filippov  <jcmvbkbc@gmail.com>

	* net: ethoc: don't advertise gigabit speed on attached PHY

2014-02-03  Florian Fainelli  <f.fainelli@gmail.com>

	* net: phy: ensure Gigabit features are masked off if requested

2014-02-03  Stefan Sørensen  <stefan.sorensen@spectralink.com>

	* net:phy:dp83640: Initialize PTP clocks at device init.

2014-02-03  Stefan Sørensen  <stefan.sorensen@spectralink.com>

	* net:phy:dp83640: Do not hardcode timestamping event edge

2014-01-12  Willy Tarreau  <w@1wt.eu>

	* ARM: mvebu: dt: add missing alias 'eth3' on Armada XP mv78260

2014-02-05  NeilBrown  <neilb@suse.de>

	* md/raid1: restore ability for check and repair to fix read errors.

2014-01-21  Luis G.F  <luisgf@luisgf.es>

	* ACPI / battery: Fix incorrect sscanf() string in acpi_battery_init_alarm()

2014-01-30  Dan Carpenter  <dan.carpenter@oracle.com>

	* ACPI / proc: remove unneeded NULL check

2014-01-30  Dan Carpenter  <dan.carpenter@oracle.com>

	* ACPI / utils: remove a pointless NULL check

2014-02-03  Mika Westerberg  <mika.westerberg@linux.intel.com>

	* ACPI / video: Add HP EliteBook Revolve 810 to the blacklist

2014-02-04  Stanislaw Gruszka  <sgruszka@redhat.com>

	* pinctrl: protect pinctrl_list add

2014-01-30  Alan Stern  <stern@rowland.harvard.edu>

	* usb-storage: enable multi-LUN scanning when needed

2014-01-24  Kristóf Ralovich  <kristof.ralovich@gmail.com>

	* USB: simple: add Dynastream ANT USB-m Stick device support

2014-01-21  Alan Stern  <stern@rowland.harvard.edu>

	* usb-storage: add unusual-devs entry for BlackBerry 9000

2014-01-30  Alan Stern  <stern@rowland.harvard.edu>

	* usb-storage: restrict bcdDevice range for Super Top in Cypress ATACB

2014-01-28  Josh Boyer  <jwboyer@fedoraproject.org>

	* usb: phy: move some error messages to debug

2014-01-14  Bjørn Mork  <bjorn@mork.no>

	* usb: ftdi_sio: add Mindstorms EV3 console adapter

2014-02-04  Paul Zimmerman  <Paul.Zimmerman@synopsys.com>

	* usb: dwc2: fix memory corruption in dwc2 driver

2014-02-04  Paul Zimmerman  <Paul.Zimmerman@synopsys.com>

	* usb: dwc2: fix role switch breakage

2014-02-04  Andre Heider  <a.heider@gmail.com>

	* usb: dwc2: bail out early when booting with "nousb"

2014-02-04  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge tag 'for-usb-linus-2014-02-04' of git://git.kernel.org/pub/scm/linux/kernel/git/sarah/xhci into usb-linus

2014-02-03  Dirk Brandewie  <dirk.j.brandewie@intel.com>

	* intel_pstate: Take core C0 time into account for core busy calculation

2014-01-20  Axel Lin  <axel.lin@ingics.com>

	* spi: nuc900: Set SPI_LSB_FIRST for master->mode_bits if hw->pdata->lsb is true

2014-02-04  Sujith Manoharan  <c_manoha@qca.qualcomm.com>

	* ath9k: Fix TX power calculation

2014-02-04  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mason/linux-btrfs

2014-01-31  Jani Nikula  <jani.nikula@intel.com>

	* drm/i915: demote opregion excessive timeout WARN_ONCE to DRM_INFO_ONCE

2014-01-31  Jani Nikula  <jani.nikula@intel.com>

	* drm: add DRM_INFO_ONCE() to print a one-time DRM_INFO() message

2014-02-04  Daniel Vetter  <daniel.vetter@ffwll.ch>

	* MAINTAINERS: Update drm/i915 git repo

2014-01-21  Geert Uytterhoeven  <geert+renesas@linux-m68k.org>

	* spi: rspi: Document support for Renesas QSPI in Kconfig

2014-02-04  Will Deacon  <will.deacon@arm.com>

	* arm64: vdso: prevent ld from aligning PT_LOAD segments to 64k

2014-01-30  Michael Holzheu  <holzheu@linux.vnet.ibm.com>

	* s390/dump: Fix dump memory detection

2014-02-04  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'regulator/fix/ab3100' and 'regulator/fix/s2mps11' into regulator-linus

2014-02-04  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branch 'regulator/fix/core' into regulator-linus

2014-02-04  James Hogan  <james.hogan@imgtec.com>

	* MIPS: Wire up sched_setattr/sched_getattr syscalls

2014-01-29  Manuel Lauss  <manuel.lauss@gmail.com>

	* MIPS: Alchemy: Fix DB1100 GPIO registration

2014-01-29  Martin Bugge  <marbugge@cisco.com>

	* [media] adv7842: Composite free-run platfrom-data fix

2014-01-23  Martin Bugge  <marbugge@cisco.com>

	* [media] v4l2-dv-timings: fix GTF calculation

2014-01-17  Masanari Iida  <standby24x7@gmail.com>

	* [media] hdpvr: Fix memory leak in debug

2014-01-16  Antti Palosaari  <crope@iki.fi>

	* [media] af9035: add ID [2040:f900] Hauppauge WinTV-MiniStick 2

2014-01-30  Dave Jones  <davej@fedoraproject.org>

	* [media] mxl111sf: Fix compile when CONFIG_DVB_USB_MXL111SF is unset

2014-01-30  Dave Jones  <davej@fedoraproject.org>

	* [media] mxl111sf: Fix unintentional garbage stack read

2014-01-30  Andi Shyti  <andi@etezian.org>

	* [media] cx24117: use a valid dev pointer for dev_err printout

2014-01-30  Andi Shyti  <andi@etezian.org>

	* [media] cx24117: remove dead code in always 'false' if statement

2014-01-29  Michael Krufky  <mkrufky@linuxtv.org>

	* [media] update Michael Krufky's email address

2014-01-08  Ricardo Ribalda  <ricardo.ribalda@gmail.com>

	* [media] vb2: Check if there are buffers before streamon

2014-01-03  Hans Verkuil  <hverkuil@xs4all.nl>

	* [media] Revert "[media] videobuf_vm_{open,close} race fixes"

2013-12-20  Alexey Khoroshilov  <khoroshilov@ispras.ru>

	* [media] go7007-loader: fix usb_dev leak

2013-12-19  Levente Kurusa  <levex@linux.com>

	* [media] media: bt8xx: add missing put_device call

2014-01-29  Dan Carpenter  <dan.carpenter@oracle.com>

	* UBI: fix some use after free bugs

2014-02-04  Takashi Iwai  <tiwai@suse.de>

	* ALSA: hda - Fix silent output on Toshiba Satellite L40

2014-02-03  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / hotplug / PCI: Fix bridge removal race vs dock events

2014-02-03  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / hotplug / PCI: Fix bridge removal race in handle_hotplug_event()

2014-02-03  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / hotplug / PCI: Scan root bus under the PCI rescan-remove lock

2014-02-03  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / hotplug / PCI: Move PCI rescan-remove locking to hotplug_event()

2014-02-03  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / hotplug / PCI: Remove entries from bus->devices in reverse order

2014-01-29  Mukesh Rathor  <mukesh.rathor@oracle.com>

	* xen/pvh: set CR4 flags for APs

2014-02-03  Tejun Heo  <tj@kernel.org>

	* nfs: include xattr.h from fs/nfs/nfs3proc.c

2014-01-28  Li Zefan  <lizefan@huawei.com>

	* cpuset: update MAINTAINERS entry

2014-01-28  Tejun Heo  <tj@kernel.org>

	* arm, pm, vmpressure: add missing slab.h includes

2014-01-31  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: fix error handling in ceph_osdc_init()

2014-02-01  Filipe David Borba Manana  <fdmanana@gmail.com>

	* Btrfs: use late_initcall instead of module_init

2014-01-29  Filipe David Borba Manana  <fdmanana@gmail.com>

	* Btrfs: use btrfs_crc32c everywhere instead of libcrc32c

2014-01-29  Josef Bacik  <jbacik@fb.com>

	* Btrfs: disable snapshot aware defrag for now

2014-02-03  Tejun Heo  <tj@kernel.org>

	* sata_sil: apply MOD15WRITE quirk to TOSHIBA MK2561GSYN

2014-01-25  Marek Belisko  <marek@goldelico.com>

	* of: add vendor prefix for Honeywell

2013-12-18  Kumar Gala  <galak@codeaurora.org>

	* of: Update qcom vendor prefix description

2014-01-29  Emilio López  <emilio@elopez.com.ar>

	* of: add vendor prefix for Allwinner Technology

2014-02-03  Konrad Rzeszutek Wilk  <konrad.wilk@oracle.com>

	* Revert "xen/grant-table: Avoid m2p_override during mapping"

2014-02-01  Benjamin Tissoires  <benjamin.tissoires@redhat.com>

	* HID: fix buffer allocations

2014-02-03  Takashi Iwai  <tiwai@suse.de>

	* ALSA: usb-audio: Add missing kconfig dependecy

2014-01-27  Qipan Li  <Qipan.Li@csr.com>

	* pinctrl: sirf: correct the pin index of ac97_pins group

2014-01-22  Chris Ruehl  <chris.ruehl@gtsys.com.hk>

	* pinctrl: imx27: fix offset calculation in imx_read_2bit

2014-01-23  Tony Prisk  <linux@prisktech.co.nz>

	* pinctrl: vt8500: Change devicetree data parsing

2014-01-22  Chris Ruehl  <chris.ruehl@gtsys.com.hk>

	* pinctrl: imx27: fix wrong offset to ICONFB

2014-01-21  Nicolas Ferre  <nicolas.ferre@atmel.com>

	* pinctrl: at91: use locked variant of irq_set_handler

2014-01-30  Guenter Roeck  <linux@roeck-us.net>

	* hwmon: (pmbus) Support per-page exponent in linear mode

2014-02-01  Rob Herring  <robh@kernel.org>

	* ARM: fix HAVE_ARM_TWD selection for OMAP and shmobile

2014-02-01  Rob Herring  <robh@kernel.org>

	* ARM: moxart: move DMA_OF selection to driver

2014-02-01  Rob Herring  <robh@kernel.org>

	* ARM: hisi: fix kconfig warning on HAVE_ARM_TWD

2014-02-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Linus 3.14-rc1

2014-02-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'parisc-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/deller/parisc-linux

2014-01-29  Mikulas Patocka  <mikulas@artax.karlin.mff.cuni.cz>

	* hpfs: optimize quad buffer loading

2014-01-29  Mikulas Patocka  <mikulas@artax.karlin.mff.cuni.cz>

	* hpfs: remember free space

2014-01-31  Helge Deller  <deller@gmx.de>

	* parisc: add flexible mmap memory layout support

2014-01-16  Guy Martin  <gmsoft@tuxicoman.be>

	* parisc: Make EWOULDBLOCK be equal to EAGAIN on parisc

2014-01-31  Helge Deller  <deller@gmx.de>

	* parisc: convert uapi/asm/stat.h to use native types only

2014-01-31  Helge Deller  <deller@gmx.de>

	* parisc: wire up sched_setattr and sched_getattr

2014-01-31  Helge Deller  <deller@gmx.de>

	* parisc: fix cache-flushing

2014-01-31  Helge Deller  <deller@gmx.de>

	* parisc/sti_console: prefer Linux fonts over built-in ROM fonts

2014-02-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'hwmon-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/jdelvare/staging

2014-02-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'slab/next' of git://git.kernel.org/pub/scm/linux/kernel/git/penberg/linux

2014-02-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'release' of git://git.kernel.org/pub/scm/linux/kernel/git/lenb/linux

2014-02-02  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'fixes-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/arm/arm-soc

2014-01-31  Keith Busch  <keith.busch@intel.com>

	* NVMe: Namespace use after free on surprise removal

2014-01-25  Jean-Francois Moine  <moinejf@free.fr>

	* drm/i2c: tda998x: fix the ENABLE_SPACE register

2014-02-02  Jean Delvare  <khali@linux-fr.org>

	* hwmon: Fix SENSORS_TMP102 dependencies to eliminate build errors

2014-02-02  Jean Delvare  <khali@linux-fr.org>

	* hwmon: Fix SENSORS_LM75 dependencies to eliminate build errors

2014-01-25  Jean-Francois Moine  <moinejf@free.fr>

	* drm/i2c: tda998x: set the PLL division factor in range 0..3

2014-01-25  Jean-Francois Moine  <moinejf@free.fr>

	* drm/i2c: tda998x: force the page register at startup time

2014-01-25  Jean-Francois Moine  <moinejf@free.fr>

	* drm/i2c: tda998x: free the CEC device on encoder_destroy

2014-01-25  Jean-Francois Moine  <moinejf@free.fr>

	* drm/i2c: tda998x: check the CEC device creation

2014-01-25  Jean-Francois Moine  <moinejf@free.fr>

	* drm/i2c: tda998x: fix bad value in the AIF

2013-12-05  Emmanuel Grumbach  <emmanuel.grumbach@intel.com>

	* iwlwifi: mvm: don't allow A band if SKU forbids it

2014-01-28  Emmanuel Grumbach  <emmanuel.grumbach@intel.com>

	* iwlwifi: mvm: BT Coex - disable BT when TXing probe request in scan

2014-02-02  Ingo Molnar  <mingo@kernel.org>

	* Merge tag 'perf-urgent-for-mingo' of git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux into perf/urgent

2014-02-01  Petr Tesarik  <ptesarik@suse.cz>

	* x86: Fix the initialization of physnode_map

2014-01-23  Andy Shevchenko  <andriy.shevchenko@linux.intel.com>

	* tools/power turbostat: introduce -s to dump counters

2014-01-23  Andy Shevchenko  <andriy.shevchenko@linux.intel.com>

	* tools/power turbostat: remove unused command line option

2014-02-01  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'misc' of git://git.kernel.org/pub/scm/linux/kernel/git/mmarek/kbuild

2014-01-28  Pali Rohár  <pali.rohar@gmail.com>

	* afs: proc cells and rootcell are writeable

2014-01-31  Heiko Carstens  <heiko.carstens@de.ibm.com>

	* tile: remove compat_sys_lookup_dcookie declaration to fix compile error

2014-02-01  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.samba.org/sfrench/cifs-2.6

2014-02-01  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs

2014-02-01  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'staging-3.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/staging

2014-02-01  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Revert "PCI: Remove from bus_list and release resources in pci_release_dev()"

2014-01-30  Krzysztof Kozlowski  <k.kozlowski@samsung.com>

	* power: max17040: Fix NULL pointer dereference when there is no platform_data

2014-01-31  Olof Johansson  <olof@lixom.net>

	* ARM: multi_v7_defconfig: remove redundant entries and re-enable TI_EDMA

2014-01-31  Olof Johansson  <olof@lixom.net>

	* ARM: multi_v7_defconfig: add mvebu drivers

2013-12-05  Tim Kryger  <tim.kryger@linaro.org>

	* clocksource: kona: Add basic use of external clock

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'nfs-for-3.14-2' of git://git.linux-nfs.org/projects/trondmy/linux-nfs

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'sound-fix-3.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/tiwai/sound

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-next' of git://git.kernel.org/pub/scm/linux/kernel/git/nab/target-pending

2014-01-27  Lorenzo Pieralisi  <lorenzo.pieralisi@arm.com>

	* drivers: bus: fix CCI driver kcalloc call parameters swap

2014-01-07  Tim Kryger  <tim.kryger@linaro.org>

	* ARM: dts: bcm28155-ap: Fix Card Detection GPIO

2014-01-31  Olof Johansson  <olof@lixom.net>

	* Merge tag 'renesas-dt-fixes2-for-v3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/horms/renesas into fixes

2014-01-11  Fabio Estevam  <fabio.estevam@freescale.com>

	* ARM: multi_v7_defconfig: Select CONFIG_AT803X_PHY

2014-01-09  Grygorii Strashko  <grygorii.strashko@ti.com>

	* ARM: keystone: config: fix build warning when CONFIG_DMADEVICES is not set

2014-01-03  Barry Song  <Baohua.Song@csr.com>

	* MAINTAINERS: ARM: SiRF: use regex patterns to involve all SiRF drivers

2014-01-31  Olof Johansson  <olof@lixom.net>

	* Merge tag 'mvebu-fixes-3.13-2' of git://git.infradead.org/linux-mvebu into fixes

2013-12-02  Soren Brinkmann  <soren.brinkmann@xilinx.com>

	* ARM: dts: zynq: Add SDHCI nodes

2014-01-31  Rob Herring  <robh@kernel.org>

	* ARM: hisi: don't select SMP

2014-01-24  Stephen Warren  <swarren@nvidia.com>

	* ARM: tegra: rebuild tegra_defconfig to add DEBUG_FS

2013-12-20  Stephen Warren  <swarren@nvidia.com>

	* ARM: multi_v7: copy most options from tegra_defconfig

2014-01-29  Linus Walleij  <linus.walleij@linaro.org>

	* ARM: iop32x: fix power off handling for the EM7210 board

2014-01-24  Linus Walleij  <linus.walleij@linaro.org>

	* ARM: integrator: restore static map on the CP

2014-01-31  Oleg Drokin  <green@linuxhacker.ru>

	* Fix mountpoint reference leakage in linkat

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'arm64-upstream' of git://git.kernel.org/pub/scm/linux/kernel/git/arm64/linux

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mattst88/alpha

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf buildid-cache: Check relocation when checking for existing kcore

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf tools: Adjust kallsyms for relocated kernel

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf tests: No need to set up ref_reloc_sym

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf symbols: Prevent the use of kcore if the kernel has moved

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf record: Get ref_reloc_sym from kernel map

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf machine: Set up ref_reloc_sym in machine__create_kernel_maps()

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf machine: Add machine__get_kallsyms_filename()

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf tools: Add kallsyms__get_function_start()

2014-01-29  Adrian Hunter  <adrian.hunter@intel.com>

	* perf symbols: Fix symbol annotation for relocated kernel

2014-01-27  Francesco Fusco  <ffusco@redhat.com>

	* perf tools: Fix include for non x86 architectures

2014-01-29  Christoph Hellwig  <hch@infradead.org>

	* hfsplus: use xattr handlers for removexattr

2014-01-30  Stephan Springl  <springl-kernel@bfw-online.de>

	* Typo in compat_sys_lseek() declaration

2014-01-30  Andrew Ruder  <andrew.ruder@elecsyscorp.com>

	* fs/super.c: sync ro remount after blocking writers

2014-01-27  Jeff Layton  <jlayton@redhat.com>

	* vfs: unexport the getname() symbol

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'v4l_for_linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mchehab/linux-media

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pm+acpi-3.14-rc1-2' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm

2014-01-22  Mikulas Patocka  <mpatocka@redhat.com>

	* alpha: fix broken network checksum

2013-12-20  蔡正龙  <zhenglong.cai@cs2c.com.cn>

	* alpha: Enable system-call auditing support.

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'timers-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'sched-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-01-31  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'core-urgent-for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tip/tip

2014-01-30  Stephen Warren  <swarren@nvidia.com>

	* ALSA: hda/hdmi - allow PIN_OUT to be dynamically enabled

2014-01-30  Krzysztof Kozlowski  <k.kozlowski@samsung.com>

	* regulator: s2mps11: Fix NULL pointer of_node value when using platform data

2014-01-30  Peter Ujfalusi  <peter.ujfalusi@ti.com>

	* ASoC: davinci-evm: Add pm callbacks to platform driver

2014-01-30  Peter Ujfalusi  <peter.ujfalusi@ti.com>

	* ASoC: davinci-mcasp: Consolidate pm_runtime_get/put() use in the driver

2014-01-30  Peter Ujfalusi  <peter.ujfalusi@ti.com>

	* ASoC: davinci-mcasp: Configure xxTDM, xxFMT and xxFMCT registers synchronously

2014-01-30  Peter Ujfalusi  <peter.ujfalusi@ti.com>

	* ASoC: davinci-mcasp: Harmonize the sub hw_params function names

2014-01-31  Sachin Prabhu  <sprabhu@redhat.com>

	* cifs: Fix check for regular file in couldbe_mf_symlink()

2014-01-27  Dave Jones  <davej@fedoraproject.org>

	* xen/pvh: Fix misplaced kfree from xlated_setup_gnttab_pages

2014-01-22  Bob Liu  <lliubbo@gmail.com>

	* drivers: xen: deaggressive selfballoon driver

2014-01-23  Zoltan Kiss  <zoltan.kiss@citrix.com>

	* xen/grant-table: Avoid m2p_override during mapping

2014-01-27  Malahal Naineni  <malahal@us.ibm.com>

	* nfs: initialize the ACL support bits to zero.

2014-01-30  Denis V. Lunev  <den@openvz.org>

	* ata: enable quirk from jmicron JMB350 for JMB394

2014-01-28  Masanari Iida  <standby24x7@gmail.com>

	* mm: Fix warning on make htmldocs caused by slab.c

2014-01-24  Dave Hansen  <dave.hansen@linux.intel.com>

	* mm: slub: work around unneeded lockdep warning

2014-01-28  Dave Hansen  <dave.hansen@linux.intel.com>

	* mm: sl[uo]b: fix misleading comments

2014-01-15  Steve Capper  <Steve.Capper@arm.com>

	* arm64: mm: Introduce PTE_WRITE

2014-01-15  Steve Capper  <Steve.Capper@arm.com>

	* arm64: mm: Remove PTE_BIT_FUNC macro

2014-01-30  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/mason/linux-btrfs

2014-01-30  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'upstream-3.14-rc1' of git://git.infradead.org/linux-ubifs

2014-01-30  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/sage/ceph-client

2014-01-28  Prarit Bhargava  <prarit@redhat.com>

	* x86, cpu hotplug: Fix stack frame warning in check_irq_vectors_for_cpu_disable()

2014-01-30  Sarah Sharp  <sarah.a.sharp@linux.intel.com>

	* Revert "xhci: replace xhci_read_64() with readq()"

2014-01-20  Emmanuel Grumbach  <emmanuel.grumbach@intel.com>

	* iwlwifi: mvm: don't leak a station when we drain

2013-12-30  David Spinadel  <david.spinadel@intel.com>

	* iwlwifi: mvm: notify match found without filtering

2014-01-23  Oren Givon  <oren.givon@intel.com>

	* iwlwifi: add more 7265 HW IDs

2014-01-23  Emmanuel Grumbach  <emmanuel.grumbach@intel.com>

	* iwlwifi: mvm: print the version of the firmware when it asserts

2014-01-16  Johannes Berg  <johannes.berg@intel.com>

	* iwlwifi: mvm: disable scheduled scan

2014-01-20  Johannes Berg  <johannes.berg@intel.com>

	* iwlwifi: mvm: make local pointer non-static

2014-01-30  Imre Deak  <imre.deak@intel.com>

	* drm/i915: vlv: fix DP PHY lockup due to invalid PP sequencer setup

2014-01-29  Nicolas Pitre  <nicolas.pitre@linaro.org>

	* arm64: FIQs are unused

2014-01-22  Harald Freudenberger  <freude@linux.vnet.ibm.com>

	* crypto: s390 - fix des and des3_ede ctr concurrency issue

2014-01-22  Harald Freudenberger  <freude@linux.vnet.ibm.com>

	* crypto: s390 - fix des and des3_ede cbc concurrency issue

2014-01-16  Harald Freudenberger  <freude@linux.vnet.ibm.com>

	* crypto: s390 - fix concurrency issue in aes-ctr mode

2014-01-30  Julien Grall  <julien.grall@linaro.org>

	* xen/gnttab: Use phys_addr_t to describe the grant frame base address

2014-01-20  Ian Campbell  <ian.campbell@citrix.com>

	* xen: swiotlb: handle sizeof(dma_addr_t) != sizeof(phys_addr_t)

2014-01-28  Nicholas Bellinger  <nab@linux-iscsi.org>

	* target: Fix percpu_ref_put race in transport_lun_remove_cmd

2014-01-24  Andy Grover  <agrover@redhat.com>

	* target/iscsi: Fix network portal creation race

2014-01-30  Sachin Kamat  <sachin.kamat@linaro.org>

	* ASoC: samsung: Fix trivial typo

2014-01-30  Sachin Kamat  <sachin.kamat@linaro.org>

	* ASoC: samsung: Remove invalid dependencies

2014-01-30  Hui Wang  <hui.wang@canonical.com>

	* ALSA: hda - add headset mic detect quirks for another Dell laptop

2014-01-30  Takashi Iwai  <tiwai@suse.de>

	* Merge branch 'xonar-dg' of git://git.alsa-project.org/alsa-kprivate into for-next

2014-01-29  Dan Carpenter  <dan.carpenter@oracle.com>

	* KVM: return an error code in kvm_vm_ioctl_register_coalesced_mmio()

2014-01-29  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'drm-next' of git://people.freedesktop.org/~airlied/linux

2014-01-29  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.infradead.org/users/vkoul/slave-dma

2014-01-29  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/olof/chrome-platform

2014-01-29  Sarah Sharp  <sarah.a.sharp@linux.intel.com>

	* Revert "xhci: replace xhci_write_64() with writeq()"

2014-01-30  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-nouveau-next' of git://anongit.freedesktop.org/git/nouveau/linux-2.6 into drm-next

2014-01-30  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-next-3.14' of git://people.freedesktop.org/~agd5f/linux into drm-next

2014-01-29  Heiko Carstens  <heiko.carstens@de.ibm.com>

	* fs/compat: fix parameter handling for compat readv/writev syscalls

2014-01-29  Andrew Morton  <akpm@linux-foundation.org>

	* mm/mempolicy.c: convert to pr_foo()

2014-01-29  Mel Gorman  <mgorman@suse.de>

	* mm: numa: initialise numa balancing after jump label initialisation

2014-01-29  Johannes Weiner  <hannes@cmpxchg.org>

	* mm/page-writeback.c: do not count anon pages as dirtyable memory

2014-01-29  Johannes Weiner  <hannes@cmpxchg.org>

	* mm/page-writeback.c: fix dirty_balance_reserve subtraction from dirtyable memory

2014-01-29  Aaron Tomlin  <atomlin@redhat.com>

	* mm: document improved handling of swappiness==0

2014-01-29  Lad, Prabhakar  <prabhakar.csengg@gmail.com>

	* lib/genalloc.c: add check gen_pool_dma_alloc() if dma pointer is not NULL

2014-01-23  Ilia Mirkin  <imirkin@alum.mit.edu>

	* drm/nouveau: resume display if any later suspend bits fail

2014-01-29  Maarten Lankhorst  <maarten.lankhorst@canonical.com>

	* drm/nouveau: fix lock unbalance in nouveau_crtc_page_flip

2013-11-14  Ben Skeggs  <bskeggs@redhat.com>

	* drm/nouveau: implement hooks for needed for drm vblank timestamping support

2013-11-14  Ben Skeggs  <bskeggs@redhat.com>

	* drm/nouveau/disp: add a method to fetch info needed by drm vblank timestamping

2014-01-24  Ben Skeggs  <bskeggs@redhat.com>

	* drm/nv50: fill in crtc mode struct members from crtc_mode_fixup

2014-01-28  Chris Zankel  <chris@zankel.net>

	* xtensa: fix fast_syscall_spill_registers

2014-01-28  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/dce8: workaround for atom BlankCrtc table

2014-01-27  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/DCE4+: clear bios scratch dpms bit (v2)

2014-01-27  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: set si_notify_smc_display_change properly

2014-01-27  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: fix DAC interrupt handling on DCE5+

2014-01-27  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: clean up active vram sizing

2014-01-27  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon: skip async dma init on r6xx

2014-01-24  Alex Deucher  <alexander.deucher@amd.com>

	* drm/radeon/runpm: don't runtime suspend non-PX cards

2014-01-24  Roman Volkov  <v1ron@mail.ru>

	* ALSA: oxygen: Xonar DG(X): cleanup and minor changes

2014-01-24  Roman Volkov  <v1ron@mail.ru>

	* ALSA: oxygen: Xonar DG(X): modify high-pass filter control

2014-01-24  Roman Volkov  <v1ron@mail.ru>

	* ALSA: oxygen: Xonar DG(X): modify input select functions

2014-01-24  Roman Volkov  <v1ron@mail.ru>

	* ALSA: oxygen: Xonar DG(X): modify capture volume functions

2014-01-24  Roman Volkov  <v1ron@mail.ru>

	* ALSA: oxygen: Xonar DG(X): use headphone volume control

2014-01-24  Peter Zijlstra  <peterz@infradead.org>

	* perf tools: Fix AAAAARGH64 memory barriers

2014-01-22  Andrew Lunn  <andrew@lunn.ch>

	* ATA: SATA_MV: Add missing Kconfig select statememnt

2014-01-25  Fabio Estevam  <fabio.estevam@freescale.com>

	* ata: pata_imx: Check the return value from clk_prepare_enable()

2014-01-29  Paolo Bonzini  <pbonzini@redhat.com>

	* Merge branch 'kvm-ppc-next' of git://github.com/agraf/linux-2.6 into kvm-queue

2014-01-29  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFSv4.1: Cleanup

2014-01-29  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFSv4.1: Clean up nfs41_sequence_done

2014-01-29  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFSv4: Fix a slot leak in nfs40_sequence_done

2014-01-27  Paolo Bonzini  <pbonzini@redhat.com>

	* x86, kvm: correctly access the KVM_CPUID_FEATURES leaf at 0x40000101

2014-01-27  Paolo Bonzini  <pbonzini@redhat.com>

	* x86, kvm: cache the base of the KVM cpuid leaves

2014-01-29  Paolo Bonzini  <pbonzini@redhat.com>

	* kvm: x86: move KVM_CAP_HYPERV_TIME outside #ifdef

2014-01-29  Andy Adamson  <andros@netapp.com>

	* NFSv4.1 free slot before resending I/O to MDS

2014-01-29  Matthew Wilcox  <matthew.r.wilcox@intel.com>

	* NVMe: Correct uses of INIT_WORK

2014-01-29  David Henningsson  <david.henningsson@canonical.com>

	* ALSA: hda - Add parameter for dumping processing coefficients

2014-01-29  Chris Mason  <clm@fb.com>

	* Btrfs: fix spin_unlock in check_ref_cleanup

2014-01-09  Chris Mason  <clm@fb.com>

	* Btrfs: setup inode location during btrfs_init_inode_locked

2014-01-03  Chris Mason  <clm@fb.com>

	* Btrfs: don't use ram_bytes for uncompressed inline items

2014-01-11  Filipe David Borba Manana  <fdmanana@gmail.com>

	* Btrfs: fix btrfs_search_slot_for_read backwards iteration

2014-01-29  Wang Shilong  <wangsl.fnst@cn.fujitsu.com>

	* Btrfs: do not export ulist functions

2014-01-29  Wang Shilong  <wangsl.fnst@cn.fujitsu.com>

	* Btrfs: rework ulist with list+rb_tree

2014-01-28  Wang Shilong  <wangsl.fnst@cn.fujitsu.com>

	* Btrfs: fix memory leaks on walking backrefs failure

2014-01-28  Filipe David Borba Manana  <fdmanana@gmail.com>

	* Btrfs: fix send file hole detection leading to data corruption

2014-01-26  Wang Shilong  <wangsl.fnst@cn.fujitsu.com>

	* Btrfs: add a reschedule point in btrfs_find_all_roots()

2014-01-24  Filipe David Borba Manana  <fdmanana@gmail.com>

	* Btrfs: make send's file extent item search more efficient

2014-01-23  Wang Shilong  <wangsl.fnst@cn.fujitsu.com>

	* Btrfs: fix to catch all errors when resolving indirect ref

2014-01-23  Wang Shilong  <wangsl.fnst@cn.fujitsu.com>

	* Btrfs: fix protection between walking backrefs and root deletion

2014-01-23  Gui Hecheng  <guihc.fnst@cn.fujitsu.com>

	* btrfs: fix warning while merging two adjacent extents

2014-01-22  Filipe David Borba Manana  <fdmanana@gmail.com>

	* Btrfs: fix infinite path build loops in incremental send

2014-01-28  Arnd Bergmann  <arnd@arndb.de>

	* dmaengine: mmp_pdma: fix mismerge

2014-01-29  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'pm-cpufreq' and 'pm-devfreq'

2014-01-29  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* Merge branches 'acpi-processor', 'acpi-hotplug', 'acpi-init', 'acpi-pm' and 'acpica'

2014-01-27  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / scan: Clear match_driver flag in acpi_bus_trim()

2014-01-28  Gerald Schaefer  <gerald.schaefer@de.ibm.com>

	* s390/appldata: restore missing init_virt_timer()

2014-01-28  Ursula Braun  <ursula.braun@de.ibm.com>

	* s390/qdio: correct program-controlled interruption checking

2014-01-26  Jose Alonso  <joalonsof@gmail.com>

	* s390/qdio: for_each macro correctness

2014-01-29  Takashi Iwai  <tiwai@suse.de>

	* Merge tag 'asoc-v3.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/sound into for-linus

2014-01-28  Chris Zankel  <chris@zankel.net>

	* xtensa: fix fast_syscall_spill_registers

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-linus-20140127' of git://git.infradead.org/linux-mtd

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-next' of git://git.kernel.org/pub/scm/linux/kernel/git/cooloney/linux-leds

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'tty-3.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/gregkh/tty

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'clk-for-linus-3.14-part2' of git://git.linaro.org/people/mike.turquette/linux

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'xfs-for-linus-v3.14-rc1-2' of git://oss.sgi.com/xfs/xfs

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* ceph: Fix up after semantic merge conflict

2014-01-29  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'drm/for-3.14-rc1-20140123' of git://anongit.freedesktop.org/tegra/linux into drm-next

2014-01-24  Dave Airlie  <airlied@redhat.com>

	* drm: ast,cirrus,mgag200: use drm_can_sleep

2014-01-29  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'drm-intel-fixes-2014-01-28' of git://people.freedesktop.org/~danvet/drm-intel into drm-next

2014-01-29  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'drm-armada-fixes' of git://ftp.arm.linux.org.uk/~rmk/linux-cubox into drm-next

2014-01-29  Dave Airlie  <airlied@redhat.com>

	* Merge tag 'omapdrm-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/tomba/linux into drm-next

2014-01-29  Dave Airlie  <airlied@redhat.com>

	* Merge branch 'gma500-next' of git://github.com/patjak/drm-gma500 into drm-next

2014-01-27  Mark Brown  <broonie@linaro.org>

	* ACPI / init: Flag use of ACPI and ACPI idioms for power supplies to regulator API

2014-01-27  Konrad Rzeszutek Wilk  <konrad.wilk@oracle.com>

	* acpi-cpufreq: De-register CPU notifier and free struct msr on error.

2014-01-22  Anand Jain  <Anand.Jain@oracle.com>

	* btrfs: undo sysfs when open_ctree() fails

2014-01-23  Benjamin Tissoires  <benjamin.tissoires@redhat.com>

	* HID: multitouch: add FocalTech FTxxxx support

2014-01-28  Jeff Layton  <jlayton@redhat.com>

	* nfs: add memory barriers around NFS_INO_INVALID_DATA and NFS_INO_INVALIDATING

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/sage/ceph-client

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.open-osd.org/linux-open-osd

2014-01-28  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* ceph: cast PAGE_SIZE to size_t in ceph_sync_write()

2014-01-28  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* ceph: fix dout() compile warnings in ceph_filemap_fault()

2014-01-28  Tony Luck  <tony.luck@intel.com>

	* [IA64] Wire up new sched_setattr and sched_getattr syscalls

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'microblaze-3.14-rc1' of git://git.monstr.eu/linux-2.6-microblaze

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/s390/linux

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'cris-correction-for-3.14' of git://jni.nu/cris

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'ext4_for_linus' of git://git.kernel.org/pub/scm/linux/kernel/git/tytso/ext4

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'nfs-for-3.14-1' of git://git.linux-nfs.org/projects/trondmy/linux-nfs

2014-01-28  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/viro/vfs

2014-01-28  Trond Myklebust  <trond.myklebust@primarydata.com>

	* NFS: Fix races in nfs_revalidate_mapping

2014-01-28  Reyad Attiyat  <reyad.attiyat@gmail.com>

	* HID: microsoft: Add ID's for Surface Type/Touch Cover 2

2014-01-27  Yufeng Shen  <miletus@chromium.org>

	* HID: usbhid: quirk for CY-TM75 75 inch Touch Overlay

2014-01-28  Jesper Nilsson  <jespern@axis.com>

	* CRISv10: Readd missing header

2014-01-27  Peter Zijlstra  <peterz@infradead.org>

	* sched: Make sched_class::get_rr_interval() optional

2014-01-08  Patrik Jakobsson  <patrik.r.jakobsson@gmail.com>

	* drm/gma500: Lock struct_mutex around cursor updates

2014-01-27  Mark Brown  <broonie@linaro.org>

	* regulator: core: Correct default return value for full constraints

2014-01-13  Akash Goel  <akash.goel@intel.com>

	* drm/i915: Fix the offset issue for the stolen GEM objects

2013-12-18  Huang Shijie  <shijie8@gmail.com>

	* mtd: gpmi: add sanity check when mapping DMA for read_buf/write_buf

2013-12-18  Huang Shijie  <shijie8@gmail.com>

	* mtd: gpmi: allocate a proper buffer for non ECC read/write

2014-01-21  Geert Uytterhoeven  <geert+renesas@linux-m68k.org>

	* mtd: m25p80: Set rx_nbits for Quad SPI transfers

2014-01-21  Geert Uytterhoeven  <geert+renesas@linux-m68k.org>

	* mtd: m25p80: Enable Quad SPI read transfers for s25fl512s

2014-01-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'akpm' (incoming from Andrew)

2014-01-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'next' of git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc

2014-01-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'merge' of git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc

2014-01-27  Ard Biesheuvel  <ard.biesheuvel@linaro.org>

	* firmware/google: drop 'select EFI' to avoid recursive dependency

2014-01-27  Heiko Carstens  <heiko.carstens@de.ibm.com>

	* compat: fix sys_fanotify_mark

2014-01-27  Joe Perches  <joe@perches.com>

	* checkpatch.pl: check for function declarations without arguments

2014-01-27  Wanpeng Li  <liwanp@linux.vnet.ibm.com>

	* mm/migrate.c: fix setting of cpupid on page migration twice against normal page

2014-01-15  Michael Ellerman  <mpe@ellerman.id.au>

	* powerpc: Implement arch_spin_is_locked() using arch_spin_value_unlocked()

2014-01-15  Michael Ellerman  <mpe@ellerman.id.au>

	* powerpc: Add support for the optimised lockref implementation

2014-01-02  Sachin Kamat  <sachin.kamat@linaro.org>

	* leds: s3c24xx: Remove hardware.h inclusion

2013-12-28  ZHAO Gang  <gamerh2o@gmail.com>

	* leds: replace list_for_each with list_for_each_entry

2014-01-02  Sachin Kamat  <sachin.kamat@linaro.org>

	* leds: kirkwood: Cleanup in header files

2013-12-11  Olof Johansson  <olof@lixom.net>

	* leds: pwm: Remove a warning on non-DT platforms

2013-12-11  Xiubo Li  <Li.Xiubo@freescale.com>

	* leds: leds-pwm: fix duty time overflow.

2013-12-06  Alexander Shiyan  <shc_work@mail.ru>

	* leds: leds-mc13783: Remove unneeded mc13xxx_{un}lock

2013-12-06  Alexander Shiyan  <shc_work@mail.ru>

	* leds: leds-mc13783: Remove duplicate field in platform data

2013-12-08  Chen Gang  <gang.chen.5i5j@gmail.com>

	* drivers: leds: leds-tca6507: check CONFIG_GPIOLIB whether defined for 'gpio_base'

2013-11-20  Milo Kim  <milo.kim@ti.com>

	* leds: lp5523: Support LED MUX configuration on running a pattern

2013-11-20  Milo Kim  <milo.kim@ti.com>

	* leds: lp5521/5523: Fix multiple engine usage bug

2013-11-12  NeilBrown  <neilb@suse.de>

	* LEDS: tca6507 - fix up some comments.

2013-10-31  NeilBrown  <neilb@suse.de>

	* LEDS: tca6507: add device-tree support for GPIO configuration.

2014-01-27  Matthew Wilcox  <matthew.r.wilcox@intel.com>

	* NVMe: Include device and queue numbers in interrupt name

2014-01-27  Keith Busch  <keith.busch@intel.com>

	* NVMe: Add a pci_driver shutdown method

2013-12-16  Keith Busch  <keith.busch@intel.com>

	* NVMe: Disable admin queue on init failure

2014-01-27  Russell King  <rmk+kernel@arm.linux.org.uk>

	* DRM: armada: fix missing DRM_KMS_FB_HELPER select

2013-12-03  Marek Szyprowski  <m.szyprowski@samsung.com>

	* [media] media: v4l2-dev: fix video device index assignment

2014-01-24  Lv Zheng  <lv.zheng@intel.com>

	* ACPICA: Remove bool usage from ACPICA.

2014-01-22  Sachin Kamat  <sachin.kamat@linaro.org>

	* PM / devfreq: Disable Exynos4 driver build on multiplatform

2014-01-27  Rafael J. Wysocki  <rafael.j.wysocki@intel.com>

	* ACPI / PM: Use ACPI_COMPANION() to get ACPI companions of devices

2014-01-27  Jiang Liu  <jiang.liu@linux.intel.com>

	* ACPI / scan: reduce log level of "ACPI: \_PR_.CPU4: failed to get CPU APIC ID"

2014-01-27  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: support CEPH_FEATURE_OSD_CACHEPOOL feature

2014-01-27  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: follow redirect replies from osds

2014-01-27  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: rename ceph_osd_request::r_{oloc,oid} to r_base_{oloc,oid}

2014-01-27  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: follow {read,write}_tier fields on osd request submission

2014-01-27  Ilya Dryomov  <ilya.dryomov@inktank.com>

	* libceph: add ceph_pg_pool_by_id()

2014-01-27  Mike Turquette  <mturquette@linaro.org>

	* clk: sort Makefile

2014-01-27  Jeff Layton  <jlayton@redhat.com>

	* sunrpc: turn warn_gssd() log message into a dprintk()

2014-01-27  Jeff Layton  <jlayton@redhat.com>

	* NFS: fix the handling of NFS_INO_INVALID_DATA flag in nfs_revalidate_mapping

2014-01-24  Emilio López  <emilio@elopez.com.ar>

	* clk: sunxi: fix overflow when setting up divided factors

2014-01-17  Stephen Boyd  <sboyd@codeaurora.org>

	* clk: Export more clk-provider functions

2014-01-17  Stephen Boyd  <sboyd@codeaurora.org>

	* dt-bindings: qcom: Fix warning with duplicate dt define

2014-01-25  Sebastian Hesselbarth  <sebastian.hesselbarth@gmail.com>

	* clk: si5351: remove variant from platform_data

2014-01-25  Baruch Siach  <baruch@tkos.co.il>

	* spi: correct the transfer_one_message documentation wording

2014-01-27  Mark Brown  <broonie@linaro.org>

	* Merge remote-tracking branches 'asoc/fix/arizona', 'asoc/fix/fsl', 'asoc/fix/omap', 'asoc/fix/samsung', 'asoc/fix/simple', 'asoc/fix/tlv320aic32x4' and 'asoc/fix/wm5100' into asoc-linus

2014-01-27  Markus Pargmann  <mpa@pengutronix.de>

	* ASoC: tlv320aic32x4: Fix MICPGA input configuration

2014-01-27  Markus Pargmann  <mpa@pengutronix.de>

	* ASoC: tlv320aic32x4: Fix mono playback

2014-01-27  Larry Finger  <Larry.Finger@lwfinger.net>

	* staging: r8821ae: Enable build by reverting BROKEN marking

2014-01-26  Larry Finger  <Larry.Finger@lwfinger.net>

	* staging: r8821ae: Fix build problems

2014-01-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'trace-fixes-3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/rostedt/linux-trace

2014-01-27  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'stable/for-linus-3.14-rc0-tag' of git://git.kernel.org/pub/scm/linux/kernel/git/konrad/swiotlb

2014-01-27  Chris Wilson  <chris@chris-wilson.co.uk>

	* drm/i915: Decouple GPU error reporting from ring initialisation

2014-01-27  Jingoo Han  <jg1.han@samsung.com>

	* arm64: mm: fix the function name in comment of cpu_do_switch_mm

2014-01-08  Paul Mackerras  <paulus@samba.org>

	* KVM: PPC: Book3S PR: Cope with doorbell interrupts

2014-01-08  Michael Neuling  <mikey@neuling.org>

	* KVM: PPC: Book3S HV: Add software abort codes for transactional memory

2014-01-08  Michael Neuling  <mikey@neuling.org>

	* KVM: PPC: Book3S HV: Add new state for transactional memory

2014-01-08  Michael Neuling  <mikey@neuling.org>

	* powerpc/Kconfig: Make TM select VSX and VMX

2014-01-08  Anton Blanchard  <anton@samba.org>

	* KVM: PPC: Book3S HV: Basic little-endian guest support

2014-01-08  Paul Mackerras  <paulus@samba.org>

	* KVM: PPC: Book3S HV: Add support for DABRX register on POWER7

2014-01-08  Paul Mackerras  <paulus@samba.org>

	* KVM: PPC: Book3S HV: Prepare for host using hypervisor doorbells

2014-01-08  Paul Mackerras  <paulus@samba.org>

	* KVM: PPC: Book3S HV: Handle new LPCR bits on POWER8

2014-01-22  Avi Kivity  <avi@cloudius-systems.com>

	* perf tools: Demangle kernel and kernel module symbols too

2014-01-27  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Merge branch 'master' into staging-next

2014-01-24  Stephen Rothwell  <sfr@canb.auug.org.au>

	* Staging: rtl8812ae: disable due to build errors

2014-01-24  Jan Kiszka  <jan.kiszka@siemens.com>

	* KVM: x86: Validate guest writes to MSR_IA32_APICBASE

2014-01-24  Pankaj Dubey  <pankaj.dubey@samsung.com>

	* arm64: fix build error if DMA_CMA is enabled

2013-11-22  Michal Simek  <michal.simek@xilinx.com>

	* microblaze: Add missing v8.50.a version

2013-11-19  Michal Simek  <michal.simek@xilinx.com>

	* microblaze: Fix missing bracket in printk

2013-11-19  Michal Simek  <michal.simek@xilinx.com>

	* microblaze: Fix compilation error for BS=0

2013-08-23  Michal Simek  <michal.simek@xilinx.com>

	* microblaze: Disable stack protection from bootloader

2013-11-20  Michal Simek  <michal.simek@xilinx.com>

	* microblaze: Define read/write{b,w,l}_relaxed MMIO

2014-01-26  Steve French  <smfrench@gmail.com>

	* [CIFS] Fix SMB2 mounts so they don't try to set or get xattrs via cifs

2014-01-26  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'for-linus' of git://git.kernel.org/pub/scm/linux/kernel/git/rw/uml

2014-01-26  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'mmc-updates-for-3.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/cjb/mmc

2014-01-26  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'for-3.14-merge-window' of git://git.kernel.org/pub/scm/linux/kernel/git/ericvh/v9fs

2013-11-14  James Hogan  <james.hogan@imgtec.com>

	* um: hostfs: make functions static

2014-01-15  Richard Weinberger  <richard@nod.at>

	* um: Include generic barrier.h

2013-09-13  Richard Weinberger  <richard@nod.at>

	* um: Removed unused attributes from thread_struct

2014-01-25  Baruch Siach  <baruch@tkos.co.il>

	* perf/doc: Remove mention of non-existent set_perf_event_pending() from design.txt

2014-01-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge branch 'ipmi' (ipmi patches from Corey Minyard)

2014-01-24  Corey Minyard  <cminyard@mvista.com>

	* ipmi: Cleanup error return

2014-01-24  Xie XiuQi  <xiexiuqi@huawei.com>

	* ipmi: fix timeout calculation when bmc is disconnected

2014-01-24  Xie XiuQi  <xiexiuqi@huawei.com>

	* ipmi: use USEC_PER_SEC instead of 1000000 for more meaningful

2014-01-24  Michael Opdenacker  <michael.opdenacker@free-electrons.com>

	* ipmi: remove deprecated IRQF_DISABLED

2014-01-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'spi-v3.14-2' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/spi

2014-01-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'regulator-v3.14-2' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/regulator

2014-01-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'regmap-v3.14' of git://git.kernel.org/pub/scm/linux/kernel/git/broonie/regmap

2013-10-30  Max Filippov  <jcmvbkbc@gmail.com>

	* xtensa: save current register frame in fast_syscall_spill_registers_fixup

2014-01-22  Max Filippov  <jcmvbkbc@gmail.com>

	* xtensa: introduce spill_registers_kernel macro

2014-01-25  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge git://git.kernel.org/pub/scm/linux/kernel/git/davem/net-next

2014-01-25  Stanislaw Gruszka  <sgruszka@redhat.com>

	* i915: remove pm_qos request on error

2014-01-11  Sebastian Reichel  <sre@debian.org>

	* dt: binding documentation for bq2415x charger

2014-01-24  Adrien Vergé  <adrienverge@gmail.com>

	* ALSA: hda - Fix silent output on MacBook Air 1,1

2014-01-21  David Cohen  <david.a.cohen@linux.intel.com>

	* x86/intel/mid: Fix X86_INTEL_MID dependencies

2014-01-25  Ingo Molnar  <mingo@kernel.org>

	* Merge branch 'linus' into x86/urgent

2014-01-21  Toshi Kani  <toshi.kani@hp.com>

	* arch/x86/mm/srat: Skip NUMA_NO_NODE while parsing SLIT

2014-01-21  Mel Gorman  <mgorman@suse.de>

	* mm, x86: Revisit tlb_flushall_shift tuning for page flushes except on IvyBridge

2014-01-21  Mel Gorman  <mgorman@suse.de>

	* x86: mm: change tlb_flushall_shift for IvyBridge

2014-01-21  Mel Gorman  <mgorman@suse.de>

	* x86/mm: Eliminate redundant page table walk during TLB range flushing

2014-01-21  Mel Gorman  <mgorman@suse.de>

	* x86/mm: Clean up inconsistencies when flushing TLB ranges

2014-01-21  Mel Gorman  <mgorman@suse.de>

	* mm, x86: Account for TLB flushes only when debugging

2014-01-21  Dan Carpenter  <dan.carpenter@oracle.com>

	* x86/AMD/NB: Fix amd_set_subcaches() parameter type

2014-01-23  Aravind Gopalakrishnan  <Aravind.Gopalakrishnan@amd.com>

	* x86/quirks: Add workaround for AMD F16h Erratum792

2014-01-25  Ingo Molnar  <mingo@kernel.org>

	* Merge branch 'timers/core' of git://git.kernel.org/pub/scm/linux/kernel/git/frederic/linux-dynticks into timers/urgent

2014-01-25  Ingo Molnar  <mingo@kernel.org>

	* Merge tag 'perf-urgent-for-mingo' of git://git.kernel.org/pub/scm/linux/kernel/git/acme/linux into perf/urgent

2014-01-23  Sagi Grimberg  <sagig@mellanox.com>

	* target: Report bad sector in sense data for DIF errors

2014-01-20  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iscsi-target: Convert gfp_t parameter to task state bitmask

2014-01-20  Nicholas Bellinger  <nab@linux-iscsi.org>

	* iscsi-target: Fix connection reset hang with percpu_ida_alloc

2014-01-24  Linus Torvalds  <torvalds@linux-foundation.org>

	* Merge tag 'pm+acpi-3.14-rc1' of git://git.kernel.org/pub/scm/linux/kernel/git/rafael/linux-pm

2014-01-21  Eric Sandeen  <sandeen@sandeen.net>

	* xfs: allow logical-sector sized O_DIRECT

2014-01-21  Eric Sandeen  <sandeen@sandeen.net>

	* xfs: rename xfs_buftarg structure members

2014-01-21  Eric Sandeen  <sandeen@sandeen.net>

	* xfs: clean up xfs_buftarg

2014-01-24  Eric Van Hensbergen  <ericvh@gmail.com>

	* 9p: update documentation

2014-01-24  Daniel Vetter  <daniel.vetter@ffwll.ch>

	* Revert "drm/i915: Mask reserved bits in display/sprite address registers"

2014-01-23  Vadim Rozenfeld  <vrozenfe@redhat.com>

	* KVM: x86: mark hyper-v vapic assist page as dirty

2014-01-24  Lorenzo Pieralisi  <Lorenzo.Pieralisi@arm.com>

	* arm64: kernel: fix per-cpu offset restore on resume

2014-01-24  Sachin Kamat  <sachin.kamat@linaro.org>

	* ASoC: samsung: Remove dma.h inclusion

2014-01-24  Sachin Kamat  <sachin.kamat@linaro.org>

	* ASoC: samsung: Add NULL check in i2s.c

2014-01-24  Sachin Kamat  <sachin.kamat@linaro.org>

	* ASoC: Samsung: Fix build error due to missing dependency

2014-01-24  Martin Schwidefsky  <schwidefsky@de.ibm.com>

	* s390/hypfs: add interface for diagnose 0x304

2014-01-10  Xiubo Li  <Li.Xiubo@freescale.com>

	* ASoC: simple-card: fix simple card widgets routing property name usage

2014-01-19  Kent Overstreet  <kmo@daterainc.com>

	* percpu_ida: Make percpu_ida_alloc + callers accept task state bitmask

2014-01-23  Linus Walleij  <linus.walleij@linaro.org>

	* regulator: ab3100: cast fix

2014-01-23  Masami Hiramatsu  <masami.hiramatsu.pt@hitachi.com>

	* perf symbols: Load map before using map->map_ip()

2014-01-22  Josh Boyer  <jwboyer@fedoraproject.org>

	* perf tools: Fix traceevent plugin path definitions

2014-01-23  Vadim Rozenfeld  <vrozenfe@redhat.com>

	* KVM: x86: mark hyper-v hypercall page as dirty

2014-01-23  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Staging: rtl8821ae: add TODO file

2014-01-23  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Staging: rtl8821ae: removed unused functions and variables

2014-01-23  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Staging: rtl8821ae: rc.c: fix up function prototypes

2014-01-21  Greg Kroah-Hartman  <gregkh@linuxfoundation.org>

	* Staging: rtl8812ae: Add Realtek 8821 PCI WIFI driver

2014-01-23  Steven Rostedt (Red Hat)  <rostedt@goodmis.org>

	* tracing: Check if tracing is enabled in trace_puts()

2014-01-14  Boaz Harrosh  <bharrosh@panasas.com>

	* exofs: Print less in r4w

2014-01-14  Boaz Harrosh  <bharrosh@panasas.com>

	* exofs: Allow corrupted directory entry to be empty file

2014-01-13  Boaz Harrosh  <bharrosh@panasas.com>

	* exofs: Allow O_DIRECT open

2014-01-23  Ingo Molnar  <mingo@kernel.org>

